2ちゃんねる ★スマホ版★ ■掲示板に戻る■ 全部 1- 最新50  

■ このスレッドは過去ログ倉庫に格納されています

Debian GNU/Linux スレッド Ver. 19

1 :login:Penguin:03/10/06 02:22 ID:M88ZJH8W
過去ログは >>2-5 あたり

Debian GNU/Linux スレッド過去ログ検索 (namazuTamer 氏提供)
http://debian.dtdns.net/2ch-debian/

Debian の基本的な設定、関連サイト、Tips および FAQ はこちら (templa948 氏提供)
http://debian.fam.cx/

     * 質問の前には必ず参照の事 *


2 :login:Penguin:03/10/06 02:23 ID:M88ZJH8W
前スレ
Debian GNU/Linux スレッド Ver. 18
http://debian.fam.cx/pc.2ch.net/test/read.cgi/linux/1061600500/
http://pc.2ch.net/test/read.cgi/linux/1061600500/

過去ログ
00 http://cocoa.2ch.net/unix/kako/970/970632381.html
01 http://cocoa.2ch.net/linux/kako/980/980163775.html
02 http://cocoa.2ch.net/linux/kako/992/992323048.html
03 http://pc.2ch.net/linux/kako/999/999724231.html
04 http://pc.2ch.net/linux/kako/1006/10062/1006278960.html
05 http://pc.2ch.net/linux/kako/1011/10117/1011766081.html
06 http://pc.2ch.net/linux/kako/1015/10151/1015174417.html
07 http://pc.2ch.net/linux/kako/1018/10184/1018445203.html
08 http://pc.2ch.net/linux/kako/1020/10209/1020967965.html
09 http://pc.2ch.net/linux/kako/1024/10240/1024031354.html

3 :login:Penguin:03/10/06 02:23 ID:M88ZJH8W
10 http://pc.2ch.net/linux/kako/1027/10274/1027442221.html
11 http://pc.2ch.net/linux/kako/1030/10301/1030178687.html
12 http://pc.2ch.net/linux/kako/1033/10330/1033049225.html
13 http://pc.2ch.net/linux/kako/1036/10361/1036184754.html
14 http://debian.fam.cx/pc.2ch.net/test/read.cgi/linux/1040637707/
15 http://debian.fam.cx/pc.2ch.net/test/read.cgi/linux/1045176646/
16 http://debian.fam.cx/pc.2ch.net/test/read.cgi/linux/1051790435/
17 http://debian.fam.cx/pc.2ch.net/test/read.cgi/linux/1056885910/

4 :login:Penguin:03/10/06 02:24 ID:M88ZJH8W
次スレのテンプレはここのを使ってください。
http://debian.fam.cx/?%B2%E1%B5%EE%A5%ED%A5%B0#content_1_1

5 :login:Penguin:03/10/06 02:30 ID:wWY26OTZ
>>1-4
乙です。

6 :login:Penguin:03/10/06 11:41 ID:hDiJIgUR
SidのKDEがおかしいなぁと思って検索したんだけど...

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=211985

なんじゃこりゃ?


7 :login:Penguin:03/10/06 12:13 ID:CiAYIzN4
>>6
ウィルス送ってくんなヴォケ、という事かね。

ちうか名前が読めないkde-i18n-jaのメンテナータン。
kdebaseへの依存を切ってくれよん(´・ω・`)

8 :login:Penguin:03/10/07 01:04 ID:8zKIIhaV
SidのKDEの状況
kde
|-kde-core -> kdebase -> ksysguard -> ksysguardd -> libsensors-1debian1(存在せず)
|-kdemultimedia -> バージョン要件を満たさないパッケージ複数あり

現在の状況ではメタパッケージのkde,kde-coreは
どちらもはいりません。

libsensor-1debian1:
特定のバージョンのkernel-headersに依存するため没

kdemultimedia:
Sidのlibc6-devに含まれるヘッダーファイル(asm/byteorder.h)
ではコンパイルできないものがあるため没

のようです。

9 :login:Penguin:03/10/07 12:16 ID:bRsFX2Mv
ところで, 懐かしの xv ってどこいったの?


10 :login:Penguin:03/10/07 12:20 ID:+fNjIdvL
>>9
ttp://lists.debian.org/debian-devel/2001/debian-devel-200108/msg01975.html

11 :login:Penguin:03/10/07 16:07 ID:9KvGx6eZ
Sargeのopenoffice1.1にしたら死んだぞ?

Starting configuration import into user data ..
.. importing layer file:///tmp/oooLocale.XXXXNiEpqI - succeeded
sh: line 1: crash_report: command not found


Fatal exception: Signal 11


12 :login:Penguin:03/10/07 16:15 ID:y5tMeyx1
Lindowsのパクリディストリはここですか?

13 :login:Penguin:03/10/07 16:23 ID:hUuk2Y8A
>>12 ちょっとワラタ


14 :login:Penguin:03/10/07 16:26 ID:SDdD4RQq
Omoikaneのしょぼいコピーディストロはここですか?

15 :login:Penguin:03/10/07 16:47 ID:d6smhDWF
二番煎じツマンネ

16 :login:Penguin:03/10/07 17:02 ID:QfnFAzka
tvtime で音鳴らせない。 ぐすん、、:-(

lsmod
Module Size Used by Not tainted
btaudio 10908 0
tvaudio 14248 0 (unused)
tvmixer 3376 0 (unused)
bttv 96000 0
tuner 10888 1 (autoclean)
msp3400 18144 0 (autoclean) (unused)
i2c-algo-bit 7560 1 [bttv]
i2c-core 13572 0 [tvaudio tvmixer bttv tuner msp3400 i2c-algo-bit]

働いて無さげ、、、。
画像だけじゃつまらんので、お助けを。

17 :login:Penguin:03/10/07 17:39 ID:UJ73y9oe
Deb系とされる複数のディストリビューションのサイトを
APTのリストに加えると不具合が起きてしまうんでしょうか?
あるいはインストール前に問題点発見などとアラートがでるものですか?


18 :login:Penguin:03/10/07 17:45 ID:cpfos6Ym
混ぜるな危険。

19 :login:Penguin:03/10/07 17:49 ID:51n7wSQo
big drive(137G以上のHDD)に対応しているカーネルってどのバージョンからですか?
woody bf2.4は対応していますか?

20 :login:Penguin:03/10/07 18:43 ID:2czwNi47
>>17
言い出しっぺの法則。

>>19
2.4.20か2.4.21あたりだったような。
ChangeLogでも漁ってくれ。
bf2.4では多分対応してない。

21 :login:Penguin:03/10/07 19:15 ID:Z0L9sEGU
2.4.19からみたい。

22 : :03/10/07 23:03 ID:DX6B8NfU
>>19
カーネルとしては 2.4.19 から。
Debian ではどうだか知らない。

[vine-users:057577] Big Drive(137GB 以上)のHDD を使う
http://search.luky.org/vine-users.5/msg07572.html

23 :login:Penguin:03/10/07 23:43 ID:QfnFAzka
>>16 tvtime で音鳴らせない
解決しました。

/etc/modutils/actions
pre-install bttv modprobe -k msp3400; modprobe -k tuner
post-remove bttv modprobe -r tuner
alias char-major-81 videodev
alias char-major-81-0 bttv
options i2c-algo-bit bit_test=1
options bttv card=67 gbuffers=4 audiomux=2,0,0,0
options tuner type=31


24 :login:Penguin:03/10/07 23:45 ID:QfnFAzka
>>23
update-modules

25 :login:Penguin:03/10/08 09:42 ID:agTvwmQP
>>17
依存関係でインストールできないか、
うまく動いちゃうか、
libc6あたりが替わってどっかーん
の、どれかな気がする。

やってみてライブラリがごっそり替わりそうならやめておくのが無難かも。


26 :login:Penguin:03/10/08 09:57 ID:fll8Rn78
99targetあたりに、バージョンとか書いてないかな?


27 :login:Penguin:03/10/08 12:18 ID:/SKQpYhz
うほー、
OOo のメニューから文字が消えた。 sid

28 :login:Penguin:03/10/08 16:28 ID:AIeUjMGQ
FAQっぽいのに載ってないんで質問。

基本はstableで、一部のパッケージをtestingなどから
借りてきているとして。どれがtestingのパッケージか
一覧表示する方法はありますか?


29 :login:Penguin:03/10/08 16:35 ID:v1JkwFym
>>28
ttp://2chlinux.dtdns.net/2ch-debian/1061600500/27.html から辿るよろし

30 :29:03/10/08 16:50 ID:v1JkwFym
というかFAQを更新しておきますた

31 :login:Penguin:03/10/08 16:55 ID:AIeUjMGQ
>>29
多謝

予想外にたくさんtestingが入っていて、ちょっと焦る。
たぶん、upgradeの際に、依存関係で引きずられて
来たんだろうが・・・。
これらのものを、「安全に」stableのパッケージに戻す
のはどうすればよい?
apt-get install パッケージ名/stable
すれば良いのかな?


32 :29:03/10/08 17:03 ID:v1JkwFym
>>31
それこそAPT-HOWTO見れ(w
pin使って一発、だといいね

33 : :03/10/08 17:50 ID:H9ofVXDi
ロケールを制御する環境変数って、
LANG, LC_* , LANGUAGE がありますが、
いったいこれらはどのように関連しているのでしょうか?

ロケールを扱うライブラリは、どの環境変数を参照しているのでしょうか?

34 : :03/10/08 17:55 ID:H9ofVXDi
あと、 man の catman によるキャッシュって、
LANG=C でしか有効にならないみたい。
LANG=en_US でも LANG=ja_JP.EUC-JP でもキャッシュされなかった。

35 :login:Penguin:03/10/08 19:06 ID:jOiMHtEC
>>33-34
くだらねえ質問はここに書き込め! Part59
http://pc.2ch.net/test/read.cgi/linux/1065052264/

36 :login:Penguin:03/10/08 19:50 ID:B1SdW59s
>>27 ウチは最初Andale Sans UIをフォント置換してましたが,openoffice.org-gnome入れたら
解決しました(oopadminはダメだけど)。関係あるかどうかわからないけど事例紹介ということで。
自分はoopadminにフォント追加がなくなって困ってますが(^^;

37 :27:03/10/08 20:07 ID:/SKQpYhz
>>27
Err http://ftp.jp.debian.org sid/main xfonts-intl-european 1.2.1-1
404 Not Found
Err http://ftp.jp.debian.org sid/main xfonts-intl-japanese 1.2.1-1
404 Not Found
Err http://ftp.jp.debian.org sid/main xfonts-intl-japanese-big 1.2.1-1
404 Not Found

>>36
ども、404 Not Found これ待ちだと思ってますが、、、。
わかりません。
openoffice.org-gnomeを入れてるんですよ。

38 :login:Penguin:03/10/08 20:40 ID:5JYlEuSz
タイミングの問題で、ミラーが完全じゃないことは、よくある。
半日ほど待つか、ほかのミラーを使用。

$ apt-cache policy xfonts-intl-japanese
xfonts-intl-japanese:
インストールされているバージョン: 1.2.1-1
候補: 1.2.1-1
バージョンテーブル:
*** 1.2.1-1 0
500 ftp://ftp.uk.debian.org sid/main Packages
100 /var/lib/dpkg/status

$ apt-get source xfonts-intl-japanese
パッケージリストを読みこんでいます... 完了
依存関係ツリーを作成しています... 完了
15.2MB のソースアーカイブを取得する必要があります。
取得:1 ftp://ftp.uk.debian.org sid/main intlfonts 1.2.1-1 (dsc) [1058B]
取得:2 ftp://ftp.uk.debian.org sid/main intlfonts 1.2.1-1 (tar) [15.2MB]
取得:3 ftp://ftp.uk.debian.org sid/main intlfonts 1.2.1-1 (diff) [6575B]
15.2MB を 2m36s で取得しました (97.3kB/s)

39 :27:03/10/08 23:25 ID:/SKQpYhz
>>38
~$ apt-cache policy xfonts-intl-japanese
xfonts-intl-japanese:
インストールされているバージョン: 1.2.1-1
候補: 1.2.1-1
バージョンテーブル:
*** 1.2.1-1 0
500 http://ftp.jp.debian.org sid/main Packages
100 /var/lib/dpkg/status
1.2-5 0
500 http://ftp.jp.debian.org ja/sid/main Packages
ですが。

40 :login:Penguin:03/10/08 23:50 ID:5JYlEuSz
jp.debian.orgにもブツはきてるようなので
もっぺんapt-get updateしてみたらどうですか。

lftp ftp.jp.debian.org:/debian/pool/main/i/intlfonts> ls | grep 1.2.1
-rw-r--r-- 2.4M 2003-10-07 16:47 emacs-intl-fonts_1.2.1-1_all.deb
-rw-r--r-- 6k 2003-10-07 16:47 intlfonts_1.2.1-1.diff.gz
-rw-r--r-- 1k 2003-10-07 16:47 intlfonts_1.2.1-1.dsc
-rw-r--r-- 14.5M 2003-10-07 16:47 intlfonts_1.2.1.orig.tar.gz
-rw-r--r-- 17k 2003-10-07 16:47 xfonts-intl-arabic_1.2.1-1_all.deb
-rw-r--r-- 102k 2003-10-07 16:47 xfonts-intl-asian_1.2.1-1_all.deb
-rw-r--r-- 1.7M 2003-10-07 16:47 xfonts-intl-chinese-big_1.2.1-1_all.deb
-rw-r--r-- 5.5M 2003-10-07 16:47 xfonts-intl-chinese_1.2.1-1_all.deb
-rw-r--r-- 153k 2003-10-07 16:47 xfonts-intl-european_1.2.1-1_all.deb
-rw-r--r-- 642k 2003-10-07 16:47 xfonts-intl-japanese-big_1.2.1-1_all.deb
-rw-r--r-- 911k 2003-10-07 16:47 xfonts-intl-japanese_1.2.1-1_all.deb
-rw-r--r-- 11k 2003-10-07 16:47 xfonts-intl-phonetic_1.2.1-1_all.deb

41 :login:Penguin:03/10/08 23:57 ID:5JYlEuSz
というかうちでは
メニューが中国っぽいフォントになって
ところどころ歯抜けになったけど

~/.openoffice と
~/.sversionrc を消したらなおりました。

42 :27:03/10/09 03:18 ID:MLttfohO
> OOo のメニューから文字が消えた sid

>>40
ミラーに行き渡って
update, upgrade が済めば文字無しも治ると思っていたのですがダメです。

>>41
再セットアップは ~$ /usr/lib/openoffice/program/setup ですよね。
ここでもう文字無しが始まってます。


43 :login:Penguin:03/10/09 06:56 ID:oSV71G53
1.0.3 のときと手順は同じのようです。
$ fc-list | grep -i kochi
してKochiがあることを確認。
なければ
$ apt-cache search kochi
して表示されたもののうちnaga10あり/なし、どちらかのセットを入れる。

$ env LC_ALL=C openoffice
で openoffice を起動して
メニューバーの左から3番目[tools]
options->Openoffice.org->Fonts
Apply Replacement table にチェック

左側[Fonts]に Andale Sans UI と _手で入力_ ← これが味噌の模様

右側[Replace With] 下矢印をクリックして
候補から"Kochi Mincho"か"Kochi Gothic"を出す
その横の〆をクリック
Alwaysのところにチェック
いちどOooを終了

メニューバーの左から3番目[tools]
options->言語設定->言語
アジア諸国語の項目に"日本語"を選択

文書ドキュメント->規定のフォント(アジア諸国語)
ぜんぶKochiにする

44 :27:03/10/09 12:52 ID:MLttfohO
>>43
$ fc-list | grep -i kochi
Kochi Mincho:style=Regular
Kochi Gothic:style=Regular

教えていただいた手順を試みましたが状況は変わりませんでした
実務では使っておりませんのでのんびり行きます

kochiで入力できるのですが、きれいなkochiではありません
これが不思議です。(以前すんなりinstallできたのも不思議ですが)
もう1台のsidに新規にinstallしてみましたが同じ現象でした
わたしの環境構築の手順が間違ってるかも知れません
原因が分かれば報告します。

みなさん、ありがと。

45 :27:03/10/09 15:53 ID:MLttfohO
>>44
解決しました。
OOoの本家のインストール手順を読みなおして
再度インストールを行いました。

なぜフォントが表示出来なくなったかは不明です。
お騒がせしました。

46 :login:Penguin:03/10/09 16:35 ID:JllrJF8+
Woodyでカーネルをカスタマイズしたブートディスクを作りたいんだけど、
boot-floppies パッケージってどこに入ってるの?

apt-get install boot-floppies では駄目でした・・・

47 :login:Penguin:03/10/09 16:43 ID:4CEQ90M9
>>46
apt-cache search boot-floppies で検索汁

48 :login:Penguin:03/10/09 17:41 ID:oSV71G53

"きれいなKochi"は自主規制でおくらになったので
入れたければどこかからとってくるしかないです。




49 :login:Penguin:03/10/09 18:04 ID:HvR0VUX8
>>48
うんづで stable と unstable のを落として開いてみたけど、
どっちも同じだったよ?AA の問題では?

50 :login:Penguin:03/10/09 19:12 ID:Rqu0sZYb
>>46 woodyのboot-floppies無くなってね?とりあえずsidなら
apt-get source boot-floppiesでいけるが

ttp://http.debian.or.jp/debian/pool/main/b/boot-floppies/
から拾って来るか、
cvs -d :pserver:anonymous@cvs.debian.org:/cvs/debian-boot login
cvs -d :pserver:anonymous@cvs.debian.org:/cvs/debian-boot co boot-floppies
でcvs幹もって来るのが良いと思う。大変だと思うけどガンガレ


51 :login:Penguin:03/10/09 19:16 ID:5DVYtRJr
openoffice.org-gnome入れるとメニューの文字とか四角くなる

52 :login:Penguin:03/10/09 19:45 ID:THK3K8AA
>>51
なぜなんだろう……
WindowsではOOo1.1日本語版すごく良くて常用はじめてるのに残念。
openoffice.org-l10n-jaをremoveすると英語メニューになるし
文書そのものには日本語使えます。

53 :conffile:03/10/09 20:17 ID:fIZKyqQA
あるファイルが conffile であるとはどういうことなんでしょうか?
いま logrotate のソースパッケージを見ているのですが、
logrotate.conf の扱いが conffile であると書かれています。

じつは /etc/logrotate.conf を失ってしまったので、
dpkg -i --force-confnew で logrotate.conf を取り戻そうとしたのですができませんでした。

そこでソースパッケージを展開してみて、logrotate.conf は見つかったので
まぁ当初の目的は達成できたんですが、changelog を眺めていて
conffile とはなんだろうか…と。

rules を眺めてみたところ、 logrotate.conf は普通に
install コマンドでコピーされているだけなんですが。

install -m 644 $(CURDIR)/debian/logrotate.conf \
$(CURDIR)/debian/logrotate/etc/logrotate.conf

54 :login:Penguin:03/10/09 20:38 ID:S1fKYhPP
>>53
http://www.debian.org/doc/debian-policy/ch-files.html#s-config-files

55 :login:Penguin:03/10/09 20:39 ID:oSV71G53
>>49 AA の問題では?

たしかにうちではそのへんのはぜんぶ、JKUGにある某パッチを拝借して使っている....

$ dpkg -l | egrep -i "libxft2|fontconfig|libfreetype6"
ii fontconfig 2.2.1-3.local generic font configuration library
ii libfontconfig1 2.2.1-3.local generic font configuration library (shared l
ii libfontconfig1 2.2.1-3.local generic font configuration library (developm
ii libfreetype6 2.1.5-2.local FreeType 2 font engine, shared library files
ii libfreetype6-d 2.1.5-2.local FreeType 2 font engine, development files
ii libxft2 2.1.1-2.local advanced font drawing library for X
ii libxft2-dev 2.1.1-2.local advanced font drawing library for X (develop

debian.fam.cx にあぷろだがあったのであぷしてみた。

tp://debian.fam.cx/?plugin=attach&pcmd=open&file=xft_fontconfig_for_sid.tar.gz&refer=uploader

解凍したディレクトリに、それぞれ
tp.jp.debian.org/debian/pool/main/f/freetype/freetype_2.1.5.orig.tar.gz
tp.jp.debian.org/debian/pool/main/f/fontconfig/fontconfig_2.2.1.orig.tar.gz
tp.jp.debian.org/debian/pool/main/x/xft2/xft2_2.1.1.orig.tar.gz
を置いて、

$ dpkg-buildpackage -rfakeroot -uc -us
すればdebができる、と思う。


56 :login:Penguin:03/10/09 20:57 ID:5DVYtRJr
Kochiが例の著作権問題で差し替えがあったって話じゃないの?

57 :login:Penguin:03/10/09 22:16 ID:dQK5k6bu
sidのttf-kochi-*入れるとgsで日本語が表示できない。
BTSはどっちに出すべきですか?フォントの方?gs?

58 :login:Penguin:03/10/09 22:53 ID:UoMReDxH
>>56
著作権じゃねーっての。

59 :login:Penguin:03/10/09 23:26 ID:VpL+7BVU
>>57
gvだと表示できたりしない?
古い東風に戻しても変わんないんだよね。
gsもgs-jaやgs-aladdinにしても変わらない。
俺もどこに問題があるのかさっぱりなんだよなあ。

60 :login:Penguin:03/10/10 00:07 ID:ISqimyM2
ものすごくくだらない質問で悪いんですが、
Debianをベースインストールしてから
KDEで日本語入力ができるようになるまで、
何分かかりますか?参考までにお聞かせください。

61 :login:Penguin:03/10/10 00:12 ID:wnKkiAvz
>>60
回線の速度次第

62 :login:Penguin:03/10/10 00:21 ID:PqqlKo9w
>>60
ダウンロードの時間 + 10分程度

63 :login:Penguin:03/10/10 01:04 ID:h75676vM
/usr/share/gs/7.07/CIDFnmap のほうをいじると
とりあえず、表示はできる。
vfontcapのほうでやるにはどうするのか不明。

64 :60:03/10/10 01:18 ID:ISqimyM2
速度を考慮しない(ホスト含めて無限と考える)と、10分ということですね。
ありがとうございました。

65 :login:Penguin:03/10/10 01:22 ID:DNnewsqi
人それぞれだけどな。

66 :login:Penguin:03/10/10 02:46 ID:h75676vM
すみません。発禁のKochiのCID版使ってました。
おまけにカスタムなCMap入ってました。

ふつうに戻して、
/Kochi-Mincho (/var/lib/defoma/x-ttcidfont-conf.d/kochi-mincho-subst.ttf) ;
とかしたらやっぱり、gsがエラーになります。難しいですね。gs。

67 :46:03/10/10 09:14 ID:hSoLUImp
>>47 >>58
おかげさまで boot-floppies パッケージは無事見つかりました。ありがとう。

しかし、必要なのはカスタマイズしたブートディスクではなかったことが分かって
再び頭を抱えているところ・・・

68 :46:03/10/10 09:28 ID:hSoLUImp
>>67の続き。

ハードウェアRAID(Compaq 内蔵SmartArray)なマシンにWoodyを入れようとしているところで、

 1. baseのインストールが終わって再起動する
 2. grubのプロンプトが出てパラメータの入力を求められる
 3. “kernel /vmlinuz-2.4.18-bf2.4”としてから“boot”で起動する
 4. 起動途中に“Kernel panic : I have no root and I want to scream”と出て止まる

こんな感じになってしまうのですよ。
でもインストール時に作ったブートフロッピではちゃんと起動できてRAID HDDの中身も見える。

最初はドライバが足りないかと思ったけど(それで boot-floppies でブートフロッピを作ろうと
した次第)、/boot/config-2.4.18-bf2.4 を見ると必要なドライバ cpqarray.o はすでに入って
いる模様。

一体なにが足りないんでしょう・・・

69 :login:Penguin:03/10/10 09:53 ID:GZhbvptH
>>68
root(hoge,hoge)
kernel /vmlinuz-2.4.18-bf2.4 root=/dev/hoge
で root の場所も指定しる。


70 :46:03/10/10 10:03 ID:hSoLUImp
>>69
パーティションは / と /boot を分けてあるんだけど、grubの kernel 行で
指定するのはどっちのパーティション?

ちなみに両方試してみたけど駄目でした・・・

71 :46:03/10/10 12:08 ID:hSoLUImp
>>68 の件自己解決。

LILOを /boot パーティションに入れていたんだけど、MBRに入れるようにしたら
あっけなく動きますた。

なんて情けないオチ・・・すまんかったす。

72 :checksecurity:03/10/10 20:05 ID:99LSMf7b
Debian では /var/log/security.today は誰が作っているのでしょうか?
/etc/checksecurity.conf はあるものの、
/usr/sbin/checksecurity は無いのですが。

73 :login:Penguin:03/10/10 20:27 ID:RyrNbdNg
>>72数か月前にcronからchecksecurityが分離されたのでそのなごりじゃないかな


74 :checksecurity:03/10/10 20:48 ID:99LSMf7b
>>73 漏れの setuid.today は 9/19 で、
setudi.yesterday は 9/18 で更新が止まっているのですが、
checksecurity パッケージを明示的にインストールしない限り
もはやこのファイルたちは更新されることはない、ということですね。

75 :login:Penguin:03/10/10 21:03 ID:GZhbvptH
>>70
/boot から探しはじめるからいきなり /vmlinuz-2.4.18-bf2.4 でいい

>>71
lilo を /boot に入れたときは MBR に mbr を入れる

76 :login:Penguin:03/10/10 23:25 ID:6T+Fqw0C
OOoでメニューがトーフになる系って,freetypeかxttか,という問題と関係あります?

77 :login:Penguin:03/10/11 00:42 ID:+yd5F7g8
インストーラって新しくなったら
カーッル
とか
インターフェーも
とかなおるんですかね

78 :login:Penguin:03/10/11 01:23 ID:FC/8UFC/
>>76
*トーフになる系* って、[][][][][] こんなの?
それともマージャン牌みたいなの?

freetypeかxttか ってやって見たけど変化なしに見えます

79 :login:Penguin:03/10/11 12:18 ID:ZAYaBCL4
>>78
sid の OOo 1.1 で試してみたら、見事にUIのフォント部が□になった
# 中に16進が書かれていたりはしない□。LANG=ja_JP.eucJPにて

設定変更しようにも日本語が全部□なので分かりにくいけど、オプションから
OpenOffice.org/フォント(OO.org階層下から4番目)の「置換テーブルを使う」
設定で、Andale Sans UI -> 適当な日本語フォントとしたらおおよそ解決した。
freetype/xtt どっちだろうと、まあ関係ないでしょ。

ただ、データソースを使ってみようとしたら「JAVA が必要です」てなのが出
て、JREの設定らしきものを要求されるんだけど、このダイアログがまた完全
に□。これもフォント置換でなんとかなるんだろうけど、何を置換してよいの
やら… 誰か知りません?


80 :login:Penguin:03/10/11 12:48 ID:5ZfwBm3k
>>79
それでもopenoffice.org-gnome入れると豆腐にならない?

81 :login:Penguin:03/10/11 13:41 ID:FC/8UFC/
>>79 フォント置換でなんとか

Windowsの場合って書いてあったけど
フォントの種類置換候補
Albany MS P ゴシック
Andale Sans UIMS UI Gothic
Arial MS P ゴシック
Century MS P 明朝
CumberlandMS P ゴシック
HG Mincho Light JMS P 明朝
ThorndaleMS P 明朝
Times New RomanMS P 明朝
Verdana MS P ゴシック

82 :login:Penguin:03/10/11 13:49 ID:FC/8UFC/
>>80
# apt-get install openoffice.org-l10n-ja openoffice.org-l10n-en-

フォント関係のエラーは、最後のハイフン`-'がないといろいろ出るような
感じで読みました。OOoのインストページ。

83 :79:03/10/11 14:09 ID:ZAYaBCL4
>>80

なりました。ただの□。
これも見た感じ、フォント置換でなんとかなりそうなんだけど、あてずっぽうで
sans を置換してみても変化無し。XFT_DEBUGgも効かないし、どーすれば調べら
れるだろ…
# 見た目が GTK2 になるのね。この方がしっくり来るけど、ダメなら remove
# するしかないかなぁ


84 :79:03/10/11 14:26 ID:ZAYaBCL4
連続失礼。
このあと思い立って調べてみたら、UIフォントの変更に成功。無事メニューは
表示されるようになりました。ただ、JREの方は 81 で指摘された設定全部書
いて見たけど、だめ(ooo-gnome 入ったままだから、抜くと変わるのかも知れ
ないけど、どうも同じフォント使ってダイアログ表示してる臭い)。

で、他の人のgnome2環境がどうなってるのかわからないけど、とりあえずうち
ではgconf の /desktop/gnome/interface/font_name(gnomeデスクトップ設定
/ フォント設定、「アプリのフォント」) に指定されたフォントを置換指定し
たところ、UIの日本語が無事表示されるようになりました。

具体的には、うちだと「アプリのフォント」に相当する値が
HGSHeiseiMarugothictai 10
となっているので、HGSHeiseiMarugothictai の置換設定(数字はいらない)を
設定したところ、無事日本語メニューが見えるようになりました。パチパチ。

両方 fontconfig 使ってるのに、gnome と OOo-gnome でフォント名の扱いが
違うんだろうなぁ(フォント選択メニューに出る候補から違うし)。ややこしい。


85 :login:Penguin:03/10/11 14:59 ID:FC/8UFC/
openoffice.org-gnome
これを入れるとなりますね。
私の場合、文字無しでアルファベットのみ表示されます


86 :80:03/10/11 15:08 ID:5ZfwBm3k
OOo-gnomeでメニューに日本語出るようになりました。
ふぉんとにありがとうございます。

87 :login:Penguin:03/10/11 15:13 ID:FC/8UFC/
>>openoffice.org-gnome

わっ、おいらには出来ない。
もちょっと教えてください。

88 :login:Penguin:03/10/11 15:54 ID:FC/8UFC/
>>87
ども、openoffice.org-gnomeで日本語メニュー出ました。
肉太のゴシックではないですがみなさんもそうですか?

89 :login:Penguin:03/10/11 18:18 ID:pb5TpWQJ
う〜む、
xpからの接続でsidのsamba3.0.0がかなりの確率で落ちますね。


90 :login:Penguin:03/10/11 19:15 ID:Fri9JB46

最近のsidのapacheだけど,アップグレードに失敗しませんか?


91 :login:Penguin:03/10/11 19:17 ID:Fj5vsG+w
>>90
うちは大丈夫。
使ってるmoduleによるのかな?

92 :login:Penguin:03/10/11 21:01 ID:4WtndR/D
woody なんすけど、locate で何索いても出てこないので不思議に思ったら db が

-rw-r--r-- 1 root root 10 10月 11 20:28 /var/lib/locate/locatedb

なんてサイズに(;´Д`)
root で /etc/cron.daily/find してもエラーもなくこのサイズのまま。以前
は索けてたはずなんだけど… /etc/updatedb.conf は全然触ってないす。
なしてですか?

93 :login:Penguin:03/10/11 23:12 ID:kNJNHncf
>>92
とりあえずrootでupdatedb実行してみるとか。


94 :login:Penguin:03/10/11 23:16 ID:048d5tLZ
vim-gtkをインスコしてるとvimの起動がメチャ遅くなる・゚・(つД`)・゚・ ウワーン

95 :92:03/10/12 00:12 ID:oEIuDRj1
>>93
ども。基本にかえれ、俺。

# . /etc/uadatedb.conf
# updatedb

db できますたヽ(´▽`)ノ
んで、/etc/cron.daily/find のとおりに以下でやったら

# updatedb --localuser=nobody

db できませんでした、なしてよ…_| ̄|○

96 :login:Penguin:03/10/12 00:37 ID:coodSL7o
>>95
うちはsidなんで分からんけど、これ?
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=152635

97 :login:Penguin:03/10/12 00:45 ID:Bu94HPuo
最近woodyをインストールしたのですが、
dist-upgradeでsargeに→カーネルを2.4.18から2.4.22にして再構築
としたところ、apt-get update ができなくなってしまいました。
カーネルに2.4.18を選んで起動すると問題なくapt-getできます。
また学校のLANにつないだときには、カーネル2.4.22で問題なくapt-getできました。
apt-getをまた使えるようにするには、どのあたりを見直せばよいのでしょうか?
よろしくおねがいします。

98 :login:Penguin:03/10/12 00:56 ID:7tJyFkDW
>>97
まず apt-get update のエラーを晒す

99 :login:Penguin:03/10/12 01:05 ID:+AJV4cvb
>>97
Kernel Configuration
Networking options ---> [*] Socket Filtering

???

100 :login:Penguin:03/10/12 01:15 ID:lVUlRz39
>>97
sysctl -w net.ipv4.tcp_ecn = 0


101 :97:03/10/12 01:37 ID:Bu94HPuo
早速のレスありがとうございます。

>>98
$sudo apt-get update としますと、
0% [Connecting to ring.asahi-net.or.jp (202.224.39.15)]
としばらく表示された後、
Err ftp://ring.asahi-net.or.jp:21 (202.224.39.15), connection timed out [IP:202.224.39.15:21]
となり、これが続きます。
ring.asahi-net.or.jp にpingをうつと、ちゃんと返ってきます。

>>99
[*]Socket Filtering となっておりました。

>>100
これはこのまま打ち込めばよろしいのでしょうか?
$sudo sysctl -w net.ipv4.tcp_ecn=0
net.ipv4.tcp_ecn=0
となりました。

102 :97:03/10/12 02:00 ID:Bu94HPuo
先ほどは気づかなかったのですが、>>100のようにした後にapt-get updateすると
問題なく使えました。
ただ、再起動するごとに>>100のように打ち込まなければならないので
なにか設定が必要のようです。
もう少し調べてみようと思います。

皆様、ありがとうございました。

103 :97:03/10/12 02:52 ID:Bu94HPuo
連続カキコ失礼します。問題が解決したようなのでご報告します。
具体的には、
/etc/sysctl.conf に net.ipv4.tcp_ecn=0 を追加し、
#sysctl -p /etc/sysctl.conf
とすることで、apt-get update できるようになりました。
aptが自宅でできなくて学校でできたのは、うちのルーター(NTT-ME BA8000Pro)が
ある機能に対応していなかったためだと思われます。(自分でもよくわかってないです)
とにかく、aptが使えるようになってよかったです。

104 :login:Penguin:03/10/12 08:34 ID:HOhwPR6W
>>91

そちらでは,だいじょうぶですか。となると,こちらの環境に原因があるのか,
moduleの組み合わせで問題があるのかもしれませんね。

ちなみに,エラーがでるのは,apace(1.3.28-3)で,次のとおりです。

Setting up apache (1.3.28-3) ...
expr: syntax error
dpkg: error processing apache (--configure):
subprocess post-installation script returned error exit status 2

apacheパッケージが1.3.28にあがってから,ずっとでてます。


105 :login:Penguin:03/10/12 09:40 ID:oEIuDRj1
>>96
BTS の未解決の方しか見てなかった(´・ω・`)
解決済みの方探したら結局
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=10991
こっちでした。おさわがせ。

106 :login:Penguin:03/10/12 11:46 ID:von2ofJp
angbandのパッケージをそのまま単に日本語化パッチを当てた
なんちゃってビルドなdebを作りましたが需要はありますか?



107 :login:Penguin:03/10/12 13:19 ID:coodSL7o
>>104
httpd.confでLoadModule指定の直前に"# Please keep this LoadModule: line here"
っていうコメントがないとpostinstで実行される/usr/sbin/modules-configが
失敗しそうなよかーん。(/usr/sbin/modules-configの117行目)

# Please keep this LoadModule: line here, it is needed for installation.
LoadModule vhost_alias_module /usr/lib/apache/1.3/mod_vhost_alias.so
LoadModule env_module /usr/lib/apache/1.3/mod_env.so


108 :login:Penguin:03/10/12 17:05 ID:8zGWx+IW
>>106 あまり大きくないようならテンプレのウプロダにageとくといいかも。


109 :106:03/10/12 19:45 ID:von2ofJp
うぷしますた。woody用。
実行はjangbandではなくangbandとなっていますので
使うならまずangbandをpurgeする必要があります

110 :login:Penguin:03/10/12 20:45 ID:LKUloiFn
sergeでgs日本語が動かんようになった。
来週セミナー発表なのにヤバめ。
こういう時のためにwin残しとければよかった。とほほ。
全部英文でかいたろか、ほんまに。
どないしょー、助けて。
kochiがライセンスでややこしいことになってるのが原因?


111 :login:Penguin:03/10/12 21:10 ID:8zGWx+IW
>>110 多分そう。tagohさんのところにパッチがあったような気がする。


112 :login:Penguin:03/10/12 21:21 ID:7tJyFkDW
>>110
うちは /etc/alternatives/gs が /usr/bin/gs への symlink に
なってたのを /usr/bin/gs-ja にしたら直りますた。

113 :login:Penguin:03/10/12 21:25 ID:7tJyFkDW
> /usr/bin/gs への symlink
/usr/bin/gs-gnu への symlink

114 :login:Penguin:03/10/12 21:53 ID:uBU5hv5m
>>112
ちゃんと手順を踏めよ

115 :login:Penguin:03/10/12 21:57 ID:8zGWx+IW
>>114 update-alternatives?まぁ本人が分かってやってるならいいべ


116 :sakaki:03/10/13 01:17 ID:igy/L+mc
sakakiだけど何か聞きたい事ある?

117 :login:Penguin:03/10/13 01:43 ID:sd6/l2oh
>116
誰ですか?

118 :login:Penguin:03/10/13 05:54 ID:eZz/pdXA
>>116
ねこはすきですか

119 :login:Penguin:03/10/13 06:30 ID:is3GaFSU
よくdebian関係の人(特にむとぅ)が言っている〜さめってなんなの?
敬称みたいに使っているだが。役職?
正直、気持ち悪い。


120 :login:Penguin:03/10/13 06:50 ID:+17IAB5n
どうも遅いと思ってたらHDDのDMAが効いてなかった。
みんなも気をつけろよъ(´д`)グッ

121 :login:Penguin:03/10/13 07:11 ID:eZz/pdXA
>>119
sama

2ch用語みたいなもんだ、気にするな

122 :login:Penguin:03/10/13 09:17 ID:/3mDUNPz
>>119
「様」はかたくるしい。
「さん」はよそよそしい。
同じ「さめ」という隠語を使うことで
仲間意識を高めてるのではないかと。

123 :@御茶ノ水:03/10/13 10:45 ID:yXm9iF5Y
最近、デビアンを使い始めたが、わからないことだらけだー

124 :login:Penguin:03/10/13 10:59 ID:/3mDUNPz
>>123
>>1 読みながらがんがれ。

125 :login:Penguin:03/10/13 11:46 ID:LNSzPuMD
ircなんかでときどき「さめ」は聞くな・・・


126 :login:Penguin:03/10/13 12:49 ID:t1RWCtPn
Debian キモチワル

127 :login:Penguin:03/10/13 13:02 ID:LNSzPuMD
debian じゃなくて、debian-jpが、だな。

128 :login:Penguin:03/10/13 13:21 ID:kZj6eDCF
>>107

レス,サンクス。

/etc/apache/http.confを確認してみたところ,ちゃんとありました。

なぜ,うまくいかないんだろう。

129 :login:Penguin:03/10/13 14:40 ID:2refRxR3
好きなディストロでdebianが選ばれたとさ。
http://pr.linuxjournal.com/article.php?sid=785&mode=thread&order=0

好きなサイトが/.でメーラはEvolutionかよう。
好きなバックアップユーティリティがtarというのにはワロタ。

130 :login:Penguin:03/10/13 15:06 ID:F9D3olov
wakwakがすげー
http://lists.debian.org/debian-glibc/2003/debian-glibc-200310/threads.html

131 :login:Penguin:03/10/13 15:50 ID:neaq4VDd
ワロタ

132 :login:Penguin:03/10/13 17:13 ID:x4NxFLuj
>>130
ワロタ

133 :login:Penguin:03/10/13 20:13 ID:4eOWpxEt
>>112
update-alternativesでそれやってみたけど、
漏れんとこでは直んねー


134 :login:Penguin:03/10/13 22:33 ID:D8829ve0
ていうか、gs-jaはpotetoの名残じゃないの?
そんなもんうちにはないぞ!


135 :login:Penguin:03/10/13 22:36 ID:iCJz3hq3
>>134
sid-jpにあるよ。


136 :133:03/10/13 23:11 ID:4eOWpxEt
>>133
>漏れんとこでは直んねー
直ってますた。スマソ
ちなみにsargeの
gs-ja 7.05-1.2

stableのにttf-kochi-*にdowngrade
してもOKですた。

ふぅ(;´Д`)


137 :login:Penguin:03/10/13 23:38 ID:tOAAlF4A
>当たり障りのない一般的な
>表現を心がけることにしてみます。一応ハレ側に出ているもの、
>ということでMLや書籍と同等の言葉スタイルに変更してみました。
>めんどくさくなったら秘密日記にします :-)。

ムトゥ神に何があったんだろう・・・?
裏日記はどっかで見れるのか

138 :login:Penguin:03/10/13 23:57 ID:e7HvlcRP
うわー、まるでムトゥ神の日記じゃないみたいだ・・・

139 :login:Penguin:03/10/14 00:04 ID:GmJV/5Sj
ttp://www.topstudio.co.jp/~kmuto/d/

140 :login:Penguin:03/10/14 00:06 ID:XNrVb5xV
日記ぐらい好きに書かせてやれよ。

141 :login:Penguin:03/10/14 00:07 ID:J0B16PDU
神も世界を被いつつある狂気の正体に気付いたようだ。

142 :login:Penguin:03/10/14 00:31 ID:lKKqA2SX
前にもやってみたが、三日ぐらいで面倒になってやめちゃったはず。

143 :login:Penguin:03/10/14 00:40 ID:RBJFMsIq
sarge本執筆か。
つうことは、12月くらいには出るのか?


144 :login:Penguin:03/10/14 00:55 ID:UX7KSW+Z
>>143 sargeが12月に出るかどうかビミョー
debian-installer間に合うかな...


145 :login:Penguin:03/10/14 01:07 ID:XNrVb5xV
XFree86 4.3.0は間に合うのかな。
つか4.4.0は12月15日リリース予定…。
stableのXはまた古くなりそうだ罠…(;´Д`)

146 :login:Penguin:03/10/14 01:43 ID:RBJFMsIq
過去ログにあったんだが、
apt-cache -n
apt-cache --names-only
って別物だな。
manページもちょうどそこだけ整形がずれてて紛らわしい(w


147 :login:Penguin:03/10/14 02:51 ID:vn/hRWfr
>>129
なぜ「好きなWindow Manager」の項目がないんだろう。

そもそも「好きなデスクトップ環境」なんて、
GNOME, KDE, BlueCurve くらいしかないじゃん。

148 :login:Penguin:03/10/14 14:23 ID:9S4kbvBh
CDE、XFCE、UDE、ROX、XPdeとかはシカトでつか。

149 :147 :03/10/14 14:50 ID:vn/hRWfr
>>148
CDE, XFCE は忘れてました。あとは知りませんでした。
失礼しました。生まれてごめんなさい。

調べてみたら他にも、EDE, GEM, PerlTop, arm0nia なんてのが
あるんですね。勉強になりました。

150 :login:Penguin:03/10/14 15:00 ID:98u3/WSW
ツヨクイキロ

151 :login:Penguin:03/10/14 17:48 ID:9xRcC1Vd
acroread5.08がスタートアップ時にいきなりアボートするんだけれど、
エラーメッセージがないのでまったく分からない。
だれかこんな症状の人、他にいますか?

152 :login:Penguin:03/10/14 18:02 ID:5a1yqMld
dpkg-ruby 0.3.0にすると、apt-listbugsが動かなくなる。


153 :login:Penguin:03/10/14 18:04 ID:GmJV/5Sj
>>151
~$ /usr/local/Acrobat5/bin/acroread
Warning: charset "JA.EUC" not supported, using "ISO8859-1".
で立ち上がります。

.xsession-errors に何かでてるかも?

154 :slapd:03/10/14 18:11 ID:jikLt2IG
なんで slapd が root で動く様に設定されているのかと思う今日この頃。
slapd とかいうユーザを作ってそれで動いてくれたらいいのになぁ。

155 :151:03/10/14 19:02 ID:9xRcC1Vd
>>153
ないですねえ。
M$フォント関係を入れるのに
/etc/X11/XF86Config-4
/etc/X11/fs/config
らへんにパスを追加したときからっぽいんですが。。。


156 :login:Penguin:03/10/14 19:23 ID:GmJV/5Sj
>>155

fc-cache -v

157 :login:Penguin:03/10/14 19:27 ID:gzb4n8vv
ttp://www.angel.ne.jp/~devi/syasin.htm
黒猫のデビアン

158 :login:Penguin:03/10/14 21:23 ID:rIdB1rnZ
すんません。質問なのですが、過去ログ見て、コンソールからログインするため
にはディスプレイマネージャを削除すれば出来るということがわかりました。
そこで、
apt-get remove gdm
dpkg -r gdm

とかしたのですが、下のメッセージが出ます。
どうやらkde と依存関係があって削除できません。。
The following information may help to resolve the situation:
Sorry, but the following packages have unmet dependencies:
kde: Depends: kdm but it is not going to be installed or
x-display-manager
E: Sorry, broken packages


ちなみに、パッケージはすべてstable で、gdm以外のディスプレイマネージャ
はインストールしてないです。
gdm だけ削除はできないのでしょうか?

159 :login:Penguin:03/10/14 21:29 ID:b5K0h63C
>>158
# apt-get remove kde gdm


160 :158:03/10/14 21:32 ID:rIdB1rnZ
>>159
レスさんくすです。
kde 消しちゃって問題ないのですか??

161 :login:Penguin:03/10/14 21:33 ID:6YCysu8K
>>158
手っ取り早くやりたいんなら
/etc/init.d/gdm
を削除

debian流ならupdate-rc.dを使う。
詳しくはmanか検索で。

gdm単体の削除は出来なかったはず。
kdm入れるとかすればたしかgdm削除できるけど。

162 :login:Penguin:03/10/14 21:40 ID:VxC2WuTC
>>158
ctl-alt-F1 とかじゃ駄目なの?

163 :158:03/10/14 21:41 ID:rIdB1rnZ
>>161
レスさんくすです。
とりあえず、ぐぐっておきます。。

>gdm単体の削除は出来なかったはず。
debian 2台あるのですが、そのうちの1台について試したところ、
依存関連のエラーもでずにgdm だけ削除できますた。
もちろん他のディスプレイマネージャも一切入ってないです。
なんでだろ。。。kde ってほんとにディスプレイマネージャと
依存関係あるのだろうか?


164 :158:03/10/14 21:44 ID:rIdB1rnZ
>>162
gdm が起動しているのが嫌いなので、出来れば切りたい・・・


165 :login:Penguin:03/10/14 21:45 ID:Uwku4s0F
>>164
だからkdeを削除すりゃいいやん。
ただのメタパッケージだろ。

166 :158:03/10/14 21:54 ID:rIdB1rnZ
>>165
メタパッケージ(他パッケージへの依存関係のみを収録するパッケージ)って書いて
あるのですが、これってなくてもOKなの?
apt とかの依存関係とかと関係ないのかな。詳しい知識ないもんですんません。

167 :login:Penguin:03/10/14 22:07 ID:8MQdo0A7
たいした要領じゃないし、残しておけば?
update-rc.dで、全てのランレベルから削除してしまうと、
upgradeしたときに復活してしまうから、自分の使うランレベルからだけの削除がいい。

ランレベル2から削除したいときは
 rm /etc/rc2.d/S99gdm
もし、戻したくなった、ほかのランレベルからコピー
 cp /etc/rc3.d/S99gdm /etc/rc2.d


168 :login:Penguin:03/10/14 22:16 ID:L8U/IF+q
>>167
コピーはまずい(どうせやるならinit.dから)。Symblic linkにしよう。update-rc.d使いましょう。

# update-rc.d gdm start 99 2

169 :158:03/10/14 22:17 ID:rIdB1rnZ
>>167
ありがとう。
とりあえず残しておくことにします。
/etc/rc のリンクってupgrade すると復活するんですか・・・
update-rc.d のdefault 設定に戻るのかな?参考になりますた。

170 :login:Penguin:03/10/14 22:25 ID:8MQdo0A7
>>168
うう。そうだね。
ln -s /etc/init.d/gdm /etc/rc2.d/S99gdm
スマソ。

>>169
そそ。
だから、使うランレベルからだけ削除しておけば、勝手に作られることはない。

171 :login:Penguin:03/10/14 22:29 ID:OSRSktyZ
>>166
メタパッケージは、Depends に書かれているパッケージを芋蔓式にインストー
ルするためにある。なので、いったん入れてしまえば、そのメタパッケージは
remove してしまっても問題ない。
心配なら、apt-get remove kde -s のように -s オプションを付けて、何が起
こるか見てみればいい。

172 :login:Penguin:03/10/14 23:46 ID:K3pKJIgk
S99gdm を全部 K99gdm に rename して止めると何か問題ある?

173 :158:03/10/14 23:51 ID:rIdB1rnZ
>>170-171
ども、レスさんくすです。
> メタパッケージは、Depends に書かれているパッケージを芋蔓式にインストー
> ルするためにある。
なるほど・・。tasksel で選択できるものがメタパッケージかと思てました。
pkg -L kde したときには実体があったので、いちおう必要なのかと(docでしたが)・・・

もう一台のほうでは問題なくgdmだけ削除できたのが気がかりではありますが、
結局、今回の対応としましては起動スクリプト削除で対応することにしまふ。

174 :login:Penguin:03/10/15 00:06 ID:w6LVS05a
いつになったらdefomaの呪縛から逃れられるのでしょうか?

175 :login:Penguin:03/10/15 00:29 ID:hL1Cizcm
>うーむ、やはりどうも自分で読んでて馴染めないので、このスタイルで続けるのは
>無理がありそうです。明日から常体に戻すことにします(弱い…)。

やっぱ三日ももたなかったか。
でも正直ちょっと気持ち悪かったんで(って本人も書いてるけど)、元に戻るのは歓迎。

176 :login:Penguin:03/10/15 00:50 ID:XU401Ax5
>>172
そのrun levelに突入する時に止める、
それが正しい動作であればいいんじゃないでしょうか。

177 :login:Penguin:03/10/15 00:54 ID:OlWKY5wm
>>175
同意

>>176
動いていないものを止めても表面上は別に問題ないように
見えるけど、実はなんかまずかったりするのかな?
って思ったのです。

178 :login:Penguin:03/10/15 00:56 ID:OlWKY5wm
あ、>>177=172 です。
# いつの間にか12時過ぎてID変わってた


179 :login:Penguin:03/10/15 00:58 ID:UPtQoJag
常体とIRC語はまた別だと思うがな。

180 :kNuto :03/10/15 02:08 ID:WwZWtmms
>>158
# rcconf
でgdmのチェックを外すのが一番簡単じゃないの...


181 :login:Penguin:03/10/15 14:34 ID:xensT0rT
/etc/X11/XF86Config-4
Section "Module"
Load "glx"
Load "dri"
この2つはどんな関係?

182 :login:Penguin:03/10/15 15:14 ID:4qUmBbni
udevのパッケージキタ━━━━(゚∀゚)━━━━ッ!!
http://www.bofh.it/~md/debian/

183 :login:Penguin:03/10/15 15:15 ID:xensT0rT
ところで、
メインメニュー --> アプリケーション --> インターネット --> (Balsa)?
これが文字化けしてます。

gnome / sid

184 :login:Penguin:03/10/15 15:18 ID:BHydD/eL
Woodyってtripwireのパッケージないの?

185 :login:Penguin:03/10/15 15:41 ID:EVHkDrWe
JXTAってパッケージ化されてないっすか?

186 :login:Penguin:03/10/15 15:55 ID:bLLfhwtE
>>184
sid あたりから source 持ってきてビルドしる。

187 :login:Penguin:03/10/15 16:10 ID:0INbmewD
>>181
くだらねぇ質問はここに書き込め! Part60
http://pc.2ch.net/test/read.cgi/linux/1066103505/

>>184-185
>>1

188 :login:Penguin:03/10/15 16:26 ID:xensT0rT
>>187
くだらねぇ質問はここに書き込め! Part60
にカキコしたから返事くれろ。


189 :login:Penguin:03/10/15 18:03 ID:xensT0rT
>>187
はやく返事くれろ!?

もしかしてなーんも知らないくせにくだらねぇ質問だと決めつけたんじゃねえべ?

190 :login:Penguin:03/10/15 19:07 ID:K2gtRW1r
>>189
Debian 固有じゃないからだって


191 :login:Penguin:03/10/15 19:08 ID:b0swkO0/
つーか、何が聞きたいのかわからん。

192 :login:Penguin:03/10/15 20:20 ID:T5kR91wa
runit-run入れてみたらキーボード効かなくなって焦った。
そのまま再起動したら起動不能になるし(w

起動が速いらしいけど、使ってる香具師いる?

193 :login:Penguin:03/10/15 21:52 ID:bLLfhwtE
ext3 な /home の空きが少なくなってきたので悪足掻きに

tune2fs -m 0 /dev/hoge

で reserved-blocks を無くした。sid で一般ユーザでやると

% /sbin/tune2fs -m 0 /dev/hda8
tune2fs 1.35-WIP (21-Aug-2003)
/sbin/tune2fs: 許可がありません while trying to open /dev/hda8
Couldn't find valid filesystem superblock.

とエラーが出るんだけど、woody だと一般ユーザでも出来ちった…

% /sbin/tune2fs -m 0 /dev/hda11
tune2fs 1.27 (8-Mar-2002)
Setting reserved blocks percentage to 0 (0 blocks)

そ、そーゆーもんなん?(;´Д`)

194 :login:Penguin:03/10/15 22:07 ID:XNTQd6iA
sid apache1.3でGraveなバグ。鬱だ。

195 :login:Penguin:03/10/15 22:08 ID:T5kR91wa
>>193
その一般ユーザとやらがdiskグループに入ってるとか、
/dev/hogeのパーミッションがおかしいんじゃないのか?

196 :login:Penguin:03/10/15 22:17 ID:bLLfhwtE
>>195
ぐは、確かに woody の方だけ disk グループに入ってた… 逝ってきます

197 : :03/10/15 22:33 ID:i5NBqHn0
>>193
予約領域ってゼロにしても大丈夫なのかな。

198 :login:Penguin:03/10/15 22:39 ID:2JT7H2Wf
>>194
apacheやばいね。まるみえになっちゃったよ。


199 :194:03/10/15 22:55 ID:XNTQd6iA
pargeしてインストールし直したら直った。

200 :login:Penguin:03/10/16 00:50 ID:kXslWQqp
>>197
rootは/home一杯になっても別に困らんから。


201 :login:Penguin:03/10/16 15:04 ID:nwt8SrAn
woody用の、MSN最新プロトコルに対応したkopeteがあるapt-list教えて下さい。

202 :login:Penguin:03/10/16 15:10 ID:V79v2Xsr
>>201
>>1

203 :login:Penguin:03/10/16 15:12 ID:yj0Zdilq
postgresのpython依存はずしてくれ・・・
はずさないないなら、せめて2.3にしてくれ・・・

rubyもpythonもいらねー

204 :201:03/10/16 15:18 ID:nwt8SrAn
>>202
見つからないっす。。。

205 :login:Penguin:03/10/16 15:21 ID:V79v2Xsr
>>204
ttp://debian.fam.cx/?Tips#content_1_21

206 :追加ルーティングの設定:03/10/16 15:33 ID:pwvE/Rfo
/etc/network/interfaces に設定を書いておくと、
ifup , ifdown でインターフェイスの設定と付随するルーティングの設定をしてくれますが、
追加のルーティングをしたいときにはどこで設定するのが Debian 流なのでしょうか?

毎回手で

route add -net 224.0.0.0 netmask 240.0.0.0 eth1

とかするのも面倒ですよね?

207 :login:Penguin:03/10/16 15:44 ID:fpGK1yJJ
>>206
漏れは、/etc/network/interfaces に書いてるけど?

| iface eth0 inet static
| address 133.xxx.95.245
| netmask 255.255.255.0
| broadcast 133.xxx.95.255
| network 133.xxx.95.0
| up route add -net 133.xxx.0.0 netmask 255.255.0.0 gw 133.xxx.95.201
| up ifconfig eth0:0 192.168.yyy.1 broadcast 192.168.yyy.255 netmask 255.255.255.0
| up iptables -t nat -A POSTROUTING -s 192.168.yyy.0/24 -o eth0 -j MASQUERADE
| down route del -net 133.xxx.0.0 netmask 255.255.0.0 gw 133.xxx.95.201

こんな感じ


208 :追加ルーティングの設定:03/10/16 16:16 ID:pwvE/Rfo
>>207
ああ、そうか、up つーステートメントが使えたのね。ありがと。
if-up.d/ とかにでも書くのかなぁなんて思ってた。

209 :login:Penguin:03/10/16 19:11 ID:YF1GX8je
>>189 ここら読んで味噌。
glx→OpenGL & the GLX protocol  http://utah-glx.sourceforge.net/faq.html
dri→Direct Rendering Infrastructure http://dri.sourceforge.net/doc/DRIintro.html

Why use DRI instead of Utah-GLX
Many of the original developers of Utah-GLX went on to
work on the "Direct Rendering Infrastructure" extension to
XFree86 4.0. See http://dri.sourceforge.net/
Use DRI if you are running linux, and you want optimum speed
from a graphics card


210 :login:Penguin:03/10/16 22:17 ID:V4AvgGgf
>>209
dpkg-reconfigure xserver-xfree86 で Driver は、"nv" を選択しました。
XF86Config-4 には
Load "GLcore"
Load "dri"
Load "glx"
となってましたので、glx は dri に追従するものなのかとか
相反するものなのかとかを知りたくての質問でした。

理解不足のまま
# Load "glx"
で使用しています。

ありがとうございました。

211 :login:Penguin:03/10/16 23:47 ID:MRaFpPLz
アップローダにmplusフォントのdebがうpされてる…。

212 : :03/10/16 23:59 ID:GtZ1Srct
>>211
日本語ビットマップフォント制作中(2)。 の tarot 氏の仕事だね。
http://pc.2ch.net/test/read.cgi/unix/1047823838/769

213 :login:Penguin:03/10/17 00:43 ID:N6+ISr79
SidのX + 古いvoodoo3d bansee on ぽんこつ

Xのログを見るとdriが有効になってるけど

(**) TDFX(0): DPMS enabled
(II) TDFX(0): X context handle = 0x00000001
(II) TDFX(0): [drm] installed DRM signal handler
(II) TDFX(0): [DRI] installation complete
(==) TDFX(0): Direct rendering enabled


glxinfoするとdriが"No"と出る。glxgearsも遅い(100fps前後)

direct rendering: No
server glx vendor string: SGI
server glx version string: 1.2
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.4 Mesa 5.0.2


tp://dri.sourceforge.net/snapshots/ から
モノをとってきて入れてみたら、
obsoleteなXを使ってるから動きません、
のようなエラーになった。


214 :PostgreSQL のデフォルト言語:03/10/17 01:59 ID:hJGMCBVU
PostgreSQL パッケージをインストールしました。

最初にインストールしたときは、デフォルトのエンコーディングを ASCII にしていました。
なので当然 createdb コマンドで作成される
データベースのエンコーディングは ASCII でした。

途中から UTF-8 を使いたくなったので
creatdb -E Unicode でデータベースを作るようになりましたが、
毎回 -E Unicode オプションをつけるのは面倒なので
dpkg-reconfigure postgres でデフォルトのエンコーディングを Unicode にしました。

ですがやはり createdb で作られるデータベースのエンコーディングは ASCII です。

なんとかデフォルトのエンコーディングを Unicode にする方法は無いものでしょうか?

215 :login:Penguin:03/10/17 02:40 ID:JiwxjcrP
>>214
うまく表現できないが、DBとかって勝手にやれって感じ。
使われるケースが多様すぎるものはパッケージに期待
すんなってことだよ。


216 :login:Penguin:03/10/17 02:55 ID:JiwxjcrP
debianって、リリース(stable)を決定するのって誰?


217 :login:Penguin:03/10/17 08:49 ID:HF6U0g9S
sargeでrubyが1.8になったのでmigemoが入んなくなったから、
sidからとってきて強引に入れてみた。
で、topしてみるとしばしばメモリが全体の50%近く食ってるんだけど。

こんな人いませんか?


218 :login:Penguin:03/10/17 08:53 ID:HF6U0g9S
そういえばmigemo-perlを入れれば良いのだった。

219 :login:Penguin:03/10/17 09:00 ID:Uwz2Q7Lh
そーいやさっきrubyが暴れてたな。それよりもapacheがメモリ食いつぶしやがってたので
パージしたところだったのだが、主犯がmodrubyだったら笑う。


220 :login:Penguin:03/10/17 09:24 ID:c3UvUsf9
Sarge の apt-listchanges が install できるようになりますたよ

221 :login:Penguin:03/10/17 09:55 ID:QvQ7soKv
>>220
さんくす。インストールできますた。

222 :PHP4.3.3 の SAPI は CLI:03/10/17 10:28 ID:hJGMCBVU
sid の php4-cgi (4.3.3) では
SAPI が CGI ではなく CLI に設定されていますよね?
このために軒並み CGI として PHP が動かなくなるんですが、大丈夫なんでしょうか?

223 :PHP4.3.3 の SAPI は CLI:03/10/17 11:04 ID:hJGMCBVU
/usr/bin/php4 のかわりに /usr/lib/cgi-bin/php4 を使えばいいんですね。
BTS に書いてありました。

224 :login:Penguin:03/10/17 12:01 ID:74hh5F4l
インスコからKDEで日本語入力できるまで詳しく手順を説明したHP晒して下さい

225 :login:Penguin:03/10/17 12:03 ID:u/SntQIw
>>224
どこで悩んでるの?

226 :login:Penguin:03/10/17 12:38 ID:dXII6tRF
>>224
>>1

227 :login:Penguin:03/10/17 13:55 ID:Vm7DECuj
>>224 つまりwoody使えってことだわさ

228 :login:Penguin:03/10/17 15:06 ID:LRn4X5ss
http://lists.debian.org/debian-x/2003/debian-x-200310/msg00780.html
怒ってる怒ってる

229 :login:Penguin:03/10/17 15:09 ID:LRn4X5ss
the top-level domain of your address that you might not speak English well
and may not have been comfortable filing a bug report or making a
request to the debian-x mailing list in that language.
--
しかしすごいこと言ってるな

230 :login:Penguin:03/10/17 15:26 ID:3TQeacb4
NMUってなに?

231 :login:Penguin:03/10/17 15:44 ID:EQUykUmq
勝手に他人があげちゃうこと。

232 :login:Penguin:03/10/17 16:10 ID:+foO+6p1
しかしbrandenのsurmiseが図星だったらこれ見ても伝わらない罠。

233 :login:Penguin:03/10/17 17:27 ID:hJGMCBVU
不完全なパッケージを NMU しちゃったの?

234 :login:Penguin:03/10/17 17:30 ID:jhCNBVuS
http://lists.debian.org/debian-x/2003/debian-x-200310/msg00782.html
ローカルに置いておくつもりが、うっかり上げちまったよという事らしいな。


235 :login:Penguin:03/10/17 17:37 ID:hJGMCBVU
>>234 つーか、あまりにも英語がわけわからん。
中学生?

236 :login:Penguin:03/10/17 17:44 ID:hJGMCBVU
http://www.google.co.jp/search?q=cache:ZOAfM0zbqZ0J:diary.clovery.jp/+topia%40clovery.jp&hl=ja&lr=lang_ja&ie=UTF-8
なんかページが見れないよ…ションボリ
Google のキャッシュしかみつからなかった…

237 :login:Penguin:03/10/17 17:53 ID:u/SntQIw
そっとしといてやれよ。

238 :login:Penguin:03/10/17 19:05 ID:UJNwBb9E
>>229
そのパッチがどんなもんかも、君にメールアドレスから英語が話せないだろうことも、
私は推測する。しかし、もしも、 なら、石川にメールしろ。



239 :login:Penguin:03/10/17 19:24 ID:k4z/Oi9Y
>>230
ttp://www.jp.debian.org/doc/manuals/developers-reference/ch-pkgs.en.html#s-nmu

240 :login:Penguin:03/10/17 19:53 ID:hJGMCBVU
http://diary.clovery.jp/
よかった…ちゃんと見られるようになってる。
ちょっと負荷がかかってただけなのかもね、アクセスが集中して。

241 :とぴあ:03/10/17 20:52 ID:N/WVDUaJ
>>228-240中学生レベルの英語でごめんなさい。パッケージのバグを本家にBTSしようとしても、いつも英語がうまく書けなくて断念してるんです…。

242 :login:Penguin:03/10/17 22:36 ID:CqZ/X6sF
>>241 まぁこれに懲りずにガンガレ。dputする前には要注意なw

漏れはdput使ってないけどな。duploadで不便感じてないし。


243 :login:Penguin:03/10/17 23:35 ID:B9h9C01J
このスレ、けっこうでべろっぱおるんだな……

244 :login:Penguin:03/10/18 00:42 ID:A7DcRTca
(・∀・)ゲロッパ?

245 :login:Penguin:03/10/18 02:16 ID:opexMEHj
xdvi-ja とかgsを実行するときに出るwarningなのでgs関係で不具合が起きてしまったんだと思うのですが,
gs関連をpurge してinstallし直すとかで何とかなりますかねぇ?
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset
ちなみに当方sidなので自己解決すべきなのでしょうが….

246 :login:Penguin:03/10/18 02:45 ID:kxxOgj7R
woodyのコンソールで日本語入力をしようと思っています。
色々検索したところ、skkfepというのでもできるようですが、
うまくいきませんでした。
なのでCannaをコンソールで使おうと思っているのですが、canuumというのが
みつかりません。どこにあるのでしょうか?
…まさか、ソースからコンパイルしないといけないとか。

247 :login:Penguin:03/10/18 08:48 ID:KvxpvAIK
>>246 ttp://lev.ii2.cc/~ftp/pool/sid/c/canna/
で提供されているsid用のdebをwoodyで作り直してみるというのはどうか?
rebuildの仕方はスレッドテンプレを読んでちょうだいな


248 :login:Penguin:03/10/18 12:42 ID:kxxOgj7R
>>247
もう、apt-get install cannaでcannaだけ入れてしまったのですが、
大丈夫でしょうか?

249 :login:Penguin:03/10/18 12:59 ID:ZdAlwP0N
>>248
apt-get remove canna

250 :login:Penguin:03/10/18 16:56 ID:uehL4VKB
qmailadminがsidに入った。

251 :login:Penguin:03/10/18 20:40 ID:skgfOmKz
>あなたの心の色 紫
>あなたのタイプ 孤独の戦士
>積極性 ★★★★★★★★★★★ 55 %
>論理的計算性 ★★★★★★★★★★★★★★ 70 %
>協調性 ★★★★★★ 30 %
>やさしさ ★★★★★★★★★★★★★★★★ 80 %
>野心度 ★★★★ 20 %
>お金への執着度 ★★★★★★★★★★★★ 60 %
>恋愛積極性 ★★★★★★★★ 40 %
>現実逃避性 ★★ 10 %

>* 努力することは嫌い
当たってるぅぅぅ(゚∀゚)アヒャヒャ

252 :login:Penguin:03/10/18 22:15 ID:q2buRHl1
むとぅの言うパートナーって何?
彼女?奥さん?彼氏?ルームメート?
なんか気になる書き方だ。


253 :login:Penguin:03/10/18 22:17 ID:ygP/3Rru
> あなたの心の色 紫
> あなたのタイプ 孤独の戦士
> 積極性 ★★★★★★★★★ 45 %
> 論理的計算性 ★★★★★★★★★★★★★★ 70 %
> 協調性 ★★★★★★★★ 40 %
> やさしさ ★★★★★★★★★★★★ 60 %
> 野心度 ★★★★★★★★ 40 %
> お金への執着度 ★★★★★★ 30 %
> 恋愛積極性 ★★★★★★★★★★★★★★ 70 %
> 現実逃避性 ★★ 10 %

251 と同じ色になってしまった

254 :login:Penguin:03/10/18 22:17 ID:ATpK/QRc
置くさんやろ。

255 :login:Penguin:03/10/18 22:24 ID:q2buRHl1
へー。結婚してんだ。知らんかった。
パートナーってやけにフェミニスト系記述だなぁ。


256 :login:Penguin:03/10/19 00:18 ID:dG1H8lpD
Debianってベースだけインストールすると何MBくらいになります?

257 :login:Penguin:03/10/19 00:23 ID:yTZnsrKP
80-100MBぐらい。

258 :256:03/10/19 00:32 ID:dG1H8lpD
ありがとうございます。結構大きいですね。
いろいろ削ってみますわ。

259 :login:Penguin:03/10/19 00:38 ID:n6jam/Ev
>>256
Debian とは関係ないのですが、

80-100MB で大きいとはどういう用途なのでしょ?



260 :login:Penguin:03/10/19 00:44 ID:E+L+B9uH
基本システムはフロッピー 12 枚におさまってなかったっけ?

261 :login:Penguin:03/10/19 00:44 ID:oPlHRiEA
どこまで削ってどういう用途で使ったのか教えて欲しい。

262 :login:Penguin:03/10/19 00:49 ID:yTZnsrKP
>>259
他所でやれ。
http://pc.2ch.net/test/read.cgi/linux/1061821173/

263 :login:Penguin:03/10/19 00:56 ID:8p8G1ycq
この間からDebianユーザになりました。
インストーラでNIC認識してくれないと結構めんどいっすね・・・。
逆に認識してくれると激しく楽。

で、いろいろapt-getしてるんですが依存関係やらで問題出てくることがしばしばあるんす。
例えばstableからtestingにdist-upgradeしたらsawfishが起動しなくなったりとか。
もちろん俺がヘタレだからなんですが、依存関係でなるべく困らないように
これだけは(やっとけ|やるな)ってことありますか?>先人の方々

264 :login:Penguin:03/10/19 01:00 ID:VU7TM3KD
stable 使え。

265 :login:Penguin:03/10/19 01:02 ID:SKbrwJi2
野心度0%のモレは終わってるな。。。

ちなみに紫。
やさしさ100%だた(喜

266 :login:Penguin:03/10/19 01:03 ID:yTZnsrKP
>>263
official以外のapt-lineを書かない。
必要ないのに(dist-)upgradeなどしない。

267 :256:03/10/19 02:05 ID:dG1H8lpD
>>259
>>262
古いPCで使うわけじゃないです。簡単に言えば、CD環境です。

268 :login:Penguin:03/10/19 15:19 ID:7aI+oE80
sidにて PCMCIAカードにてネットワークを利用しているのですが、
起動時にネットワークが適切に設定されていないようなのですが
私だけでしょうか?
起動後に、/etc/init.d/networking restart するか、
カードを抜き差しするとちゃんと動きます。

解決策はありますか?

269 :login:Penguin:03/10/19 15:29 ID:iXS9KR+H
BTSへgo!

270 :login:Penguin:03/10/19 15:31 ID:CDJCEJDm
http://lists.debian.org/debian-x/2003/debian-x-200310/msg00790.html
この前下がったbranden評価が持ち直した

271 :login:Penguin:03/10/19 15:33 ID:7aI+oE80
解決しました
カードが認識される前にネットワークの設定がされていた為でした m(。。)m

272 :とぴあ:03/10/19 17:29 ID:ohUR6ar6
今回の発端となったパッチに付いてまとめてみました。
英語を書く気力が無くて、 >>270 のメールを放置状態にしてしまって
いるので、もう間に合わないかも知れませんが…(^^;;;

http://diary.clovery.jp/index.rb/html/2003/1019.html#p02


273 :名無しさん@Linuxザウルス:03/10/19 17:38 ID:2vLrjvlA
sidにgnome2.4登場はスルーでつか?


274 :login:Penguin:03/10/19 17:51 ID:ZC6/MvYP
>>273
あげた。別にトラブルなし。
見た目たいしてかわらん。
でもどうしてnautilusは2.2のままなんだろう……
ところでnortheyeタン早くMozilla1.5出してクレクレタコラ

275 :login:Penguin:03/10/19 18:08 ID:h5Jl+1IP
非公式のからupgradeしたらトラブったよ。
libbonobo-activation.so.4(.0.0)が存在しない状態になった。
libbonobo2-0を再インスコすればオケ。

それよりuimが更新されたのがうれしかったり。

276 :login:Penguin:03/10/19 19:52 ID:7iBy4EgV
gnomeを2.4にしたらKDEメニューがなくなった

277 :login:Penguin:03/10/19 20:35 ID:E5i55py9
>>276

本当だ、それとページ切り替えたら、アプリケーションの
ウィンドウの位置がずれる、ううったまらなく使いにくい。

278 :login:Penguin:03/10/20 02:03 ID:EitHha54
>>272
brandenの言うとおり、とりあえずishikawa@debian.orgに連絡されては伺か。


279 :Testing名無しさん:03/10/20 07:14 ID:OaqPob5K
Configuring Lilo
----------------

It was detected that it's necessary to run /sbin/lilo in order to update the new
LILO configuration.

WARNING: This procedure will write data in your MBR and may overwrite some
things in that place. If you skip this step, you must run /sbin/lilo before
reboot your computer or the system may not boot again.

:-! Do you want to run /sbin/lilo now? true

:-! Do you want to run /sbin/lilo now? =yes

:-! Do you want to run /sbin/lilo now? = yes

:-! Do you want to run /sbin/lilo now? = true

:-! Do you want to run /sbin/lilo now? = false

:-! Do you want to run /sbin/lilo now? = (´・ω・`)

:-! Do you want to run /sbin/lilo now? = false

なんて答えれば進んでくれるの?

280 :Testing名無しさん:03/10/20 08:14 ID:OaqPob5K
>>279
:-! Do you want to run /sbin/lilo now? yes

`=' まで消して yes と答えたら通った
ちなみに lilo 1:22.5.8-2 ね

281 :login:Penguin:03/10/20 11:05 ID:Tf+F/5Gh
あれだわさ、昨今の大容量HDDをパーティション切るには
debian的にはどういう風に切るのがいいのか、
みなさん、どうやってるか教えてください。
ムトゥの叙事詩には10Gの例しか載ってない

282 :login:Penguin:03/10/20 11:08 ID:pVC9mHfk
>>281
/varをちょい多めに切るくらいで、別にどうでもいいんでないの。

パーティション切りってさあ、どう切ったらいいかわからんってことは、その
システムのどの領域がどれくらい使われるかわからんってことでしょ。
使い方はそれぞれだから、debianだからとかそういうの関係ないしね。

ということで、迷うくらいなら / と swap だけってのがいいと思うよ。

283 :login:Penguin:03/10/20 11:26 ID:vPU8PRKC
「/boot も作っとけ」って時代は終わったんだっけ?

284 :login:Penguin:03/10/20 11:32 ID:Tf+F/5Gh
>>283
282を読むと、そうみたいですね


285 :login:Penguin:03/10/20 11:53 ID:JIUmr5Zy
>>281
そうだねぇ、160Gを例にすると、
swap 1G
/var 2G
/tmp 2G
/home 40G
/usr/local 40G
/ 残り全部
って感じでいいんじゃねーか?
自分でソフトなんかいれねーよ、バーカ。
ってやつは/usr/localはなしで。


286 :login:Penguin:03/10/20 11:56 ID:Xs169zCC
でび吉は/var食うからな。
つかハムから始めたシステムををだましだまし使ってたら、ついに/usrがあふれるようになった。
くっそー、/usrが2Gで足りない時代が来ようとは思わなかった…

287 :login:Penguin:03/10/20 11:59 ID:UneGoggq
sidのgnome2.4入れたらパネルが全部普通のウィンドウのような扱いになって
ウィンドウの枠とか×ボタンとかが表示されるようになった。
過去のgnomeを使っていないアカウントでログインしてみたら普通に
表示されたので設定ファイルを消そうと思ったんだが、
どこに記述されているかがわからない。

.gnome* と .nautilus* を別のとこに移してみたんだけど、
これだけじゃだめ?

288 :login:Penguin:03/10/20 12:29 ID:jWJPSG0O
>>287
.gconf と .gconfd も必要かと。

289 :login:Penguin:03/10/20 13:17 ID:0QcKsz7l
Debianでpcmciaのモジュール作るのはどうやるの?
MODULE_LOC=../modules make-kpkg modules_image
とかやっても、作ってくれないよ。
ソースとかはちゃんと展開してるんだけど。

290 :login:Penguin:03/10/20 13:40 ID:6mepa8CI
gnome2.4 で.gnome+ .nautilus* .gconf .gconfd を消したら、
すげーさびしくなってしまった。
これがdefaultの状態なの?

291 :login:Penguin:03/10/20 13:54 ID:gRuULzhW
>>289
相対パスだとダメだった記憶が…


292 :login:Penguin:03/10/20 14:50 ID:33n1i5e5
o-uってなに?
http://www.topstudio.co.jp/~kmuto/d/?date=20031020#p03

293 :login:Penguin:03/10/20 14:57 ID:33n1i5e5
orcaか

294 :287:03/10/20 16:41 ID:UneGoggq
>>288
.gconf と .gconfd も消してみたらパネルが初期化された。
けど未だにパネルの扱いが普通のウィンドウになってる。

キャプチャーしみてた。
http://sakots.pekori.jp/imgboard/imgs/img20031020163957.png

こんな感じでパネルにふちがついてる。
で、そこをひっぱると大きくなったりする。

295 :login:Penguin:03/10/20 17:44 ID:S0o+TWfE
GNOMEにそんなパネルあったっけ。

つかパネルがクラッシュしまくり。
勝手に再起動してくれるからいいけど。

296 :287:03/10/20 17:57 ID:UneGoggq
>>295
そんなパネルない。
というか勝手に全部こうなる。
なんかうざい。

297 :login:Penguin:03/10/20 18:23 ID:V7zn2ODn
( ´_ゝ`)フーン

しばらく update は保留しとくか。

298 :login:Penguin:03/10/20 18:29 ID:S0o+TWfE
>>296
そもそもGNOMEの問題なのかね。
GNOME関係のdotfileを消してもダメ。
真っ新な状態で起動した場合には正常なら、他が悪さしてるんじゃないの。

299 :login:Penguin:03/10/20 18:38 ID:K2/W93c6
>>296
/usr/sbin/update-alternatives --display x-window-manager
で確認してみれば?

300 :login:Penguin:03/10/20 18:43 ID:OyZpjsCl
>>281
debian 的ではないが/boot と / 以外(/usr /var /tmp /home)は lvm に置く
/usr/src や /usr/local も分けるかな
予想使用量の倍くらいを目安にして、足りなくなったら論理ボリュームを増やす
後は必要な時、必要なだけ切り出して利用
ところで sarge は lvm インストールできるようになるんだろうか

301 :287:03/10/20 19:03 ID:UneGoggq
>>299
してみた。

x-window-manager - status is auto.
link currently points to /usr/bin/sawfish
/usr/bin/fluxbox - priority 50
slave x-window-manager.1.gz: /usr/share/man/man1/fluxbox.1.gz
/usr/bin/sawfish - priority 70
slave x-window-manager.1.gz: /usr/share/man/man1/sawfish.1.gz
Current `best' version is /usr/bin/sawfish

ここでgnomeが抜けてるのはおかしい?
wmのリストだから、ってことで正しい?

302 :login:Penguin:03/10/20 19:14 ID:S0o+TWfE
本当にsid使いか?

303 :login:Penguin:03/10/20 19:30 ID:pVC9mHfk
>>286
そんなあなたに
ttp://www.linux.or.jp/JF/JFdocs/Hard-Disk-Upgrade/


304 :login:Penguin:03/10/20 19:39 ID:h2qoRntb
窓枠が表示されるのは、
単にGNOMEに対応していないWMつかってるだけだったりして。


305 :login:Penguin:03/10/20 20:04 ID:0sqSgHdb
>>289
カーネル側のPCMCIAモジュールが有効になってない?
私も昔同じ問題で悩み、このスレで教えてもらったことがあります。

306 :287:03/10/20 20:29 ID:UneGoggq
>>302
激しくスマソ

>>304
今sawfish使ってるんだがmetacityに変えてみる。

307 :login:Penguin:03/10/20 20:51 ID:bpgte3e3
>>306
sawfish は GNOME2 だとダメダメ

308 :login:Penguin:03/10/20 21:12 ID:KjwpZIUo
>>300 漏れは /var を結構多めにとってる。
まぁ PostgreSQL を使っているせいかもしれないけど。
それ以外は…

・/boot はもはやいらないような気がする。
・/home はでっかくとっておこう。

309 :login:Penguin:03/10/20 21:24 ID:bpgte3e3
apt ラインに testing と unstable を書いたら、
/ が溢れて激しく後悔したよ。

310 :login:Penguin:03/10/20 21:27 ID:ztCM2mYH
>>309
一度に全部更新しないで
少しずつ更新してapt-get cleanで消して行けばいいのでは?

311 :309:03/10/20 21:51 ID:bpgte3e3
>>310
アドバイスありがとうございます。

正確に書くと、ディストリビューション更新中、一時的に kernel-image が
三つ(!)になっちゃって、/lib/modules 以下が巨大になったのが敗因かと。


312 :309:03/10/20 21:55 ID:bpgte3e3
>>311
おっと、/lib/modules だけじゃなくて /boot もです。

313 :login:Penguin:03/10/20 22:12 ID:sFfNRnix
testing + ちょっとsid + 2.6.0-test8 + nvidiaのdriver + vmware
がとりあえず動いている.

vmware起動したときに画像が乱れる以外は,今のところ問題ないように見えるが...
誰か解決策知ってる?自分も調査中...


314 :login:Penguin:03/10/20 22:19 ID:aZm0d8op
>>311-312
>apt ラインに testing と unstable を書いたら、
既に関係ないな(w

ちうかkernel-imageが3つぐらい入っててもたいした容量じゃないべ。
それで溢れるようじゃ、用途に対して根本的にディスク容量が足りてない。

315 :login:Penguin:03/10/20 22:23 ID:opsEeOrV
>>311
>一時的に kernel-image が三つ(!)
カーネル3つってexclamationもんなの?
俺なんか後生大事に2.2系2つと2.4系2つと2.6系1つ置いてるよ。

316 :login:Penguin:03/10/20 22:39 ID:aZm0d8op
>>315
間違って2.2なんかで起動したらファイルシステムがおかしくなりそうで恐くね?
reiserfsだとまず壊れそうだし、ext2/3でも変になりそう。
漏れは2.6を入れてるシステムでは2.5と2.6しか残してないYO。

317 :289:03/10/20 22:42 ID:EitHha54
>>291
レス案が戸。
でも相対パスはおケーみたい。

>>305
確かにカーネル本体でPCMCIAは有効にしてて/lib/modules/*/pcmciaもあります。。。
カーネル側のPCMCIAの設定って、いろんなところに散らばってますけど、
全部Nでコンフィグしなきゃだめですか?
って、いろいろ試してみ松。


318 :login:Penguin:03/10/20 23:18 ID:d98KYbWe
sidのepiphanyで日本語フォントを設定するにはどうしたらいいの?
フォントの一覧に出てこないんだけど。

319 :login:Penguin:03/10/20 23:30 ID:V7zn2ODn
>>318
font.dir に iso10646-1 を無理やり付加したら表示できてる。

4
Osaka.ttc -apple-osaka-medium-r-normal--0-0-0-0-p-0-0-iso8859-1
Osaka.ttc -apple-osaka-medium-r-normal--0-0-0-0-c-0-0-jisx0208.1976-0
Osaka.ttc -apple-osaka-medium-r-normal--0-0-0-0-c-0-0-jisx0208.1983-0
Osaka.ttc -apple-osaka-medium-r-normal--0-0-0-0-p-0-0-iso10646-1

たまに豆腐が出るけど。

320 :319:03/10/20 23:51 ID:V7zn2ODn
訂正。p だと固まる。
Osaka.ttc -apple-osaka-medium-r-normal--0-0-0-0-p-0-0-iso10646-1

Osaka.ttc -apple-osaka-medium-r-normal--0-0-0-0-c-0-0-iso10646-1


321 :login:Penguin:03/10/21 00:00 ID:9koWTlYk
フォントサーバ使うと楽チンだな。
M$なフォントもtruetypeフォルダに突っ込むだけで、使えちゃうし(gtk1はだめだけど)。


322 :login:Penguin:03/10/21 00:02 ID:vzqxioeH
そういえばfontconfigがdefomaに依存しちゃってるな。

323 :login:Penguin:03/10/21 00:06 ID:33UqsdQu
>>322
そうなんだよ、最悪だ。

apt-lineにasahi-netを指定してるんだが、
404 Not Foundになってるパッケージがいくつかある。

324 :login:Penguin:03/10/21 00:09 ID:vzqxioeH
漏れ的にはdefomaよかフォントに依存しちゃってるのが嫌。
どうせGNOME入れるとdefomaもついてくるし。
修正されるのを期待してupgradeしてねーよ。

325 :login:Penguin:03/10/21 00:14 ID:33UqsdQu
依存しちゃってるな。
ttp://packages.debian.org/unstable/utils/fontconfig.html
つーかこっちはupgradeしようにも404でできない罠。

326 :318:03/10/21 00:17 ID:L893GzGH
>>319-320
ありがd。結局正攻法では使えないってことか。残念。
mozilla-firebird使うことにするよ。パッケージが怪しげだけど。

327 :login:Penguin:03/10/21 02:55 ID:gBQu0Lj0
defomaは作った直後はなにものだかわからなかったなー
うまくいけば、うまくいくツールだったのではないかと思う。

日本語のドキュメントが増えて、日本語のフォントをdefomaを使って簡単に設定できる例を出していればはやったかも。

328 :login:Penguin:03/10/21 02:58 ID:xenPEhji
defoma って死滅しちゃうの?

329 :login:Penguin:03/10/21 08:07 ID:dlWd31cV
つーか、defoma って何のためにあるの?

330 :login:Penguin:03/10/21 10:58 ID:+0oq1GVl
外人のフォント登録のため

331 :login:Penguin:03/10/21 14:48 ID:4+KZj9ZL
久しぶりにdist-upgradeしたら
dpkg の表示がすべて英語になっちゃんたんだけど、
問題の切りわけができずに困ってます。
aptの表示は日本語です。

$ locale
LANG=ja_JP.eucJP
LC_CTYPE="ja_JP.eucJP"
LC_NUMERIC="ja_JP.eucJP"
LC_TIME="ja_JP.eucJP"
LC_COLLATE="ja_JP.eucJP"
LC_MONETARY="ja_JP.eucJP"
LC_MESSAGES="ja_JP.eucJP"
LC_PAPER="ja_JP.eucJP"
LC_NAME="ja_JP.eucJP"
LC_ADDRESS="ja_JP.eucJP"
LC_TELEPHONE="ja_JP.eucJP"
LC_MEASUREMENT="ja_JP.eucJP"
LC_IDENTIFICATION="ja_JP.eucJP"
LC_ALL=

次に確認すべきとこはどこですか?

332 :  :03/10/21 14:50 ID:oPauh1Fn
>>331
 端末なのかXなのか

333 :login:Penguin:03/10/21 14:54 ID:4+KZj9ZL
>>332
Xでmltermを使ってます。
gnomeのメニューは日本語ででてます。


334 :login:Penguin:03/10/21 14:56 ID:TG+sECVr
>>331
前スレ851で既出。

335 :login:Penguin:03/10/21 15:07 ID:4+KZj9ZL
>>334
ども。
これですね。
http://bugs.debian.org/211816

336 :309:03/10/21 20:04 ID:VQ9aeXOc
>>314
たしかに apt ラインの話は無関係ですね。スマソ。
/ の割り当てが少ないと言われればその通りです。
パーティション切り直しが面倒で slink のころからそのままかも。
その頃は十分足りてたような記憶があるんだけど、そろそろ潮時かな。

>>315
わたしは 2 つまでしか経験がありませんでした(W


337 :login:Penguin:03/10/21 20:41 ID:rL4CryCz
apt-get install cvs とすると失敗している模様です。
具体的には、
> Preconfiguring packages ...
> /tmp/config.22891: return: bad non-numeric arg `Check'
> (以下同じエラーが数行)
> Selecting previously deselected package cvs.
> (Reading database ... 9328 files and directories currently installed.)
> Unpacking cvs (from .../cvs_1.11.1p1debian-8.1_i386.deb) ...
> Setting up cvs (1.11.1p1debian-8.1) ...
> /var/lib/dpkg/info/cvs.config: return: bad non-numeric arg `Check'
> (以下同じエラーが数行)
> /usr/sbin/cvs-makerepos: [: too many arguments
> Creating CVS repository in cygwin...
> cvs init: CVSROOT "cygwin" must be an absolute pathname
> cvs [init aborted]: Bad CVSROOT.
> dpkg: error processing cvs (--configure):
> subprocess post-installation script returned error exit status 1
> Errors were encountered while processing:
> cvs
> E: Sub-process /usr/bin/dpkg returned an error code (1)
と出て終了です。

ただ、cvs自体は実行可能状態ではありますが、configureに失敗しているようなので
このまま使いつづけるわけにはいきづらいと考えています。
インストールを成功させるにはどのようにすればよいでしょうか?

338 :login:Penguin:03/10/21 21:03 ID:/QVXGqUg
>>337
> > Creating CVS repository in cygwin...
> > cvs init: CVSROOT "cygwin" must be an absolute pathname
> > cvs [init aborted]: Bad CVSROOT.
じゃないの?

339 :login:Penguin:03/10/21 21:38 ID:rL4CryCz
>>338
CVSをまだ入れていないのに、CVSROOTとか言われるんですかね?
それに、cygwinなんて全然関係ないと思うのですが…
不思議です。

340 :login:Penguin:03/10/21 22:39 ID:nsdCJm8h
不思議なのはオマエだ


341 :login:Penguin:03/10/21 22:49 ID:fk8YMPwK
このcvsのエラーって前スレか前々スレでもでてなかったっけ?
あのときは結局原因分からなかったんだけど


342 :login:Penguin:03/10/21 23:00 ID:wkRfFhlv
あのすんません、厨な質問なんですが、
なぜかディスクが一杯だなーと思って/var/logを見ると、

$sudo ls -lh kern.log debug syslog
-rw-r----- 1 root adm 1.3G 2003-10-21 22:43 debug
-rw-r----- 1 root adm 1.3G 2003-10-21 22:43 kern.log
-rw-r----- 1 root adm 1.3G 2003-10-21 22:54 syslog

てな感じになってしまってるんですが、こういう上限って決められないんでしょうか?
また勝手に消して良いんででょうか?

$ sudo tail -10000 kern.log | grep error -i

みたいにしてもエラーはなく、中身はほとんどが
usb-storage関係なんですが。

343 :login:Penguin:03/10/21 23:20 ID:+Y0XZ4gY
>>342
必要ないなら消せばいいじゃん。
自分のマシンの情報だろ?
つかlogrotateでも入れとけばぁ?

344 :login:Penguin:03/10/21 23:26 ID:Y0tjbtby
>>342
1) 吐かれるログに本当に問題が無いか検討する。抑制する方法を考える。
2) logrotate の更新間隔を短くする。
3) syslog-ng 等を利用して、不要な log は注意深く filter する。

1→2→3 の順番でどうぞ。

345 :login:Penguin:03/10/21 23:36 ID:rL4CryCz
>>340
不思議ですかそーですか
>>341
とりあえずバイナリはインストールされているみたいなので、
しばらく使ってみて不具合をチェックしてみたいと思います。

346 :login:Penguin:03/10/22 00:08 ID:u+CwRoR+
>>343,344
ありがとうございます。
たまにmessagesを読むくらいで、あんまりログとか気にしたこと無いもんで...
今回は外付けのディスクに一気に大量に書き込みをした為ですが、
後学の為に勉強しておきます。

>>344のコメント、大変参考になりました。
ありがとうございました。



347 :login:Penguin:03/10/22 00:45 ID:U100W/ZW
>>342
BSD由来のsyslog daemon(sysklogdとか)は、logを消したら touch なりで新し
い file 作らなきゃいけないんじゃなかったっけ?

348 :login:Penguin:03/10/22 00:59 ID:u+CwRoR+
>>347
ありがとうございます。
一応さっき作っておきました。

349 :すれ違いだが:03/10/22 04:06 ID:oUsAmunt
>>342
> usb-storage
何使ってるの?

350 :login:Penguin:03/10/22 08:35 ID:jMdcGyKB
sid使ってるんですが,gtk関係に問題があるのか昨日apt-getしてからaumixやらでセグメンテーションエラー出ています.同じようなことを体験している人いらっしゃいますか?

351 :login:Penguin:03/10/22 11:06 ID:8UXJRfAY
sid 使いの憂鬱

352 :login:Penguin:03/10/22 11:40 ID:jMdcGyKB
350ですが,あんまり騒がれていないということはうちの環境固有の現象ですかねぇ.
時間見つけて調べてるんですが実際のところ何が原因かまだ良くわからんです.mozilla-firebirdもエラーこそ吐かないものの起動しません.
gftp-gtk等のgtk関係のソフトはエラー吐いてます.でもgladeやgimpは何事もなく起動するし,ちょいと見当がつかないです.うーん.

353 :login:Penguin:03/10/22 11:49 ID:UiQKDTu5
今、Debian GNU/Linux スレッドテンプレwikiをカテゴリ毎に分割しているみ
たいだけど、「非公式パッケージ」のapt-lineは1ページで見られるほうが使
い勝手がいいとと思うのでカテゴリに持ってかないで残しておいてほしいな。

冗長だけど、「非公式パッケージ」とカテゴリにapt-lineがあっても問題無い
と思うし。

354 :login:Penguin:03/10/22 12:36 ID:apFregZ3
>>352
mozilla-firebird、gftp-gtk、aumix を使ってるので立ち上げてみ
たけど問題ない。ただ、dist-upgradeをしてないのでいくつか保留に
なってる。これをするとそうなるのか?

俺ならさっさとあきらめて前の状態に戻してしまうが・・。

355 :login:Penguin:03/10/22 13:07 ID:HxpHrcC6
>352
mozilla-firebirdの公式nightlyでは
ライブラリが足らなくて動かなくなったあったな、
apt-get -s install mozilla-firebird
で確認して足らないものを入れて動くようになったが。

356 :login:Penguin:03/10/22 13:18 ID:3HmigIBR
>>353
禿同。

つうか、あんまり細かく分けない方がいいと思ふ。
わざわざMozillaとかGNOME2で分ける意味が分からん。

357 :login:Penguin:03/10/22 13:40 ID:v00WAhW3
sidのgnome2の五月雨式アップグレード結構笑えるね(w
さすがdebianというべきか、なんというか。


358 :login:Penguin:03/10/22 14:19 ID:94/wx4jR
sid
Mozillaアイコンのコマンドの変更は自分でやるものなの?
mozilla-1.4 --> mozilla-1.5

359 :login:Penguin:03/10/22 14:25 ID:v00WAhW3
>>358
自分で書き直しても、 再起動したらまた1.4にもどってしまったよ・・・
ちなみに mozilla-1.5 より mozilla にしといたんだけどね。


360 :login:Penguin:03/10/22 14:46 ID:xNnjdVgk
Debianを使って日が浅いのですが、調べてもわからなかったので質問します。
今bashを使っているのですが、HOMEディレクトリにある.bashrcファイルで
「alias ls='ls --color=auto'」と設定してあるにもかかわらず、lsで色がつきません。
手動でls --color=auto とやると色が付くので、この設定ファイルが読まれていないようです。
また、自分でbashを立ち上げると、今度はきちんと.bashrcを読んでいます。

sshのログインでも症状は同じです。.bashrcがなぜ反映されないのか教えてもらえませんか?
もしくは検索するときのキーワードでも結構です。よろしくお願いします

361 :login:Penguin:03/10/22 14:51 ID:NJrZHQKS
>>360
どんなときに ~/.bashrc が読まれるのか
man bash で確認すれ。

362 :login:Penguin:03/10/22 14:57 ID:uDKk2xFJ
ううっ、mozilla-1.5 ダウンロードができん
URLに直接書き込んでエンターキー押すと about:blank
出てジャンプできん、鬱だ。

363 :login:Penguin:03/10/22 15:04 ID:wZFUkYrN
>>350
以前同じような状態になったことあったよ。その時はpango?だったかな。
詳しく覚えてないけどgdbつかってみたら?
俺も同様にgimpは起動したけど、gameやbluefishはだめだったよ。
(LANG=Cで起動すれば問題無し。)最終的には~/.gtkrc-2.0のフォント指定
を別のものkochiとかにすれば問題なしでした。現在KDEつかっているので
参考になるかわかりませんが、、、


364 :login:Penguin:03/10/22 15:05 ID:SMTRoViL
>>360
Debian 固有ではない話題は、くだらない質問スレでどうぞ。
まぁ、今回は教えてあげるけど。

~/.bash_profile に、
if [ -f ~/.bashrc ]; then
. ~/.bashrc
fi
とでも書いとけ。

365 :363:03/10/22 15:06 ID:wZFUkYrN
>>363に使用フォント書いてませんでした。
Macからもってきたヒラギノ丸ゴ使ってました m(__)m

366 :login:Penguin:03/10/22 15:40 ID:94/wx4jR
>>360,364
~$ set-language-env
やったらこうなってる。よ。

~/.bash_profile
# ---- language-env DON'T MODIFY THIS LINE!
# .bash_profile は、ログイン時に実行される。
if [ -e ~/.bashrc ]
then
# ただし、すでに .bash_profile が .bashrc を実行していたら、
# 複重しては実行しない。
if [ -z "$BASHRC_DONE" ]
then
. ~/.bashrc
fi
fi
# ---- language-env end DON'T MODIFY THIS LINE!

367 :login:Penguin:03/10/22 17:11 ID:xNnjdVgk
場違いな質問住みませんでした。次からは質問内容についてもよく考えます。
答えてくださった方々ありがとうございます。

368 :login:Penguin:03/10/22 17:16 ID:NJrZHQKS
それほど場違いだとは思わんけどな。

369 :login:Penguin:03/10/22 17:27 ID:u6Wn9hhb
つうか、インストール時のbase-configかadd-userで一般ユーザ作れば、
普通は ~/.profileや~/.bash_profileで~/.bashrc読み込むようになってるはずだが。


370 :login:Penguin:03/10/22 17:29 ID:uDKk2xFJ
>>362

再インストールしたら直った。

371 :login:Penguin:03/10/22 17:33 ID:NJrZHQKS
>>369
add-user ってのは adduser のこと?
/etc/skel/.bash_profile では
~/.bashrc 読まないようになってるけど、
そういう話ではない?

372 :login:Penguin:03/10/22 17:35 ID:u6Wn9hhb
adduserだね(^^;

ああ、コメントはずすひつようあったかな?

373 :login:Penguin:03/10/22 17:52 ID:xNnjdVgk
>>372
ええ、コメントアウトされていました。
.bash_profileの働きを知らなかったので、そこに気が付かなくて。

374 :login:Penguin:03/10/22 18:16 ID:QYdf4TlC
libXrender.so.1 に "XRenderFindStandardFormat" がないんですけど。
Xcursorもエラーになるんですけど。

$ ldd -r /usr/lib/libXcursor.so
libXrender.so.1 => /usr/X11R6/lib/libXrender.so.1 (0x40009000)
....
....
undefined symbol: XRenderFindStandardFormat (/usr/lib/libXcursor.so)
undefined symbol: XRenderCreateAnimCursor (/usr/lib/libXcursor.so)
undefined symbol: XRenderCreateCursor (/usr/lib/libXcursor.so)

$ ls -l /usr/X11R6/lib/libXrender.so.1
すると
/usr/X11R6/lib/libXrender.so.1 -> libXrender-1.1.so.1.1
になってるので

# ls /usr/lib/libXrender.so*
/usr/lib/libXrender.so@ /usr/lib/libXrender.so.1@ /usr/lib/libXrender.so.1.2.2
こっちの"libXrender.so.1.2.2"にsymlinkしてやると

375 :login:Penguin:03/10/22 18:18 ID:QYdf4TlC
# rm -f /usr/X11R6/lib/libXrender.so.1
# ln -s /usr/lib/libXrender.so.1.2.2 /usr/X11R6/lib/libXrender.so.1
# ls -l /usr/X11R6/lib/libXrender.so.1
/usr/X11R6/lib/libXrender.so.1 -> /usr/lib/libXrender.so.1.2.2

# ldd -r /usr/lib/libXcursor.so
libXrender.so.1 => /usr/X11R6/lib/libXrender.so.1 (0x40009000)
libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x40011000)
libc.so.6 => /lib/libc.so.6 (0x400e9000)
libdl.so.2 => /lib/libdl.so.2 (0x40218000)
/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x80000000)

直った、ばんざい!! ...しかし
# ldconfig
# ls -l /usr/X11R6/lib/libXrender.so.1
/usr/X11R6/lib/libXrender.so.1 -> libXrender-1.1.so.1.1

元の黙阿弥...

376 :350,352:03/10/22 19:13 ID:jMdcGyKB
コメント下さった皆さんありがとうございます。

結局どこが悪さしているか追い切れず、前前日のバージョンに落して
再インストールしてみました。それでも結局ダメ。
仕方が無いのでSargeにダウングレードの上X関係のパッケージを一旦
全部アンインストールしてから入れ直した所、正常に動作するように
戻りました。

この際なので、このままSargeでいく事にします。
(ああ、LANG=Cは試すの忘れていた…。失敗)

377 :あぼーん:あぼーん
あぼーん

378 :login:Penguin:03/10/23 00:23 ID:r8DtF292
GNOMEがやたら不安定なのはuimのせいな気がしてきた…。

379 :login:Penguin:03/10/23 00:53 ID:3MyHVMRC
nautilusのせいだな。<不安定

380 :login:Penguin:03/10/23 01:40 ID:/HJ8HF+f
gnome 2.4 にしたら激しく不安定なんだけどおれだけ?

381 :login:Penguin:03/10/23 01:51 ID:3MyHVMRC
>>380
じゃないとおもうよ。
アップグレードがばらばらに行われてるのが原因なだけかもしれないけど。

382 :login:Penguin:03/10/23 03:03 ID:r8DtF292
>>279
XFCE4もやたら不安定なんだわさ。
パネルをクリックしただけで落ちる始末だし。
だからuimを疑ってる訳で。

383 :login:Penguin:03/10/23 04:08 ID:/HJ8HF+f
>>381
サンクス。しばらくまってみる。
一応おこってることとしては、放置したあとに USB機器がつかえない
もしくは、キーボード(ps/2)接続がきかない。
両方駄目になることはないんだが。。。
kernel2.6いれてるせいか。。。



384 :login:Penguin:03/10/23 07:21 ID:1oRj9g3j
>>382
長いこと xfce4 使ってて安定してると感じてるけど、
他になんかが悪さしてるんじゃない。

385 :login:Penguin:03/10/23 10:08 ID:yMJ4Qf1C
>>378-382
とりあえず bug-buddy を入れれ。
GNOME アプリケーションが落ちるとどこらへんのライブラリで死んだかを
教えてくれる。普通の Debian パッケージはデバッグオプションを付けて
コンパイルされてないし、strip も掛けられているのであまり詳しい情報は
取れないが、それでもだれが犯人なのかぐらいはわかる。


386 :login:Penguin:03/10/23 15:08 ID:t3z71UnA
Debianに 1.0ってあったの?

387 :login:Penguin:03/10/23 15:29 ID:ePoNMdGw
>>386
あった事はあったけど、確かパッケージングだったか何かに重大な問題があっ
たとかで、直後に 1.1 が出たような?

388 :login:Penguin:03/10/23 15:54 ID:p6so3F5h
>>386
http://www.jp.debian.org/doc/manuals/project-history/ch5.ja.html

389 :login:Penguin:03/10/23 16:57 ID:Qf50Xr6q
もじら1.5が死ぬる

390 :login:Penguin:03/10/23 19:32 ID:L1k+wdc1
>>389
# apt-cache remove gsfonts-other
# fc-cache
で直ったりしませんか.

391 :390:03/10/23 19:33 ID:L1k+wdc1
s/cache/get/

392 :390:03/10/23 19:34 ID:L1k+wdc1
ごめんなさい.
# apt-get remove gsfonts-other
# fc-cache

393 :login:Penguin:03/10/23 19:54 ID:9JDzr2mz
おちけつ

394 :289:03/10/23 20:43 ID:/Xt3fPUB
ふうぅー
sid, やっとgnomeが立ち上がるようになった。
久しぶりにWindowMakerでしのいだけど、
gnomeと比べるとずいぶん軽いなぁ。


395 :389 :03/10/23 21:09 ID:Qf50Xr6q
>>392
おお、立ち上がったよー。そうか、フォントだったのか…
ありがとう!

396 :login:Penguin:03/10/24 00:04 ID:lPlgKwIh
少し前に openoffice の問題が出てたけど、
うちでも今日 OOo の UI のフォントが豆腐になった。
昨日、旧 kochi の hold をやめて新 Kochi にしたんで、
そのせいか? と思ったが、もう一つ OOo におかしな挙動があった。

自前で入れてるフォント群のうち、
拡張子が ttf のフォントは OOo の選択に出るのに、
ttc のフォントは OOo で選択できなくなった。
MS UI Gothic などは ttc なので、選択できなくなった。
そのために UI がおかしくなったらしい。
fc-list では出てくるのに。
ちなみに新 Kochi 自体は問題なく使えてる。

奇妙なのは、openoffice 自体の upgrade はもう二週間も前のことで、
昨日まで普通に MS Gothic も使えてたということ。
つまり昨日、旧 Kochi から新 Kochi に変えたら、
openoffice のフォントに問題が出た、しかも Kochi ではなく
*.ttc という拡張子のフォントに。
うーんよくわからん。


397 :login:Penguin:03/10/24 00:19 ID:HBpfQafW
ああ、うちもttcが選択できんわ。


398 :login:Penguin:03/10/24 00:39 ID:rOl1dj7h
メニューの化けは
Arial Unicode MS をどこかからとってきてつっこむと一発解決。

常用するのならwaooのビルドを
/usr/localに入れたほうがいいかもしらん。
waooのはさしかえ東風で太文字も斜体も出る。

sidのはblackdownのjavaと関連のクラスファイル若干のdebがあれば
自前でrebuildできるのが長所か?

399 :396:03/10/24 00:53 ID:lPlgKwIh
Kochi を戻しても駄目なので、
新 Kochi のせいじゃなかった。
昨日まで使えてたのに。
他に upgrade したものであやしいのは
fontconfig libxrender1
ここら辺かなあ。わからんけど。

>>398
> メニューの化けは
とりあえず Andale Sans UI に Kochi Gothic を指定して
使えるようにしました。
しかし昨日 MS Mincho を使って文書を作ったんですが、
その続きを書くのにフォントがかわってしまうのは痛い…。


400 :login:Penguin:03/10/24 01:13 ID:yog3PND4
ssh を apt-get すると OpenSSH だよね。
でもこの OpenSSH って scp がおかしいみたい。
んで、ssh2 を apt-get すると SSHCommunications だよね。
これって使ってる人いる?
こっちは scp もちゃんと動く?
オイラはとりあえず apt-get してみたけど、
外から ssh ログインさえできなくなった。
ちゃんと使えてる人いますか〜?

401 :login:Penguin:03/10/24 01:19 ID:1jt/WYmb
woody か sarge か sid かくらい書かんかい。

>>400
> でもこの OpenSSH って scp がおかしいみたい。
どうおかしい?

402 :login:Penguin:03/10/24 01:26 ID:yog3PND4
scp で
scp: warning: Executing scp1.
scp: FATAL: Executing ssh1 in compatibility mode failed (Check that scp1 is in your PATH).
lost connection
ってならない?


403 :400:03/10/24 01:28 ID:yog3PND4
あと、woody で〜す。

404 :login:Penguin:03/10/24 01:46 ID:HBpfQafW
漏れのwoodyは大丈夫で〜す。

405 :login:Penguin:03/10/24 02:01 ID:fXRebsa2
dpkg -i するときに動くスクリプトって
どうやってみればいいですか?

406 :login:Penguin:03/10/24 02:07 ID:rOl1dj7h
>>402
鍵の形式も違うし(変換できるけど)、100%互換ではないのでわ。
sftpでやってみたらどうですか。

>>405
/var/lib/dpkg/info あたりに格納されてる。


407 :login:Penguin:03/10/24 02:20 ID:aFoA+ATI
>>402
英語ちゃんと読めよ。
それにそれはサーバのバージョンに依存した話でしょ。

408 :login:Penguin:03/10/24 02:23 ID:Mlw87CtB
大体scpなどという基本的なものが壊れていたら、祭り必至だっつーの

409 :login:Penguin:03/10/24 03:05 ID:1jt/WYmb
>>402
もう SSHv1 は捨てろよ。

410 :login:Penguin:03/10/24 03:20 ID:28SDElrx
>>402
>(Check that scp1 is in your PATH).
scp1が無いだけだったりして。scp[12]って
どの版からか無くなって、両刀scpで引数で
切り替える(-1, -2)ようになってるよ。試して
みたら?


411 :login:Penguin:03/10/24 10:16 ID:1x62j1Yp
Debian 2.4.18-bf2.4を利用しています。

qmailをinstallしてメールを送信すると、Date表示がJST(+9000)にならず
GMT(-0000)になっております。
RedHatとかでソースからinstallする時はqmail-date-localtime.patchなどを
利用して修正出来るのですが、Debianでapt-getを使用した場合、
Date表示をJSTにする方法はありますでしょうか?

DebianにてQmailを入れた時。。。
apt-get install ucspi-tcp-src
build-ucspi-tcp
apt-get remove exim
apt-get isntall qmail-src
build-qmail



412 :login:Penguin:03/10/24 10:31 ID:gG6Sj39m
>>411
# build-qmail
(中略)
Binary package qmail will be compiled now
If you want to apply a custom patch, switch to another console and do it now
This can take long time, depending on your machine

Press ENTER to continue...

413 :login:Penguin:03/10/24 10:35 ID:1x62j1Yp
誰か訳せ!

414 :login:Penguin:03/10/24 10:43 ID:3XIbYv4A
(#゚Д゚)つ )д`) >>413

415 :login:Penguin:03/10/24 10:48 ID:1x62j1Yp
>>412

結局、Enter押して待てばいいの?

416 :login:Penguin:03/10/24 10:56 ID:xy046Jal
パッチ当てたきゃ、勝手にしやがれ。
って書いてある。


417 :login:Penguin:03/10/24 11:06 ID:Dhvmmz4T
      >>415
(#゚Д゚)つ )д(⊂(゚Д゚#)


418 :login:Penguin:03/10/24 11:15 ID:Mlw87CtB
この英語は厨房レベルだろ…

419 :login:Penguin:03/10/24 12:50 ID:nNg5wzPU
debian 3 を旧型ノートパソコンにインストールしました。
画面表示限界色が256色なのでKDEのアイコンをローカラーにしようと思って探したところKDEの設定欄にはありません。
ローカラーのアイコンテーマはdebianのKDEには含まれていないのでしょうか。

420 :login:Penguin:03/10/24 13:03 ID:2lyILOQZ
>>419
kde-theme-* から好きなの入れたらええがな。

421 :login:Penguin:03/10/24 16:21 ID:nNg5wzPU
>>420
kde-theme-* を入れてみました。
Theme Manager に沢山のリストが表われたので、適当にセレクトすると .themerc が無いと言われます。
.theme file もないと言われます。何故なんだろう?

422 :login:Penguin:03/10/24 19:45 ID:zorU+B2Z
過去ログ読んで感動した。

Debian GNU/Linux スレッド Ver. 11
http://pc.2ch.net/linux/kako/1030/10301/1030178687.html
の226さんの「一般ユーザでログインできない問題」
漏れもおんなじ間違いしてたよ。

って書きこみはウザがられるかも知れないけど
ver.11の226よ、ありがd

423 :419:03/10/25 01:30 ID:08hh9gIj
お世話になります
apt-get ではインストールできませんでした。
kdeartwork-theme-icon_3.1.4-1_all.deb を探してダウンロード。
dpkg -i kdeartwork-theme-icon_3.1.4-1_all.deb にて組込めました。

424 :login:Penguin:03/10/25 02:25 ID:JGJvqw8N
make-kpkg 使って変更したファイルだけをリコンパイルする方法ってない?
毎回全部コンパイルしてくれてうざいんですけど

425 :login:Penguin:03/10/25 08:24 ID:l/Kt8K/n
apt-listchangesを LANG=ja_JP.eucJP使ってると変換できなくてエラー吐くんで
python2.3-cjkcodecs入れると動いたよー。
でも、バグページ見ると
http://bugs.debian.org/cgi-bin/pkgreport.cgi?which=pkg&data=apt-listchanges&archive=no
このバグが見れなくてなんでだろ〜
#215045: apt-listchanges: utf-8 characters should be converted into the LC_CTYPE charset
Package: apt-listchanges; Severity: minor; Reported by: Vincent Lefevre <vincent@vinc17.org>; 14 days old

みたいな、sarge使いなどっちつかずの僕の人生どうしたらいいでしょうか?


426 :login:Penguin:03/10/25 10:16 ID:lOillg/m
sarge から sid にして数ヶ月たってわかったけど、
testing 版使ってるからって大したセーフティネットにもならんし、
testing には不完全な依存性の問題もあるし、
upgrade の時に重要パッケージのバグにさえ気をつけていれば
sid で何ら問題ないと思った。
testing = 中級者、unstable = 上級者、ではないと思った。

427 :login:Penguin:03/10/25 10:29 ID:ckQ2GQeN
testing はあくまでテスト用だからな。

428 :login:Penguin:03/10/25 11:39 ID:s953KCdm
>>424
ccache使えないのか?

429 :login:Penguin:03/10/25 12:22 ID:EhwVRbww
>>424
man kernel-pkg.conf
して do_clean を見てみろ。
君が求めているのはこれか?

430 :424:03/10/25 13:41 ID:JGJvqw8N
>>428 そうか、ccache使えばいいのか。
>>429 うーん、ちょっと違うような気がする。これはbuild後にmake clean
するオプションだよね?
とにかくどっちもやってみる。ありがとう。

431 :login:Penguin:03/10/25 15:57 ID:q1sshqpL
testing にもセキュリティパッチあてるようにしてホスィ。
sendmail なんてまだ、cyrus-sasl2 のせいで
バージョンそのままだし、パッチもあててくれない。
パッチあててbuild するのめんどくさいから、
結局sid にしちまったよ。
あまり、testingを使うメリットがない・・・

432 :login:Penguin:03/10/25 22:16 ID:XWq8A6FW
Anaconda GUI インストーラをDebianに移植する……?
Debian強化計画
http://slashdot.jp/developers/03/10/25/1135255.shtml?topic=24


433 :login:Penguin:03/10/25 22:43 ID:H04lSOz/
>>432
最悪だね。RHLと同じになる必要は全くない。
RPMまで統合しようってのも話にあるみたいだが、
そんな事する必要があるのか?ボラクルの為?

434 :login:Penguin:03/10/25 22:51 ID:2m+R/gBV
今日は4月1日じゃないよな…



今年のエイプリルフールにgentooが似たようなアナウンスして
クレーム,罵倒が殺到したらしい(笑)

435 :login:Penguin:03/10/25 22:59 ID:xp3KRQMO
sidはバグ報告してこそ使う価値があると思うんだが。






436 :login:Penguin:03/10/25 23:28 ID:rBzKISu5
>>432
GUIインストーラを移植するのはアリだと思うがrpmまで統合するのはどうかな。
ぶっちゃけ互換性を保てるのか疑問だし、システムの肥大化は嫌。
進んでrpm地獄に足を踏み入れる必要などないと思うのだが。
そんなくだらない事よりi486でも糞重いdpkgをなんとかしてくれぃ。

>>435
BTSで1000取り合戦してこそのsidか?(w

437 :login:Penguin:03/10/25 23:51 ID:Ed+gmg9g
RedhatもFedora体制に移行するんでうまくやると面白いことになるんだろうけどな。
今のところRedhat,Vine,Mandrakeなどはパッケージが互換になってない(よね?)
これをKnoppixがDebianのパッケージを利用できるような感じに統合していって、
最終的に.debも.rpmも統合できたらどうだろう、と妄想してみる。
まあ根本的にRPM陣営が足並みを揃えそうにないんだけど。


438 :login:Penguin:03/10/26 00:26 ID:U/9KFAQZ
え、パッケージ方式で融通を利かせるだけであって、バイナリでの互換性
なんかは考えていない、んじゃないの?
だいいち、無理でしょう。

439 :login:Penguin:03/10/26 00:28 ID:Utz5tiky
>>432
これProgeny社としての計画に見えるけど、Ianって今でもDebianに対して
影響力あるの?
やっぱり企業としてはrpmが使えるのは結構魅力的なんじゃない?

440 :login:Penguin:03/10/26 00:29 ID:ffTtdQkb
>>439
rpmが使えるかどうかなんて企業に取ってはどうでもいい

441 :login:Penguin:03/10/26 01:15 ID:5VsGnuhJ
メーカがが腰が引ける原因は、OSとしての製品を企業が責任を持って
サポートしているか否かだろ、Debianの場合にはOSとしての
責任企業が存在しない事で多くの場合動作保証から除外されている。
あと、Debian使いには、企業が提供するソフトに依存しなくても
なんとかやろうって連中が多い為に、そのようなソフトがrpmで提供
されても使わないだろう、逆に使う必要があれば、Debianでも動かせる
だけの実力者が多いと認識している。と思いたい。(w;

442 :login:Penguin:03/10/26 01:24 ID:eYPbmMJl
本日のお薦めでぶ "pdp11-unix-v7"
$ apt-cache search unix-v7
pdp11-unix-v7 - Caldera UNIX V7 images for a PDP-11 emulator

$ man unix-v7
UNIX-V7(1) UNIX-V7(1)

NAME
unix-v7 - boots unix-v7 image via simh pdp11 emulator
SYNOPSIS
unix-v7
DESCRIPTION
The unix-v7 script prepares a bootable UNIX-V7 system in the directory
it is run in, and then boots the UNIX-V7 system using the SIMH pdp11
emulator.
USAGE
After starting the image with this command, you'll be at the '@'
prompt. Enter "boot" to start the booting process. At the ':' prompt,
enter "rl(0,0)rl2unix" to boot unix. At this point, you are logged in
as the root user.

443 :login:Penguin:03/10/26 01:25 ID:eYPbmMJl
$ unix-v7
PDP-11 simulator V3.0-1
@boot
New Boot, known devices are hp ht rk rl rp tm vt
: rl(0,0)rl2unix
mem = 177856
# passwd root
New password:
Please use a longer password.
New password:
Retype new password:
# ^D

Restricted rights: Use, duplication, or disclosure
is subject to restrictions stated in your contract with
Western Electric Company, Inc.
Thu Sep 22 06:00:12 EDT 1988
login: root
Password:
You have mail.
# mail
From bin Thu Jan 11 19:28:15 1979
Secret mail has arrived.
?
# exit
# quit
quit: not found
# ^D
login:

444 :login:Penguin:03/10/26 01:29 ID:OctILbmH
石川睦さんってこんな人だったんだ。
自宅では冬でも半ズボン履いてる人だって聞いてたけど、なんかちょっとイメー
ジ違うよね。
ttp://www.stellapro.co.jp/profile2/ishikawa.html

445 :login:Penguin:03/10/26 01:35 ID:GeXwhz9n
>>444
17歳のころはこんなだったのか。
けっこう雰囲気違うね。

446 :login:Penguin:03/10/26 02:22 ID:3S+JSX2w
>>442 む、何か同じようなことしてる香具師ハケーン
奇遇つーか何故同じ日に同じパッケージに目を付けたのだろうか...


447 :login:Penguin:03/10/26 09:50 ID:ET+HmoPB
libsensors-1debian1 ってなんだよ?
NOT AVAILABLE なせいで sid な KDE が入らん。

448 :login:Penguin:03/10/26 09:54 ID:9l4sEbDe
>>447
snapshot.debian.netから拾ってくればいいんでない

449 :login:Penguin:03/10/26 11:45 ID:GEu2Gj9C
DebianをCDからインストールしたんです
パッケージをネットから、インストールしたいんです
どうすればよいでしょうか?

450 :login:Penguin:03/10/26 12:13 ID:V7tGcNhi
とりあえずPCショップに言って、56kモデム下さい、と言って下さい。

451 :login:Penguin:03/10/26 12:18 ID:XFblFRSC
NICさえ対応してれば最小限インストールしてapt-getで普通にインストールするだけじゃないの?

452 :449:03/10/26 12:19 ID:GEu2Gj9C
>>450
THX、解決しました
/etc/apt/sources.listにある
deb cdrom:[Debian GNU/Linux 3.0 r0 _Woody_ -Official i386 Binary-1 (20020720)]
unstable contrib main non-US/contrib non-US/main
をコメントアウトしたら、ネットからインストール出来ました

453 :login:Penguin:03/10/26 12:36 ID:GEu2Gj9C
ktermとrxvt端末をXwindow上で使ってるのですが
アプリケーションを’&’で起動しても端末を閉じると終了してしまうのですが
何がいけないんでしょうか?

454 :login:Penguin:03/10/26 12:43 ID:V7tGcNhi
man nohup

455 :login:Penguin:03/10/26 14:32 ID:CJ6vvQH9
>>432
KNOPPIXをインストーラに改造したほうがいいんじゃない?

456 :login:Penguin:03/10/26 14:45 ID:9xeiHkhb
>>455
KNOPPIX の HD インストーラは既にあるけど、
そのことじゃなくて?


457 :login:Penguin:03/10/26 18:03 ID:eO7cFIfR
UTF-8でvim-gtkで入力モードに切り換えようとすると
>Vim: 致命的シグナル SEGV を検知しました
>Vim: 終了しました.
って言い残し、落ちちゃう(´・ω・`)
xpadもセグって起動しない(´・ω・`)
geditは何か入力する度に
>WARNING **: reset called: implement me
と言われる(´・ω・`)

ぬあんじゃこりゃぁぁぁ!

458 :login:Penguin:03/10/26 18:10 ID:5VsGnuhJ
>>456
オフィシャルのインストーラをってことだろ

459 :login:Penguin:03/10/26 20:38 ID:8ifvvpLl
i386以外が困る...


460 :login:Penguin:03/10/26 20:51 ID:pFB8bUlQ
>>457
reset called はGTK2そのものに入っているメッセージ。
kinput2使うと出ないはずだよ

461 :login:Penguin:03/10/26 20:55 ID:ET+HmoPB
>>448 ありがと。おかげで sid で KDE できました。
http://debian.fam.cx/
にも記載されている注意書きだったのね。


462 :login:Penguin:03/10/26 22:28 ID:5gOQR2/n
>>457
uimが吐き出す警告。実害なし。

463 :login:Penguin:03/10/26 23:47 ID:jgsNxdCr
GNOME 2.4 にしたら Nautilus がさらに軽くなっててヨカタヨ。特に不具合もなし。

464 :login:Penguin:03/10/27 02:57 ID:F4Ek6czr
nautilusの存在自体が不具合。


465 :login:Penguin:03/10/27 10:44 ID:j2i3H8px
>>464
キビシィのぉ...


466 :login:Penguin:03/10/27 12:39 ID:MFwVkYPf
>>464
じゃあgmc?

467 :login:Penguin:03/10/27 14:16 ID:Gd5cyK67
apt-get の upgrade と dist-upgrade ってどうちがうんだよ!!

468 :login:Penguin:03/10/27 14:44 ID:/+l8IT0h
man apt-get

469 :login:Penguin:03/10/27 14:58 ID:Gd5cyK67
>>468 読んでもわからん。
important セクションのパッケージを優先的にアップグレードするってことか?
そのせいで important でないパッケージが uninstall されてもしらんぜ、ってことか?

470 :login:Penguin:03/10/27 15:14 ID:Cf7HxopZ
>>467
http://www.jp.debian.org/doc/manuals/apt-howto/ch-apt-get.ja.html#s-upgrade

471 :login:Penguin:03/10/27 15:21 ID:j2i3H8px
>>469
具体的に何処がわからん?

「読んでもわからん」と言ってる以上、「英語がわからん」などという話じゃないんだろ?


472 :login:Penguin:03/10/27 15:42 ID:Gd5cyK67
>>471 apt-get upgrade はインストールフラグ優先。
apt-get upgrade はプライオリティ優先。
という認識であっているかどうかがわからない。

apt-get upgrade では extra, optional なんかは犠牲にしてでも
バージョンの高い important, required なパッケージをインストールするってことかな。

473 :login:Penguin:03/10/27 16:20 ID:j2i3H8px
>>472
そういうレベルの話か。

漏れは、

upgradeは、Section: baseパッケージには手を出さない。
dist-upgradeは、Section: baseパッケージも更新する。

って感じで理解してるけど?


474 :login:Penguin:03/10/27 16:23 ID:j2i3H8px
あー、なんか違うな。

| apt-get dist-upgrade では extra, optional なんかは犠牲にしてでも
| バージョンの高い important, required なパッケージをインストールするってことかな。

↑これで合ってそうな気がする。


475 :login:Penguin:03/10/27 16:53 ID:Gd5cyK67
>>474 俺もセクションとプライオリティがごっちゃになってた。
なので >>469 でも 「important セクション」 とかほざいていたわけ。

すっきりした。

476 :login:Penguin:03/10/27 22:12 ID:BVpkHdYo
SIDでemacsをインストールできないみたいなんだけど
xemacs21でnavi2chは使えるの?

477 :login:Penguin:03/10/27 22:19 ID:irZwYeUr
dselect最強

478 :login:Penguin:03/10/27 22:26 ID:V0/ZOEnS
WoodyをCDからインストールして apt-get update; apt-get upgrade すると
Failed to fetch http://security.debian.org/pool/updates/main/x/xfree86/xserver-xfree86_4.1.0-16woody1_i386.deb MD5Sum mismatch
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
って出て upgrade できないんですけど、なんか間違えてんですかね?

479 :c-route:03/10/27 23:45 ID:O6eUAOCW
woody3使ってます。

dselectで意図しないパッケージを(削除対象として)選択したまま
CTRL+Q で選択画面を終了してしまいました。
以後、dselectを起動するたびに不本意な(削除)選択が残ってしまい、
削除を希望しないパッケージが削除されてしまうという状況のままに
あります。

dselectで選択、CTRL+Q で選択を確定してしまったこれらをすべて無効
にするにはどうすれば良いのでしょうか?

480 :login:Penguin:03/10/27 23:55 ID:qTFZOOOq
>>476
xemacs21(21.4.14-1)で使えているよ。

481 :login:Penguin:03/10/28 00:58 ID:XJC5+cVY
- になってるのを + すればいいんじゃない?

482 :login:Penguin:03/10/28 01:06 ID:HEVgPiHd
>>479
俺はそんな変な使い方はしない
http://www.jp.debian.org/doc/manuals/dselect-beginner/index.ja.html
これ読んでも理解出来ない白痴だったら氏ね

woody3?何それ?

483 :login:Penguin:03/10/28 03:41 ID:z1rKZxFi
apt で modutils がうまくインストールできない。
BTSみたつもりなんだが。

484 :login:Penguin:03/10/28 04:07 ID:2Gs2iL8D
>>483 module-init-toolsとの絡みではなくて?


485 :login:Penguin:03/10/28 04:44 ID:MbJ6Dioq
>>483
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=217723
のことでしょうか。

486 :login:Penguin:03/10/28 05:09 ID:2Gs2iL8D
>>478 とりあえずもう一度apt-get updateしてみる、ぐらいしか思いつかんのぅ
400 Bad Requestが返ってきたりしてるならプロキシのせいかもしれないが。


487 :478:03/10/28 08:26 ID:RKv2Taxj
>>486 何度か apt-get update; apt-get upgrade を繰り返すと、
エラーのでるファイルが減ってくるようです。
現在、残り2つです。

488 :login:Penguin:03/10/28 10:04 ID:bveaGiX8
>>437
んなアホな、と思ってたらこんな話が。
http://slashdot.jp/developers/03/10/25/1135255.shtml

489 :login:Penguin:03/10/28 16:24 ID:FlSl5KH/
>>476
sid の emacs21で書いてるけど、
今emacs21ってインストールできないの?

490 :login:Penguin:03/10/28 18:16 ID:2Gs2iL8D
>>487 なんかプロキシの問題くさいな。
apt-get upgrade -o Pipeline-Depth=0 としても状況は変わらない?


491 :login:Penguin:03/10/28 19:38 ID:AyXYasJD
テンプレサイトのお勧めCD イメージ。ttp://debian.fam.cx/?FAQ#content_2_15

| 迷ったら Lord Sutch.com のイメージを選ぶのが無難。
のリンク先が"Ian Eure's netinst images" と同じなのはbug だよね?

どっちが正しいのか分かんなかったんで、自分じゃ修正できんかった。

492 :478:03/10/28 20:34 ID:+HXaVqF3
エラーが残り一つにやっとなったものの、なんかもうイライラしてきたもんで、
パッケージファイルをダウンロードしてきて
dpkg -i package_file.deb
でインストールしました。
package_filsがなんだったか忘れてしまったけど
(kdelibs3_2.2.2-13.woody.8_i386.debだったかと)
とりあえず、うまくいったようで、
apt-get upgrade
で一通りうまくいきました。何も解決してないけど。
で、kernel-imageをアップグレードしようと思ったけど、また同じ。
Failed to fetch http://security.debian.org/pool/updates/main/k/kernel-image-2.4.18-1-i386/kernel-image-2.4.18-1-686_2.4.18-11_i386.deb MD5Sum mismatch
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
>>490
プロキシはdelegateです。8.7.5にバージョンアップしてみましたが変わりません。
apt-get install kernel-image-2.4.18-1-686 -o Pipeline-Depth=0
ってやってみたけど、同じエラーがでます。
どうすればいいんだか...


493 :login:Penguin:03/10/28 21:54 ID:Y9t5V8k7
以前make-kpkg modules_image でPCMCIAモジュールが作成されないと質問したものです。
その後アドバイスのとおりカーネルのコンフィギュレーションでPCMCIA CardBusなどの設定をNにすることにより
PCMCIAモジュールの方が作成されるようになりました。
ありがとうございました。


494 :login:Penguin:03/10/28 21:56 ID:Y9t5V8k7
それで、今度はノートPCの内蔵LANポートの使い方がわからなくて質問させてください。

ノートにLANポートが付いてるんですが、これってどう設定すればいいんでしょうか?
ノートなのでつないだり外したりしたいんですが、PCMCIAの場合のように抜き差しの時に自動で設定させることってできるんでしょうか?


495 :あぼーん:あぼーん
あぼーん

496 :login:Penguin:03/10/28 22:11 ID:8GKnfXLV
> 例のProgeny Anacondaインストーラ騒ぎでモチベーション下がるなぁ。

別に無理してやる事なんかないわけだが。

497 :login:Penguin:03/10/28 22:14 ID:obMOUynA
直接ツッコミ入れろよ。
ウザい。

498 :login:Penguin:03/10/28 22:53 ID:2Gs2iL8D
>>494 複数のネットワーク設定を使いわけたいならlaptop-netかなぁ
そうじゃなくていつetherを認識しているかと言う話なら、
モジュールじゃなくて組込みにしてる限り起動時から認識
していると思われ


499 :login:Penguin:03/10/28 23:05 ID:2Gs2iL8D
>>492 ごめん -o Acquire::http::Pipeline-Depth=0 だったかもしんない


500 :478:03/10/28 23:37 ID:+HXaVqF3
>>499 ありがとうございます。
でも、だめみたいです。
-o Acquire::http::No-Cache=true
なんてのも試したけど同じくだめでした。
意味あるのかどうかもわからんけど。
んーなんでだ。
ところで
たとえばwgetとかで落としたファイルのmd5チェックってどうやるんですか?
md5sum file.deb
するのはわかるんですけど、
正当なmd5値ってどこにおいてあるのでしょうか?

501 :login:Penguin:03/10/28 23:43 ID:obMOUynA
/var/lib/apt/lists/とか。

502 :478:03/10/29 00:05 ID:lLLOPz75
>>501
ありました。すんません。
# wget (略)kernel-image-2.4.18-686_2.4.18-5_i386.deb
# md5sum kernel-image-2.4.18-686_2.4.18-5_i386.deb
af37349df2f62dc4841072256a8fc259 kernel-image-2.4.18-686_2.4.18-5_i386.deb
ってことで、wgetならちゃんとダウンロードできるようです。
apt-get と delegate だとなんかうまくないようで...
困ったです。

503 :476:03/10/29 00:29 ID:ac7QpLZQ
>>480,489
レスありがとう
どうもemacsは好きになれないからおちゅ〜しゃにしたよ

昨日、J2SDKをBlackDownの方からダウンしようと思ったけど
依存関係でインストールできなかったけど
今日、dselectしたあとやってみたらできたー
昨日できなかった事が今日できるなんてDebainおもしろすぎ
これはWin捨てるきっかけになりそう…

504 :login:Penguin:03/10/29 02:09 ID:wiSJwPms
lindows すれをなんとなく見たら、
こんなのがあった。lindows の CM だって。ワラタ
http://movies.livedoor.com/soft/asx/lin_500.asx


505 :478:03/10/29 09:18 ID:esWRcPFk
おそらく解決しました。ありがとうございました。
apt-getもしくはdelegateのchunked-encoding関係のバグなのかなーと思ってます。
delegatedのオプションとして
ttp://www.delegate.org/mail-lists/delegate/11583
に書かれている
HTTPCONF=clver:1.0
もしくは
HTTPCONF=bugs:no-chunked
を指定するとうまくいくようです。
まあ、偶然うまくいったって可能性もありますが。
HTTPCONF=bugs:no-keepalive
HTTPCONF=bugs:flush-chunk
はダメでした。


506 :478:03/10/29 16:41 ID:esWRcPFk
すんません。なんかダメみたい。
違うエラーが出たです。
Failed to fetch *.deb Error reading from server - read(32 Broken pipe)
Failed to fetch *.deb Error reading from server - read(104 Connection reset by peer)
の2種類かと。


507 :478:03/10/29 18:46 ID:esWRcPFk
/etc/apt/apt.confに
Acquire::http::Pipeline-Depth "0";
を追加し、delegateのオプションに
HTTPCONF=bugs:no-chunked
を付けることで回避できるようです。(両方必要)
200個ぐらいのパッケージをインストール(apt-get upgrade)して
エラーは出なかったので大丈夫かと思います。


508 :login:Penguin:03/10/29 21:44 ID:fW6jVzkW
むとうにっきの日本語がすごくまともになった気がする。
読みやすい。

509 :login:Penguin:03/10/29 21:59 ID:k0ku58FN
日本語学校に通ったらしいし

510 :login:Penguin:03/10/29 22:15 ID:xgGraTGU
>>504
途中で見るのやめた

511 :login:Penguin:03/10/29 23:04 ID:R0/zBaCz
debianのmotif-clientsに含まれてるmwmでタイトルバーに日本語が表示するには
何か特別な設定が必要なのですか?

512 :login:Penguin:03/10/29 23:16 ID:ff7uukU5
psコマンドの--htmlオプションが動作しません
なぜでしょうか


513 :login:Penguin:03/10/29 23:41 ID:fV10fxkn
>>512
psコマンドにそんなオプションないから。

514 :login:Penguin:03/10/30 00:07 ID:ao9rZgIz
>>513
http://www.linux.or.jp/JM/html/procps/man1/ps.1.html
使ってみたいッス

515 :login:Penguin:03/10/30 00:22 ID:BN/k5oQO
>>512,514

procps (1:2.0.7-1) unstable; urgency=medium
(中略)
- Remove html and null stuff from man page Closes: #81920

ということではないのかな


516 :login:Penguin:03/10/30 00:41 ID:ao9rZgIz
>>515
えっどういうことすか?
もう廃止?
manがメンテされて無いだけ?

517 :login:Penguin:03/10/30 00:43 ID:BN/k5oQO
>>516 日本語訳が古いんじゃないかな。ソース眺めてみたけど
--htmlオプションはないねぇ(procps-3.1.14)

なんでなくなったのかはちょっとわからないけど。


518 :login:Penguin:03/10/30 01:48 ID:9jE4y+Yw
どうせなら、htmlよりcsvで吐いてもらったほうがいいかな。


519 :login:Penguin:03/10/30 04:29 ID:73MdWQf7
woodyでがんばってみようと思ったのですが
開発に使うmysql4->ない
愛用のeclipse->ない
心の友のmozilla-firebird->非公式みっけ->いれようとしたらややこしそうな依存が


_| ̄|○ Sidにするべきですか?

520 :login:Penguin:03/10/30 04:35 ID:9jE4y+Yw
Linux版のFirebirdいまいち。
起動時間も本家と変わらんし、squirrelmail見れないし(MIMEの設定?)。


521 :login:Penguin:03/10/30 06:06 ID:0CLrPMUO
>>511
日本語には対応してないんじゃなかったっけ。

522 :login:Penguin:03/10/30 08:47 ID:9gHstjFr
>>521
googleで検索するとturboなんかではja_JP.ujisで
表示できるとかそういうのが見つかるんですわ

523 :login:Penguin:03/10/30 10:36 ID:Z9ucbl2z
>>519
sidからソースパッケージを取ってきて、
パッケージを作り直すという選択はないのかな?

自分でやってないことを提案するのは申し訳ないが。

524 :login:Penguin:03/10/30 13:01 ID:FuNstdhs
apt-listbugs の依存関係の問題はまだ直らないのかな

525 :login:Penguin:03/10/30 13:17 ID:Ju0HjPiW
sidのMozilla 1.5-2様が設定中にmozillaのsymlinkが出来ない!と怒って設定してくださらないのですが、Mozilla様の怒りを収める方法は無いでしょうか?

526 :login:Penguin:03/10/30 23:14 ID:ZFhEOs6g
8/3付けのPostfixのソースコードを入手したいのですが
apt-get source postfixだと「postfix_1.1.11-0.woody2.dsc」等がダウンロードされてしまいます。
aptで「postfix_1.1.11-0.woody3.dsc」等を手に入れるにはどのようにすればよいのでしょうか?


527 :login:Penguin:03/10/30 23:25 ID:x1gj3lfq
>>526
http://snapshot.debian.net/

528 :526:03/10/31 00:05 ID:7mhBHCFK
>527
http://snapshot.debian.net/からだと
「postfix_1.1.11-0.woody3.*」ではなく
ファイル名の中に日付が入ってしまいますが
後々、http://security.debian.org/ からのFIXで
不都合が出たりしないのでしょうか?

529 :login:Penguin:03/10/31 00:24 ID:7x7ETHRM
>>526
deb-src http://security.debian.org/ stable/updates main contrib non-free
って事か?

530 :526:03/10/31 00:26 ID:7mhBHCFK
>529
それで行けました。
ありがとうございました〜

531 :login:Penguin:03/10/31 14:45 ID:ORg/8i0B
Sid
OOo で、MS Gothic 等の .ttc なフォントが選択できない(できなくなった)件は、
その後どうなったんでしょうか?

532 :login:Penguin:03/10/31 15:06 ID:+j/MRtgx
>>531
ttc2ttf で ttf に変換し、フォントの設定をやり直したら
使えるようになりました、
ttc2ttf は検索してください。



533 :531:03/10/31 15:48 ID:ORg/8i0B
>532
ttp://www.wht.mmtr.or.jp/~hirotsu/myware.html
ども、ども。
ググってみました。

534 :login:Penguin:03/10/31 16:03 ID:CK5CRyUW
>>531
しょうがないので、breakttcでttcからttfに分割して、お茶を濁してます。

535 :login:Penguin:03/10/31 18:09 ID:EXxPAc+T
しっどでmh使えなくなった・・・ショボーン

536 :login:Penguin:03/10/31 21:06 ID:Sr+9v1EL
セキュリティについてなんですが、Woodyインストールして、
apt-get update; apt-get upgrade
すれば、とりあえずその時点ではOKなんですか?
やっぱりkernelは別に上げる必要ありですか?


537 :login:Penguin:03/10/31 21:52 ID:EXxPAc+T
libc6-i686なんて出来たんだな

538 :531:03/10/31 22:26 ID:ORg/8i0B
>534
breakttc.exe
ttp://www.xlsoft.com/jp/products/indigorose/autoplay_readme_02.html

ども、ども。

539 :login:Penguin:03/10/31 22:36 ID:7mhBHCFK
w

540 :login:Penguin:03/10/31 22:49 ID:7mhBHCFK
途中で書き込んでしまったです。スマソ。

で、woodyでtestingからsnortって入れてますか?
libc6とか更新されるの怖くてやってませんが
いつまでも1.8系って駄目ですかね?


541 :login:Penguin:03/10/31 23:01 ID:ORg/8i0B
>>536
対処済みのパッケージに更新するには、
deb http://security.debian.org/ stable/updates main contrib non-free
を /etc/apt/sources.list に追加し、
apt-get update ; apt-get upgrade
を実行してください。

って、
woody の kernel にセキュリティホールがあるとは
聞いてないのですが。

542 :login:Penguin:03/10/31 23:07 ID:XwXdsRgz
>>536 オフィシャルのkernel-image-*を入れていると、holdしない限り
問答無用で上がる。kernel-source-*を入れてmake-kpkgでカーネル作成
している場合は、kernel-source-*が上がるので、それをもとに自前で
作り直す。


543 :login:Penguin:03/10/31 23:16 ID:B0Ixq+BM
>> 540
ちょっと古いが...
deb http://everybody.good-day.net/~nsaito snort/


544 :536:03/10/31 23:54 ID:osdkYd4U
>>542 apt-get upgrade で上がっちゃうんですね。ちょっと怖いかも。
kernel上げてそのまま(再起動せずに)運用続けても大丈夫なんでしょうか?
kernel自体は関係ないでしょうけども。あー、いや大丈夫か。かな?

>>541 apt-get install kernel-image ってやった時に
kernelがいくつも出力されたので、
あーkernelは別にあげなきゃいかんのだなと思ったわけで。
2.2系なら大丈夫ってことですね。






545 :540:03/11/01 00:31 ID:YVxFo7w0
>543
有難うございます。早速入れてみました。
debianデフォルトと比べるとルールがキツくてログがワンサカ出てくるので
これから不要なルール止めてみます。

546 :login:Penguin:03/11/01 00:45 ID:zdRYGT/h
>>544
2.2でも2.4系でも自分のマシンに合ったkernel-imageでもkernel-sourceでも
入れて構築してください。
~# /sbin/lilo -v
で、エラーが出てないなら再起動していいっすよ。

547 :login:Penguin:03/11/01 00:48 ID:C6V3V1gj
>>544
別にバージョンが上がる訳じゃないから平気じゃないの。
更新されるのは更新される理由がある訳で、再起動した方がいいのは確かだけど。

libc6パッケージのサイズがいきなり1MBも増えたな。
どうなっとるんじゃこりゃ。

548 :login:Penguin:03/11/01 02:40 ID:JI7IJvkx
そろそろ2.6に移行するかのぉ。せっかくのlibc6-i686の恩恵にあずかりたいし


549 :login:Penguin:03/11/01 04:34 ID:zOxXiEEP
>547
NPTL が入ってきた。

550 :login:Penguin:03/11/01 08:57 ID:+pMk5/Iz
$ apt-cache depends libc6-dev
libc6-dev
依存: linux-kernel-headers
$ apt-cache policy linux-kernel-headers
linux-kernel-headers:
インストールされているバージョン: 2.5.999-test7-bk-5
候補: 2.5.999-test7-bk-5
バージョンテーブル:
*** 2.5.999-test7-bk-5 0
500 ftp://ftp.jp.debian.org sid/main Packages
100 /var/lib/dpkg/status

libc6-devがへんなカーネルヘッダに依存してるみたいだけど
これって正常なんすか?
しかもこのカーネルヘッダ、/usr/include/linux 以下にファイルを入れて
dvb-devってのと競合するんですけど。

551 :login:Penguin:03/11/01 09:15 ID:JI7IJvkx
>>550 dvd-devと衝突するのはBug#218387だね。パッケージ自体は
変じゃない、と信じたい(バージョニングは変だけどw


552 :login:Penguin:03/11/01 12:01 ID:pEPt9mmN
 Debian GNU/Linux スレッドテンプレwikiをカテゴリに分けた人は
今も作業してんの?
 最後までする気が無いんならオレが直してもいい?

553 :login:Penguin:03/11/01 13:39 ID:bVSswd5O
>>549
ps や top で複数のプロセスに見えてたスレッドがちゃんと見えなくなってるね
(・∀・)イイ!! けど、なんかトラブルが出そうでこわいな

554 :login:Penguin:03/11/01 14:43 ID:+pMk5/Iz
kernel 2.6.0-test9 をいれてみた。

ぜんぶモジュールになっていて、しかも
適切なモジュールをmodprobeしないと動かないものが多い。

PS/2マウス
modprobe psmouse
modprobe mousedev

Agpgart/drm on Intel i845+mgaG450
modprobe agpgart
modprobe intel_agp <-これがわからんかった。
modprobe mga

コンソールで"|"が打てない。usのキーマップだと"む"のキーで出る。
Screenで画面を二分割して
dpkg -l (↓にいく) loadkeys us (↑にいく) | grep hoge | awk (↓にいく)
loadkeys jp106 (↑にいく) '{ print $ ...
のようなまぬけなことをやっている。


555 :login:Penguin:03/11/01 14:48 ID:+pMk5/Iz
ktermが動かない。しかたがないのでrxvt-mlを入れた。devfsにしてるせいか?

execve("/usr/X11R6/bin/kterm", ["kterm"], [/* 28 vars */]) = 0
~~~
open("/dev/ptyP0", O_RDWR) = -1 ENOENT (No such file or directory)
.....
.....
open("/dev/ptyZe", O_RDWR) = -1 ENOENT (No such file or directory)
open("/dev/ptyZf", O_RDWR) = -1 ENOENT (No such file or directory)
write(2, "kterm: child process can find no"..., 48kterm: child process can find no available ptys
) = 48
write(6, "\4\0\0\0\t\0\0\0@h6@`\324\t\10\260\226\16@`\324\t\10/d"..., 1048) = 1048
exit_group(32)

その他、今日 apt-get updateするとXのバージョンが上がって
/usr/X11R6/lib/X11/xkb/compiled -> /var/lib/xkb/
にsymlinkをはるように促され、そのとおりにすると
ずーっと使えなかったXkbが使えるようになった。

NPTLがらみのエラーでjvim-cannaが使えなくなった。
LD_ASSUME_KERNEL=2.4.1 jvim とすると、とりあえず動くようだ。

matroxfbが動かないので、もうすこしがんばってみる予定。


556 :login:Penguin:03/11/01 15:57 ID:Tmf/a5SH
>コンソールで"|"が打てない。
console-toolsをrebuildすればいいらしい。

>ktermが動かない。
CONFIG_UNIX98_PTYS=yになってる?

2.6だとinit.dのスクリプトでcardmgrは止まるけどPCカードが止まらねぇ…。

557 :login:Penguin:03/11/01 16:54 ID:3s2jJ467
>>554
モジュール化しないで組み込めばいいだろ

558 :login:Penguin:03/11/01 21:46 ID:ftZvtBoV
意地でもmoduleにしないと気がすまないのは俺だけですか?


559 :login:Penguin:03/11/01 22:37 ID:Gqw/mA2n
libc6-i586もキボンヌ

560 :login:Penguin:03/11/01 23:11 ID:048u50Ol
>>555
jvim-cannaのバグ。#218539

>>559
理由は?

561 :login:Penguin:03/11/02 00:07 ID:Gerxd2eD
>>552 返事がないみたいなんで、やっちゃってもいいんじゃない。
まぁWikiなんだし、気楽にいきましょう


562 :login:Penguin:03/11/02 00:16 ID:CyyX97gb
jvim-canna
canna無しバージョンってあるかな
ただの jvim

563 :login:Penguin:03/11/02 04:57 ID:UvgtuQNp
>>562vim6 とかじゃだめなの?

564 :login:Penguin:03/11/02 08:39 ID:5fYbsp4Y
>>562
jvim-canna の source から canna support 外して作り直したら?
私はそうしてる。ついでに j2.1b patch をあてなおして

565 :login:Penguin:03/11/02 09:43 ID:5fYbsp4Y
>>555
openpty関数で pty を開くようにすると動いた
devpts の挙動が変ってるのが原因かも
# device file が動的に作成されている?

566 :login:Penguin:03/11/02 10:13 ID:+gqx/R1l
kernel2.6 + libc6-i686
心なしかemacsが速くなったような

567 :login:Penguin:03/11/02 10:23 ID:6PeOlp5z
>>566
マジか! 試してみるべ!!

と思ったけど 686 なマシン持ってねえ…_| ̄|○

568 :login:Penguin:03/11/02 10:25 ID:+gqx/R1l
>>567
しかもmozillaが信じられないくらい速くなった
こりゃ気のせいじゃないな

569 :login:Penguin:03/11/02 10:30 ID:LqZF3oeC
>>565 libc6-i686 って、kernel 2.6 でしか使えないの?

570 :login:Penguin:03/11/02 10:32 ID:+gqx/R1l
The optimized libraries will not be used unless you are using a 2.6 kernel.
だから2.6 が必要

571 :login:Penguin:03/11/02 11:44 ID:aqHEmBZo
libc6-i686入れると
relocation error: inc: symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference
出たりするアプリあるな・・・・

572 :login:Penguin:03/11/02 13:26 ID:Dgv0vPwi
>>568
そんな速くならねえよ。

573 :login:Penguin:03/11/02 14:06 ID:sYXyXoB8
近い内にkernel 2.6にする予定だったので libc6-i686入れてみた。
kernel 2.4のままで、タブレットドライバが安定したので報告。
今まではタブレット使用中に反応しなくなったり、ポインタのない場所に
着色される等おかしな動作をすることがあったけど、今のところ誤動作0。
同様の症状で悩んでいる人なら試す価値ありです。

2.6にしたかったけど、このまま2.4でいきます(w

sid(i386)
GIMP 1.2.5-3
xfree86 4.3.0-0ds4

574 :login:Penguin:03/11/02 14:13 ID:Gerxd2eD
>>571 ttp://www.KU3G.org/negi/diary/?20031031#200310311
ということらしい。


575 :login:Penguin:03/11/02 14:16 ID:LqZF3oeC
あの、i686 とかのアーキテクチャって、パッケージ名に入れるべきものなの?

576 :login:Penguin:03/11/02 14:25 ID:i7AAEKaz
>>571
ソースから extern int errno を抜いとけ。

>>575
入れないとしたら他にどんな名前があるの?


577 :login:Penguin:03/11/02 14:32 ID:LqZF3oeC
>>576 同じパッケージの異なるアーキテクチャ用のものとして扱うのかと思った。

578 :login:Penguin:03/11/02 14:56 ID:8r5iMkB8
そろそろi686をi386から独立させて
別アーキとしてパケジしてくれないかな

579 :login:Penguin:03/11/02 15:05 ID:i7AAEKaz
>>578
必要なし。



580 :login:Penguin:03/11/02 15:10 ID:LqZF3oeC
>>579 ということは *-i686 なパッケージが i386 アーキテクチャ用として提供され続けると?

581 :login:Penguin:03/11/02 15:17 ID:Gerxd2eD
そこらへんはdpkgでsubarchを扱える用にして対処するのではないのかな。
ただ漏れはそこら辺の動向を追えていないので、今どこら辺まで話が進ん
でいるのかわからないが...


582 :login:Penguin:03/11/02 15:41 ID:9P4X6fAQ
crusoe って i686 になるのかどうかがわからん。

583 :login:Penguin:03/11/02 15:45 ID:LqZF3oeC
>>582 たぶん 586tsc じゃないか?

584 :login:Penguin:03/11/02 15:45 ID:LqZF3oeC
>>583 Efficion はどうなるんだろうね。

585 :login:Penguin:03/11/02 15:46 ID:LqZF3oeC
あ、>>584>>583 の続きにかきたかっただけで、
自作自演じゃないよ…
たまにつっこまれるんだよね…

586 :554:03/11/02 17:47 ID:kzrFqwi7
554ですがその後の顛末

>>556
CONFIG_UNIX98_PTYS+devfs は

Documentation/filesystem/devfs/README
にはdevptsはなくてもdevfsでぜんぶ賄えるから
devptsは無効にしとけ、と書いてあった。

しかし実際は、UNIX98も従来型も、devptsがないと動かない。
と、いうわけで devfs+devpts with CONFIG_UNIX98_PTYS=y
でいくことにした。

make menuconfigの説明によると
devfsは近い将来
udev/hotplug+sysfs ftp.kernel.org/pub/linux/utils/kernel/hotplug
で置き換えられるらしい。

udevのfaqには
Q: Why was devfs marked OBSOLETE if udev is not finished yet?
A: To quote Al Viro (Linux VFS kernel maintainer):
......
- the devfs maintainer/author disappeared and stoped maintaining
the code.
とあった。入れてみようかと思ったけど、
使いかたがぜんぜんわからないので、やめた。


587 :login:Penguin:03/11/02 17:55 ID:kzrFqwi7
console-toolは教えてもらった情報のとおり、rebuildしてから、
jp106.kmap.gzのbackslashのところを"183"に書き換えてみた。
パイプが出た瞬間、なんか嬉しかった。

matroxfbは platan.vc.cvut.cz/~vana/ftp/pub/linux/matroxfb-latest
のパッチをあてて再構築すると、安定した。

デフォルトのカーネルモジュールだとXからvtに切替えたところで
モニタが"frequency out of range"になる。

hdparmが遅かったので
/sbin/hdparm -A1 -c3 -m16 -d1 -Xudma4 /dev/hda
のようなものを /etc/rc.boot/ に置くと少しましになった。

ktermは氏んだけど、お蔭さまでカーネル2.6で
安定動作モードに入ることができた。

>>565
openttyですか。調べていじれそうだったらいじってみます。

どうも、失礼しました。


588 :login:Penguin:03/11/02 18:21 ID:kzrFqwi7
ktermは
main.cのgetpty()のところを
get_pty (pty)
int *pty;
{
int tty;
return (openpty(pty, &tty, ttydev, NULL, NULL));
}

にして -lutil をリンクしたら、うごきました。


589 :login:Penguin:03/11/02 19:17 ID:lEjk+B1S
Xfce4を入れてみたんだけど日本語入力ができない…
どこを設定すればいいの?
.xsessionはset-language-envで設定してるんだけど…

590 :login:Penguin:03/11/02 19:32 ID:dfZcnCy6
DMの有無、XMODIFIERSとLANGの設定、日本語変換システムの種類、
woodyなのかsidなのか、xfce4以外はどうなのか晒せYO。

エスパーじゃないんだから。

591 :login:Penguin:03/11/02 19:33 ID:b3OlCJBZ
>>589
どうやって起動してる。startx それとも gdm とか・・。
xfce4 に付いてきた起動スクリプトは .xsession 見てない。


592 :login:Penguin:03/11/02 19:36 ID:lEjk+B1S
>>591
gdmです

593 :login:Penguin:03/11/02 19:42 ID:lEjk+B1S
>>590
sidでcanna使ってます

locale.gen
ja_JP.EUC-JP EUC-JP
ja_JP.UTF-8 UTF-8

.xsession
LANG=ja_JP.eucJP
export LANG
PATH=$HOME/bin:$PATH
XIM=kinput2
XIM2=-canna
# XIM サーバーを起動する
if type $XIM &> /dev/null
then
$XIM $XIM2 &
fi
XMODIFIERS=@im=$XIM
export XMODIFIERS

こんな感じになってます。
すいません 質問の仕方が悪くて

594 :login:Penguin:03/11/02 19:45 ID:b3OlCJBZ
/etc/gdm/Sessions/Xfce4
見ると
kinput2 -canna

595 :594:03/11/02 19:49 ID:b3OlCJBZ
スマソ キレタ ツヅキ

export XMODIFIERS=@im=kinput2
とか全然されてない。俺はこの2行をそのスクリプトに書き込んでる。
debian的なやり方でないかも。

596 :589:03/11/02 20:04 ID:lEjk+B1S
あ できた
>>594さん
ありがとう

597 :login:Penguin:03/11/02 23:49 ID:ttnwFcBF
aptでupgradeしたら下記エラーがでます。

こんなかんじで。。。
# apt-get upgrade

Reading Package Lists... Done
Building Dependency Tree... Done
1 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/246kB of archives. After unpacking 4096B will be freed.
Do you want to continue? [Y/n] y
(Reading database ... dpkg: error processing /var/cache/apt/archives/navi2ch-cvs_0.0.20031101-1_all.deb (--unpack):
files list file for package `portmap' is missing final newline
Errors were encountered while processing:
/var/cache/apt/archives/navi2ch-cvs_0.0.20031101-1_all.deb
Processing was halted because there were too many errors.
E: Sub-process /usr/bin/dpkg returned an error code (1)

で、この files list file for package `portmap' is missing final newlineってのは
なにを示しているんでしょうか??
debian使い初めてまだ1週間ぐらいなんで、調べてもよくわかんないので・・・


598 :login:Penguin:03/11/03 00:06 ID:a5mlaOsx
/var/lib/dpkg/info/portmap.list が変になってる、ってことじゃないのかな。
この辺のファイルが壊れるのはメモリエラーとか熱暴走とかが原因なことが
多い気がする。


599 :login:Penguin:03/11/03 00:24 ID:7qDPWUR0
>>598
ありがとう。
どうもportmap.list ファイルが壊れていたようです。

メモリもCPUも怪しいのでついでにメンテします。。


600 :あぼーん:あぼーん
あぼーん

601 :login:Penguin:03/11/03 21:24 ID:RkXWEnGi
sid で mplayerのmakeができねぇ。
へるぷみー

libc6-dev  2.3.2.ds1-9

602 :login:Penguin:03/11/03 21:30 ID:APTcTZHC
エラーメッセージも晒さないとは中々素敵な方ですね。

603 :601:03/11/03 21:33 ID:RkXWEnGi
libc6-devがlinux-kernel-headersに依存する前にはmakeできたので、
たぶんこれが問題かと思ってるのだが…

604 :login:Penguin:03/11/03 21:37 ID:u8kp5Mn8
じゃあリビジョンを落してみればいいじゃん。

605 :601:03/11/03 21:39 ID:RkXWEnGi
>>604
そうするわ。

606 :601:03/11/03 23:42 ID:RkXWEnGi
エラーメッセージでぐぐってみたら、
--disable-fbdev --disable-mga でmakeできるようです。
ttp://mplayerhq.hu/pipermail/mplayer-users/2003-October/038106.html


607 :login:Penguin:03/11/04 00:16 ID:uK4vI/lG
液晶モニタへのDVI接続って、結構相性難しいんでしょうか?
ATI Radeon VE + RDT176Sの組み合わせで
Red Hat 9ではインストール直後の設定で問題無いんだけど
Debianだとstartx直後に液晶モニタが落ちる。
Xのログ見てもエラーは出てないので、XF86Config-4はあっていると思う。


608 :login:Penguin:03/11/04 01:40 ID:Tx1p/gGk
>601
問題なのは
linux/fs.h
linux/fd.h
な気がする。

609 :login:Penguin:03/11/04 01:55 ID:Hcj1n2aO
>>607
液晶モニタが落ちるってのは待機状態になるって事?
それならリフレッシュレート調節すればどうにかならね?

610 :login:Penguin:03/11/04 01:59 ID:wVV9i3j+
sidで、php4にphpwikiなるものを入れて、phpwikiをアンインストール
しようとしたら、

Removing phpwiki ...
Could not get phpwiki/webservers:
dpkg: error processing phpwiki (--purge):
subprocess post-removal script returned error exit status 10
Errors were encountered while processing:
phpwiki

と出てしまうますのですが、--purgeを使用しても同様です。
おまけにapt-getのたびにphp4がSetting up php4 (4.3.3-3) ...と出て
停止しますので、Ctrl+Cで飛ばす有様でございます。

BTO(?)でしたっけ、なんか報告みたいのをするべきなんですか?
英語じゃなきゃダメなのかな

611 :login:Penguin:03/11/04 02:52 ID:1+suDseI
>>610
Bug Tracking System(BTS)だろ(w
問題の出るバージョンとエラーメッセージ、英語で一言ぐらい添えておけばOK。
流暢な英語は必要ない。
まだ報告されてなかったらヨロ。

とりあえず/var/lib/dpkg/phpwiki.(postrm|prerm)あたりでもイジって回避しとけ。

612 :login:Penguin:03/11/04 05:46 ID:wVV9i3j+
>>611
いちお報告してみました 不安だ

/var/lib、、、で回避できる策があるのか。探してみる



613 :login:Penguin:03/11/04 06:44 ID:wVV9i3j+
うわぁ btsから返事がきた!thank youだって
うれし うれしっ



614 :login:Penguin:03/11/04 08:20 ID:q4DTqwOx
こいつうざいんだけど。
--

「packet/clientの気持ちになって考えよう!」


615 :login:Penguin:03/11/04 08:28 ID:tfUvtzZ4
>>614
漬け物だから放置っしょ。日記も読む価値ないし。

616 :login:Penguin:03/11/04 08:40 ID:qYlK2iDM
>>614
こちらへどうぞ。
Linuxメーリングリスト スレッド12
http://pc.2ch.net/test/read.cgi/linux/1059182281/

617 :login:Penguin:03/11/04 13:25 ID:v/91G7GX
知らないうちにjfbtermがUTF-8に完全対応していることに気がついた。

w3mmeeで、 www.pravda.ru とか www.arabia.com とか
文字の万国博覧会ができる。

エディタはemacs21+mule-ucsだと、好きなIMが使えるようだ。


618 :login:Penguin:03/11/04 19:15 ID:dTMBVJAi
>>617
そのjfbtermのバージョンを教えろ。おながいします。

619 :login:Penguin:03/11/04 21:02 ID:ynztsoyH
Version: 0.4.4-1
Depends: libc6 (>= 2.3.2-1), unifont | xfonts-base
Filename: pool/main/j/jfbterm/jfbterm_0.4.4-1_i386.deb
Size: 52874
MD5sum: 946b79ea8f29f7c14632e7df0a67f79c
Description: Linux フレームバッファ上のマルチリンガル端末
jfbterm (J Framebuffer Terminal/Multilingual Extension) は Linux の
フレームバッファ上でマルチリンガルテキストを表示できます。
ISO-8859-{1-11,13-16}, ISO-2022-{JP,CN,KR}, EUC-JP, EUC-KR (別名
Wangsung), EUC-CN (別名 GB2312 あるいは CN-GB) といった ISO-2022 テ
キストを表示できます。UTF-8 や、iconv(3) を使えば SHIFT_JIS といった
他のコーディングシステムにも対応しています。

620 :login:Penguin:03/11/04 22:04 ID:dTMBVJAi
>>619
感謝するニダ

621 :login:Penguin:03/11/05 08:15 ID:UIVXpowy
redhatからdebianに移行したんだけど、GWorkspaceやGNUMailが簡単にインストー
ルできてうれしいよ。
でも、fedoraでrpm版のGWorkspaceやGNUmailが出れば、また戻っちゃうかも(w

622 :login:Penguin:03/11/05 10:12 ID:1Ox8r4Ff
>>621 それもまたよし。


623 :login:Penguin:03/11/05 15:22 ID:9kuD0vlS
non-freeをnonfree.orgに移して本家での提供を止める方向?

624 :login:Penguin:03/11/05 19:35 ID:z0+8S51B
fakeroot 不調?

$ fakeroot ls
/usr/bin/fakeroot: line 1: wait: pid XXXX is not a child of this shell


625 : :03/11/05 21:30 ID:kBEnD4TF
xfree86 4.3を使用したいんですが、エントリ教えていただけないでしょうか?

626 :login:Penguin:03/11/05 21:51 ID:rQjddIwl
>>625
[1]は見たの?

627 :login:Penguin:03/11/05 22:57 ID:bOKZ8vhV
apt-get update がproxy経由だとうまくいかない
しかもバイナリの時だけ
なんで?
家のPCで同じsources.listつかうとうまくいくんだけどなー (proxy経由じゃない)

なんかソースはgz型式じゃないとか怒られる



628 :login:Penguin:03/11/05 23:57 ID:inDz5yt4
proxyが勝手にgzを展開してるとか。


629 :627:03/11/06 00:05 ID:tkLv0IFj
まちがった
バイナリはうまくいってるけど
ソースをもってくるときに怒られる

>>628
だとすると、どうしようもないですか?


630 :login:Penguin:03/11/06 00:30 ID:52eZecbn
apt-listbugs、0.0.34 でバグが直っているようだが、まだ上がってないのかな

631 :login:Penguin:03/11/06 00:50 ID:NWWhjWe0
apt-listbugs がないと恐くて upgrade できないよ。


632 :625:03/11/06 01:25 ID:TnNlNUUY
>>626
サンクスコ。基本を忘れててスマソ。
バージョン上げて、SiS315でもマトモに使えるようになったよ。感謝。
viの使い方とか少し思い出したよw

633 :login:Penguin:03/11/06 04:11 ID:NWWhjWe0
openoffice で ttc が使えないというのがあったけど、
ttc を ttf にリネーム(or リンク) するだけでも
とりあえず使えるようになった。(bts ネタ)
複数の選択もできるっぽい。


634 :login:Penguin:03/11/06 04:25 ID:siARYAse
これでも毎日寝る間を惜しんでDebianをいじくっているんですよ。

635 :login:Penguin:03/11/06 04:30 ID:dijo/YtE
これでも毎日寝る間を惜しんでティムポをいじくっているんですよ。


636 :login:Penguin:03/11/06 08:02 ID:33dzSQYy
>>634よりも>>635にキョーカン!


637 :login:Penguin:03/11/06 12:06 ID:JB80rG/3
どーしても、user毎にcgiを使う設定にできません教えてwoodyです
静的コンテンツは表示されますが、cgiはさっぱり動きません。

<IfModule mod_userdir.c>
UserDir public_html
</IfModule>

<Directory "/home/*/public_html">
AllowOverride FileInfo AuthConfig Limit
Options MultiViews Indexes SymLinksIfOwnerMatch IncludesNoExec
Order allow,deny
Allow from all
</Directory>

<Directory "/home/*/public_html/cgi-bin">
Options ExecCGI
AllowOverride Options
Allow from all
SetHandler cgi-script
</Directory>

638 :login:Penguin:03/11/06 12:10 ID:47CbneWU
>>637 エラーの種類は?


639 :637:03/11/06 12:14 ID:JB80rG/3
>>638

premature end of script headers.
です。/usr/lib/cgi-bin移動すると動くのでスクリプトは問題ないと考えています。
#!/usr/bin/perl

print "Content-type: text/html\n\n";
print "<html><Body>aaaa</body></html>";



640 :login:Penguin:03/11/06 12:29 ID:IJzhIizO
/var/log/apache/suexec.log はみた?


641 :637:03/11/06 12:34 ID:JB80rG/3
>>640

見たら解決しました。ありがとう。
パーミッションが777では不可で755だと動作しました。

642 :login:Penguin:03/11/06 16:26 ID:52eZecbn
テンプレの通りに ddtp を使えるようにすると、パッケージを ftp.jp.debian.org から
落とすようになってしまう気が

643 :login:Penguin:03/11/06 16:42 ID:47CbneWU
>>642 もう直してくれた香具師がいるみたいやね。乙鰈ー


644 :login:Penguin:03/11/06 17:42 ID:Q4X9JWTn
12月1日にリリースするとか言ってたような気がしましたが、
リリースできそうですか

645 :login:Penguin:03/11/06 17:54 ID:47CbneWU
>>644 必殺リリース延期発動に100でぶあん


646 :login:Penguin:03/11/06 21:09 ID:m61Vqbkc
ajの彼女(いるのか?)の誕生日まで延期に1デブ

647 :login:Penguin:03/11/06 23:55 ID:pCYPPImD
ムトゥ神応援してます。
おもしろすぎます。

648 :login:Penguin:03/11/06 23:57 ID:y0T4jeYq
>>647
日記の方に直接書けよ。
ウザい。

649 :login:Penguin:03/11/07 00:12 ID:EsZddYnz
またlocalesがglibcという謎のパッケージに依存してるな。
とても「GNU Libc Maintainersしっかり汁!」なんて言えませんけど…。

このごろ依存絡みの問題が多い気がする…。
まだkdeもインスコできんし。

650 :login:Penguin:03/11/07 00:26 ID:ZyT9/TkJ
>>649
使徒遣いがそんなことでボヤくもんではありません。

651 :login:Penguin:03/11/07 00:38 ID:WQoxVTAG
$ apt-cache show libc6|grep Provides
Provides: glibc-2.3.2.ds1-9

localesパッケージが先にアップロードされてlibc6が遅れるっていつもの事じゃない?

652 :login:Penguin:03/11/07 08:11 ID:miilGbWt
>>649
libsensors-1debian1_2.7.0-6_i386.deb
これインストールすれば良いんでない?って今pool探したら消えてた。
一昨日インストールした時は
pool/main/l/lm-sensors/libsensors-1debian1_2.7.0-6_i386.deb
ってあったんだけど。ぐぐればどこかのミラーに残ってないかな。


653 :login:Penguin:03/11/07 09:19 ID:RZa1el9T
post redhat
デブ決起セヨ


654 :login:Penguin:03/11/07 10:00 ID:nppz/95P
Debian 3.0r1 てなんで7毎もCDあるの・・・?
っていうか、MD5置いてないから整合性とれないし・・・・

655 :login:Penguin:03/11/07 10:11 ID:Bv2zqKJ1
>>654
ネットつながる人は、最初の1枚で十分なんだが。
md5もイメージ置いてるとこにある。どこ探しとるねん。

656 :login:Penguin:03/11/07 10:13 ID:ZnIo3f6R
>>649
とりあえずapt-get source libc6して自分でコンパイル汁
ソースのバージョンはちゃんと上がってた。


つーか良く確認せずにdist-upgradeしたら鬼のように
パケジが抜けていって困った困った。

657 :654:03/11/07 10:21 ID:nppz/95P
ごめん。調べたらMD5あった。
いやさ、ソース含めたら14枚組みってのも凄いなぁと思って。


658 :login:Penguin:03/11/07 13:12 ID:LNLDuccM
だから、最初の1枚だけで... と言っとるに?


659 :login:Penguin:03/11/07 13:21 ID:XyTTrU//
grubとbaseイメージだけダウンロードして、あとはネットインストール。


660 :login:Penguin:03/11/07 13:22 ID:Cj3y3G2h
DOS から loadlin

661 :login:Penguin:03/11/07 14:38 ID:CASSda1I
釣りでしょ

662 :login:Penguin:03/11/07 14:41 ID:8yqVYkvT
Debianって1floppy installはできないんだっけ?
Vineとかは可能だよね。
まあ初期対応デバイスの種類の問題だろうけどさ。

663 :login:Penguin:03/11/07 15:38 ID:RB35a7f/
できるでしょ

664 :login:Penguin:03/11/07 17:14 ID:vGYPeWz0
http://debian.fam.cx/pc.2ch.net/test/read.cgi/linux/
にある過去ログを navi2ch で見られると嬉しいのですが
もしそんなことが可能なら設定方法教えてください。

665 :login:Penguin:03/11/07 17:30 ID:XTSH2PFL
compact 使えばフロッピー4枚でインストールできる。
sarge 以降はどうなんだっけ?

666 :login:Penguin:03/11/07 22:27 ID:G5wsO2Wl
>>665
fatパーティションにドライバやベースを
置いておけば、rescueとrootの二枚ですむと思う。

667 :login:Penguin:03/11/07 22:37 ID:XyTTrU//
rootもfatやext2に置いておけば、
grubのブートフロッピーだけでいける。


668 :login:Penguin:03/11/07 22:38 ID:TxCoJh87
>>666
すべてfatパーティションに置いておけばgrubのFD1枚でオッケーじゃん。

669 :login:Penguin:03/11/07 22:53 ID:TxCoJh87
(;´Д`)かぶった…。

670 :login:Penguin:03/11/07 23:02 ID:IEGr5qeG
なんでoss-preserveとaumixのパッケージがConflictなの?

671 :login:Penguin:03/11/07 23:54 ID:nZ0idOxG
DLしたisoイメージを「焼かずに」マウントして、/etc/apt/sources.listに追加する方法ってあるの?
isoイメージを焼いたものを追加するときは # apt-setup を使用しています。

sid使っているのですが、VerUPの度にiso 12枚焼くの泣けてきます。

672 :login:Penguin:03/11/08 00:11 ID:kYP1VjNx
>671
チョットマッテクレ、
ドーイウコト?

673 :login:Penguin:03/11/08 00:13 ID:91VPsLl1
>>671
windowsでいうdaemon toolsみたいなのを知らないか?
ってことか?


674 :login:Penguin:03/11/08 00:13 ID:f69aZPBu
>>671
loopback mount して、
apt-line を
deb file:/mnt/hogehoge/debian stable main contrib non-free
って感じだろうな。


675 :Debian関係ないな…:03/11/08 00:34 ID:mg/XSB5x
>>674に追加:
man losetup

676 :login:Penguin:03/11/08 01:11 ID:f4H5iWyr
そもそも、そういう香具師がどうして sid なんか使ってるのだろう・・・。


677 :login:Penguin:03/11/08 01:26 ID:/koJqNZU
釣りだろ…

678 :login:Penguin:03/11/08 10:50 ID:5Pm/YR2M
親切に答えてるでびるまんに乾杯!

679 :login:Penguin:03/11/08 13:26 ID:Qe7kV/J9
Debian-sidでカーネル2.6に移行しようととしています。2.4では
/dev/ttyS0 -> /dev/tts/0
というファイルが出来上がっていて、このデバイスファイルを通して
COM1ポートに繋がれたモデムと通信できたのですが、
2.6にすると、ttyS0もttsディレクトリもありません。
2.6において、devfsの仕様が変わったのか、それともDebian側の
設定を合わせる必要があるんでしょうか?
2.4においては/etc/devfsはデフォルトのままで上手く動いていました。

680 :login:Penguin:03/11/08 17:31 ID:ua7EzJtM
カーネル再構築して再起動したらネットワークに繋がんないんだけど...
なにを調べればよいですか?

681 :login:Penguin:03/11/08 17:39 ID:9KuyqPYk
過去ログ

682 :login:Penguin:03/11/08 20:40 ID:TbC9aTsO
すいませんが、教えてください。
Debian 3.0r1をインストールして、つぎに、カーネルが2.2.20なので、
apt-cache search ^kernel-imageで表示される2.4.18のどれかのカーネルに
入れ替えようかと思ったんですが、どれを入れるのが最適なんでしょう。
私のマシンのCPUはVIA C3です。

たぶん、Pentium用の「-586」のやつじゃないかと思ったんですが、
出てくる-586なんちゃらは、「-586tsc」になってる。

「tsc」ってなんぞや。
で、さらに、「bf variant」ってなんぞや。

だれか親切なかた教えてください。Googleで調べてみたけど、わからなかったんです。

683 :login:Penguin:03/11/08 21:46 ID:iqIX6vHI
>>680
再構築の手順

684 :login:Penguin:03/11/08 22:15 ID:hqogsXiL
>>682
apt-cache show

685 :login:Penguin:03/11/08 22:42 ID:HSZyQPJP
>>680
カーネル再構築して再起動したらネットワークに繋がんないん

Kernel Configuration
Network device support ---> Ethernet (10 or 100Mbit) --->

ここら辺りを飛ばしたんじゃ?

686 :login:Penguin:03/11/08 23:20 ID:RKSQ8hlr
679ですが解決しました。原因は8250.koをコンパイルしていませんでした。
オオボケです。これを含めてカーネルをビルドし、モジュールをロードしたら
/dev/ttyS[0..47]が作られました。お騒がせしてどうも済みません。

687 :login:Penguin:03/11/09 00:22 ID:F+aotyHn
woodyからsargeへ上げてkernel2.4.18をコンパイルしようとしたが
エラーでコンパイルできませんでした
gcc3.3だからですか?

688 :login:Penguin:03/11/09 00:25 ID:bVqQR961
>>687
どんなエラーメッセージでしょうか?
それに2.4系は最新の方がコンパイルエラーの
確立も低いと思います。

689 :login:Penguin:03/11/09 04:32 ID:I1Lr3nNM
>>684
どうも。
-586tscを入れてみることにします。

690 :login:Penguin:03/11/09 13:15 ID:h8CamnAK
>>687 see Bug#217745. gcc-2.95でも駄目らしい。
kernel-source-2.4.21 or kernel-source-2.4.22ならいける模様。


691 :login:Penguin:03/11/09 14:55 ID:wIrS+NKT
ringサーバーおかしくない?

692 :login:Penguin:03/11/09 15:10 ID:DeRqv/l1
>>691
どのサーバ?


693 :login:Penguin:03/11/09 16:02 ID:yPAqnb0W
>>691
只今同期中じゃないの?

694 :login:Penguin:03/11/09 17:22 ID:F+aotyHn
>>690
2.4.22でやっと逝けました
nvidiaとalsaもコンパイルOK

2.4.18は構文解析エラーと文法エラーでした


695 :login:Penguin:03/11/09 19:31 ID:CuWB4OQP
>> Ver. 18 の 459
http://2chlinux.dtdns.net/2ch-debian/1061600500/459.html

katerm は VT102 emulator だから
KaTerm*VT102*SaveLines: 1000
かな〜と思ったけどダメだった。で結局
Aterm*saveLines: 1000
でうまくいきますた。

696 :login:Penguin:03/11/09 20:08 ID:JBD+ovtS
woodyでInstall終わったあとapt-getでgccとmakeだけいれて
emacsを入れようとしたら

Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent
permitted by applicable law.
boboo@mp3:~$ ls
boboo@mp3:~$ sudo apt-get install emacs
Password:
Reading Package Lists... Done
Building Dependency Tree... Done
Package emacs has no available version, but exists in the database.
This typically means that the package was mentioned in a dependency and
never uploaded, has been obsoleted or is not available with the contents
of sources.list
E: Package emacs has no installation candidate

なるmegが出てきてインストールできません。TT

697 :login:Penguin:03/11/09 20:14 ID:fuw/Ukw1
>>696
出てきてるメッセージの通りじゃねーの?読めない?


メッセージが腑に落ちたら、apt-cacheというコマンドの使い方を探せ。
あと、megって何よ?メッセージ?msgって略すのが一般的じゃ?

698 :login:Penguin:03/11/09 20:23 ID:NMbmH0lc
>>696
>意訳:
>emacsなんてパッケージはデータベースには載ってるが存在しねぇよ。
>まだアップロードされてねぇか、今ではなくなってるんじゃねぇのか?

結論から言うとemacs20かemacs21、どっちか選べ。

699 :696:03/11/09 23:18 ID:JBD+ovtS
なるほど依存性の問題かと厨房らしい深読みしてました・・・

700 :login:Penguin:03/11/09 23:43 ID:A40uVPk6
字面を読まずに当て推量することは深読みとはいわないだろ

701 :login:Penguin:03/11/10 08:49 ID:TkVCNE02
厨 房 な 回 答 が 目 立 つ な !!



702 :login:Penguin:03/11/10 09:53 ID:sVQSLvtT
>>701厨房じゃない回答をゼヒ


703 :login:Penguin:03/11/10 10:41 ID:k/45v9kP
実 は お れ に も む り !!

704 :login:Penguin:03/11/10 11:29 ID:wsSj2lJI
回答にもあったけど、目当てのパッケージが見つからなかった時は
普通apt-cache searchしねえか?

705 :login:Penguin:03/11/10 12:00 ID:JHxT/6o9
しない。
まずググる。

706 :login:Penguin:03/11/10 12:09 ID:+Q2YUp03
>>705
じゃあ、これからは改めてapt-cacheとauto-aptを駆使すれ

707 :login:Penguin:03/11/10 17:38 ID:iQ4wQpRE
Linux backup 2.4.22-1-386でideが見えなくなりました。
scsiはちゃんと使えています。

cat /proc/pci
Bus 0, device 31, function 1:
IDE interface: Intel Corp. 82801BA IDE U100 (rev 5).
I/O at 0xffa0 [0xffaf].


dmesg
VFS: Mounted root (cramfs filesystem).
Freeing unused kernel memory: 76k freed
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
SCSI subsystem driver Revision: 1.00
PCI: Found IRQ 11 for device 01:00.0
PCI: Sharing IRQ 11 with 00:02.0
PCI: Sharing IRQ 11 with 01:04.0
scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.36
<Adaptec 19160B Ultra160 SCSI adapter>
aic7892: Ultra160 Wide Channel A, SCSI Id=7, 32/253 SCBs


なにをすれば良いのか見当が付かないのでお願いします。

708 :login:Penguin:03/11/10 18:19 ID:sVQSLvtT
>>707 backupっていうのは何?自前ビルドしたカーネルならカーネルのconfig
見直すのが先決では?


709 :login:Penguin:03/11/10 19:23 ID:iQ4wQpRE
>>708
kernelはaptでとってきた物です。
なにも変更していません。

710 :login:Penguin:03/11/10 19:30 ID:iQ4wQpRE
kernelのバージョンアップはbig driveに対応する為です。
bf24では137Gまでしか認識してくれません。
宜しくお願い致します。

711 :login:Penguin:03/11/10 19:42 ID:GRqfR9LR
Debian ステステ

712 :login:Penguin:03/11/10 19:43 ID:0a9nU81T
Debian ステテコ 

713 :login:Penguin:03/11/10 19:45 ID:fsFUGHWI
>>707
ide関係がカーネルに組み込まれているのかモジュールになってるのか確認。
/boot/config-(カーネルのバージョン)とかで。
組み込まれているのに見えてないならlogエラーが残ってないか確認。
エラーで動いてないようならバージョンを下げるとか修正されるまで待っとけ。
もしくはエラー内容をそのまま貼ってみると解決できるかもしれん。
モジュールになってるなら読み込まれてるか確認。
lsmodして読み込まれてないなら手動で読み込んでみそ。
どちらでもない場合は自分で再構築汁。

714 :login:Penguin:03/11/10 19:53 ID:sVQSLvtT
>>709 ああ、漏れの捜し方が悪かった。スマン。
で、見てみたがide回りがひたすらmoduleになってるみたいなんで、
ide-core.o ide-disk.oあたりを組みこんでみれば良いのではなかろうか


715 :login:Penguin:03/11/10 20:08 ID:iQ4wQpRE
modprobe ide-diskで解決しました
/etc/modulesに追加しても大丈夫ですか?

ありがとうございました。

716 :login:Penguin:03/11/10 20:38 ID:eBdsh+Yl
>>715
http://debian.fam.cx/?Tips#content_1_4
を参考に。

717 :login:Penguin:03/11/11 00:33 ID:RpBOyf6U
kernel-2.6.0-test9を再構築して再起動したら、
コンソールでログイン画面がでてこないんですけど
kernelのオプションをなにか選択してなかったのでしょうか?
/etc/inittabの仮想コンソールを1以外全部切ってるのが悪いのでしょうか?

718 :login:Penguin:03/11/11 00:43 ID:mUei80aH
>>717
起動中のズラズラ〜もない?

719 :login:Penguin:03/11/11 00:48 ID:RpBOyf6U
>>718
いえ、デーモンは立ち上がってbootlogが止まった後、
ログインと表示されません
ちなみにランレベル1だと入る事ができました

720 :login:Penguin:03/11/11 01:11 ID:NVpwkzc6
>>718
漏れのトコはズラズラ〜がない。
どすればいい?

721 :717:03/11/11 01:13 ID:RpBOyf6U
起動してほったらかしてたら
INIT: Id "1" respawning too fast: disabled for 5 minutes
INIT: Id "2" respawning too fast: disabled for 5 minutes
と出続けます。
ググってどうもinittabが悪いようなのですがコメントアウトしてた部分をはずしても無理のようです。
再構築してpcmcia-csを入れるときにカードを入れっぱなしにしてたので
インストール途中で止めてカードを止めたのが悪かったのかもしれません。

手違いから他のカーネルでの起動ができない状態なので
とりあえず諦めてもう一度インストールし直すことにします。(次からはgrubにします。)

スレ汚しすいませんでした。

722 :login:Penguin:03/11/11 01:34 ID:ABnV7fGI
inittabをイジった事が原因ならデフォのinittabと差し替えてみれば。
sidなら/usr/share/sysvinit/inittabにあるでしょ。

723 :717:03/11/11 01:53 ID:RpBOyf6U
>>722
仮想コンソールの数を減らしただけででも壊れるものなのでしょうか?
今ずっと調べていて思ったのですがカーネルオプションの時に、
言語コード(?)を日本語と重要そうなもの以外(koreaとか)を切っていたのが問題がありそう…
IRQの衝突も可能性があると思って、PCカードとUSBも抜いてはみたのですが駄目でした。
とりあえず最小構成でインストールしたほうが原因究明よりも早そうなのでそっちでやります。
レスしてくれた人ありがとうございます。

724 :login:Penguin:03/11/11 02:24 ID:KwE0S8ag
>>720
モニタの電源いれろ!

725 :login:Penguin:03/11/11 02:26 ID:ABnV7fGI
>>723
壊れない。漏れも2つに減らしてるし。

ググってみたけど主な原因は
1.loginやgetty、それに依存するライブラリファイルが壊れた
2.inittabの記述がおかしい
3./dev/tty?が存在しない
あたりのようだ。
1ならそのファイルだけを再インスコ
2ならinittabをオリジナルのファイルと差し替え
3はよく分からんけどdevfs周りをミスってるとなりそうだ罠。

つか再インスコしたら永遠に謎のままになるような。

726 :login:Penguin:03/11/11 02:43 ID:gIKahpzH
linux-2.6.0入れるならこれ読んどけ
http://www.codemonkey.org.uk/post-halloween-2.5.txt


727 :717:03/11/11 03:25 ID:RpBOyf6U
>>725
うーん、たしかに再インスコしたら原因が特定できないのは痛いですが
LILOの設定をミスってしまってて、どうしよもないことになっていたので仕方ないです。
自分が調べたものではlocales関係も影響しているみたいです。

728 :Debian関係ないな…:03/11/11 08:08 ID:gvc77Gmk
floppyかCD-ROMでbootしろよ!

>>727
> 自分が調べたものではlocales関係も影響しているみたいです。

あんたkernel入れ替えただけなんじゃないの?
inittabからjfbtermでも起動してない限り関係ないでしょ。


729 :login:Penguin:03/11/11 08:58 ID:6E6tCxwa
>>728
朝っぱらから他人のことでそんなにカッカせんでも、、、
今日も一日、マターリ逝きましょう。


730 :680:03/11/11 23:29 ID:pKVBuFMj
>685

dmesg に
eth0: Intel PCI EtherExpress
って出てるので

<*> EtherExpressPro/100 support

を選んだ(さいしょから*ついてた)
んでそれは大丈夫だと思います。

731 :login:Penguin:03/11/12 00:07 ID:vJwDmzxW
おまいら、Preparation of Debian GNU/Linux 3.0r2だそうですよ

>>730 カーネルのバージョン、エラー等もう少し
詳しく書いてくれるとありがたい


732 :login:Penguin:03/11/12 10:52 ID:ocqYC91A
>>568
窓際に設置されているオリロー2型で降りレ


733 :login:Penguin:03/11/12 15:38 ID:bs0UhgAA
woody使ってます。NICを2枚挿ししているのですがNICとeth0,eth1の関係を
明示的に指定するには、どのようにすればいいんでしょうか?

734 :login:Penguin:03/11/12 16:57 ID:VuQZnOU6
/etc/network/network-interfaces

735 :login:Penguin:03/11/12 17:01 ID:a0Cfc6C4
navi2ch/xemacs on Sid

2chの記事を他(mozilla,emacs)にコピペすると文字化けなんですが、これはおいらだけ?
2ch~~~~~(mozilla,emacs)~~~~~~~~~~~~~~~~~~~~~~~~~~
ってな感じ。

736 :734:03/11/12 17:18 ID:VuQZnOU6
>>733
すまん。漏れ原始人の模様…
/etc/network/interfacesの
iface eth0...の下に
hwaddress ether MACアドレス
で指定汁
と思ったらこれsid限定かよ。
えーと
/usr/share/doc/ifupdown/examples/check-mac-address.shを
適当なパスに置いて実行パーミッションつけて

/etc/network/interfacesに
pre-up /ほにゃらら/check-mac-address.sh eth0 MACアドレス

これでいけないかな?ちょっとwoodyの設定いじくれない環境なので、
続きはまともな人に任せますw






737 :login:Penguin:03/11/12 17:19 ID:T4wQe2ej
>>733
Documentation/kernel-parameters.txt

738 :login:Penguin:03/11/12 20:47 ID:usC8hZFU
インストール時に入れ忘れたモジュールがあるんですがインストール後に
インストール時並にモジュールの出し入れをすることは可能なのでしょうか?

739 :login:Penguin:03/11/12 21:02 ID:K7xb9tkj
modconf って事かな?

740 :login:Penguin:03/11/12 21:21 ID:usC8hZFU
>>739
まさにそれでした。

重ね重ね申し訳ないんですが、テキストログインはどうすればいいんでしょうか?
inittabのdefaultlevelを2〜5に設定しまくりましたがxdmが立ち上がりやがります。

741 :login:Penguin:03/11/12 21:23 ID:4ysNm4AV
少しは>>1とか過去ログ嫁よ。

742 :login:Penguin:03/11/12 22:24 ID:a0Cfc6C4
>>740
xdm を remove すればいいはずでちゅが error が出て素直に remove 出来なかった気がする、
ほんで、gdm(kdm) を install してgdm(kdm) と xdm を一緒に remove したら行けたと記憶してましゅる。
理由は知らんし確かでもない、メモも残してない。
んじゃ。

743 :名無しさん:03/11/13 01:47 ID:fXJJl36I
Woodyにkernel-source-2.4.22/testingをいれて再構築したんです。
でも、従来取りinitrdありで再構築してbootするとprivot_rootがないとか、なぜかconsoleが開けないとか言ってパニクるんです。
でもinitrdなしだと、rootパーティションが見えないとか「root=」でちゃんと指定しろとかほざくんです。
ちゃんとgrubで"kernel ....... root=/dev/ataraid/d0p1 ro"って教えてやっているのによぉ。
必要なのは組み込んだつもりなんだけど、わけわかめ。

そういう事情なんで、対策方法を猿でも分かるように教えてくれたまへ。
って優香、よろしくお願いします。


744 :login:Penguin:03/11/13 11:56 ID:3muM/Mk/
pcweb.mycom.co.jp/news/2003/11/13/51.html
Debian 4.0ってなんだ(笑

745 :login:Penguin:03/11/13 11:57 ID:cr9EQHGu
udebって何? debと違うの?

746 :login:Penguin:03/11/13 12:12 ID:RVgRse9B
redhatに合わせろとは言わんけど、
ランレベルに関しては仕様変更してほしいわな。

747 :login:Penguin:03/11/13 12:19 ID:7Hcx6R4v
>>746
なぜ?

748 :login:Penguin:03/11/13 12:21 ID:8afRCVmm
>>746
何が不満なの?

749 :login:Penguin:03/11/13 12:28 ID:tXUgnJL0
>>745
http://linux.derkeiler.com/Mailing-Lists/Debian/2003-09/4012.html

750 :login:Penguin:03/11/13 12:40 ID:RVgRse9B
インストールした直後に、すべてのランレベルで起動状態になってしまうのはいいことだとは思わんけど。
本人の意図しないレベルでうっかり起動したままになってしまうこともあるだろうし。
インストール後に設定作業をするのなら、起動サービスを解除していくことより、
起動したいサービスを登録していく方が間違いが少なくていいと思いませんか?


751 :login:Penguin:03/11/13 13:34 ID:7Hcx6R4v
あらかじめランレベル毎に意味付けしてあって、どういう考えのもとで
分けてあるのか気にしながら使うなら、全部一緒で変えたい場合だけ
自分で変えるというほうがシンプルで間違いにくいと思うんだけど・・。


752 :login:Penguin:03/11/13 13:54 ID:RVgRse9B
突き詰めていくと、パッケージインストール即起動というdebianポリシーを否定することになってしまうわけだが。
これのせいで、サーバの比較とかがやりにくいんだよね、debianは・・・。


753 :login:Penguin:03/11/13 14:03 ID:7Hcx6R4v
>>752
うっかりとか間違いの話とちがうじゃん。

754 :login:Penguin:03/11/13 14:05 ID:QkK1IOw0
いったん決めたポリシーは良くないポリシーでも死ぬまでそのままか

755 :login:Penguin:03/11/13 14:16 ID:5IJuxHEm
>>750
意味が分からんのだが

756 :login:Penguin:03/11/13 14:18 ID:SNz7RCg2
>>745 debian-user@org での C. Watsonの回答
ttp://linux.derkeiler.com/Mailing-Lists/Debian/2003-09/4360.html

要約すると、debian-installerのための、debian-policyに従う必要のない
(manやドキュメントを含まない)、小さなdebってところか


757 :login:Penguin:03/11/13 14:18 ID:QkK1IOw0
>>755
Debian の使いすぎで脳も破壊されたか。。。

758 :login:Penguin:03/11/13 14:20 ID:RVgRse9B
>>753
一緒だよ。
うっかり間違い=うっかり起動。


759 :login:Penguin:03/11/13 14:22 ID:SNz7RCg2
>>754 んなこたぁない。一度debian-policy@orgを覗いてみそ。


760 :login:Penguin:03/11/13 15:14 ID:jKbmkkGA
>>752
サーバの比較ってなに?


761 :login:Penguin:03/11/13 17:26 ID:foJbxiL/
でぶあん廃刊(´・ω・`)ショボーン

762 :login:Penguin:03/11/13 19:07 ID:SNz7RCg2
Woody Backports Repository

http://www.backports.org/


763 :login:Penguin:03/11/13 20:08 ID:H53X3uB/
>>761
たいしておもしろい内容でなかったから
どうでもいいよ

764 :login:Penguin:03/11/13 20:35 ID:FvJv4uUL
漏れなんて一度も読んだ事なかった…。

765 :login:Penguin:03/11/13 21:43 ID:dhDWJzH7
http://debian.fam.cx/

./trackback/: Permission denied

766 :login:Penguin:03/11/13 23:04 ID:zYF5RkRS
Emacs の C-h f で元ファイルが辿れないのを調べたら、ysjj 氏の patch を
みつけた。
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=124221

激しく便利になったよ。みんな知ってた?


767 :login:Penguin:03/11/13 23:20 ID:yqkysZfn
デブヤン

768 :login:Penguin:03/11/14 15:20 ID:nXcz+kba
 デフォルト(vanilla?)だと DHCP による設定を検出してくれ
るのに、bf2.4 フレーバでインストールしようとすると「自動設定
に失敗しました」と言われる…(´・ω・`)

769 :login:Penguin:03/11/14 15:54 ID:G5MuXkf6
woodyインストーラの検証じゃなくてsargeのbeta1インストーラの検証を。

770 :login:Penguin:03/11/14 16:59 ID:pGGS33df
>>750は使う使わないに関わらずいろんなパッケージをインストールする人ですか?
Debianでそれをやるメリットはあまりないように思うのだが。


771 :login:Penguin:03/11/14 18:56 ID:gibppbEN
>>770 まぁ実際に入れてみて比較してみないとわからないことも
あるじゃないすか。このパッケージはメンテナが発狂しているとか
あのパッケージは黒魔術をつかってるとか(藁

まぁ冗談はともかく、debconfかなんかでインストール時にどの
ランレベルで動作させるか聞いてくれると親切かもね


772 :login:Penguin:03/11/14 20:54 ID:jX7q865J
>769
 DHCP の認識はできました!でも日本語でインストールしようと
すると tasksel が文字化けし、英語でインストールしようとする
とモジュールがロードできないというエラーで X が起動できず、
結局断念…

 正式リリースを待つことにします…

773 :login:Penguin:03/11/14 20:59 ID:nWAOJer4
あんまり期待できんな。
いっそ、コマンドインストールを導入すべきだ。
簡単インストールはknoppixに任せて(w


774 :login:Penguin:03/11/14 21:09 ID:Pno3Oqpx
>>772
ちょっと前に debian-installer 試した時から進化してないみたいね。
書き込み見る限りサッパリな感じ。

ほんとにこれ使うのか?心配になってきた・・。

775 :login:Penguin:03/11/14 21:32 ID:Pno3Oqpx
sid で gftp-gtk 使ってる人いる?
最近 2.0.16-1 になってから設定が保存できないんだけど。
bts にもなんもないし。

776 :login:Penguin:03/11/14 21:55 ID:eaiymb/g
インストーラなんてどうでもいいよ
1回しか使わないし
日本語なんか必要ない

777 :login:Penguin:03/11/14 22:34 ID:wII9yIJP
質問させて下さい

woodyからsargeに揚げたのですが
icewmを立ち上げ.xsession-errorを見ると

$ cat .xsession-errors
IceWM: 警告: glyph not found: 169
IceWM: 警告: glyph not found: 169
IceWM: 警告: glyph not found: 8722
IceWM: 警告: glyph not found: 8722

とエラーがでています
woodyの時にはエラーは出ていませんでした
多分フォント関係だと思うのですが
どのフォントを追加すれば好いのか分からずにいます
ご存知の方いらっしゃいますか?

778 :login:Penguin:03/11/14 22:45 ID:urvxFQYW
>>775
ほんとだね。書き込み読んで確認したよ(w
頻繁に設定変更するようなもんじゃないし、変更するにしても
~/.gftp/gftprcを書き換えれば済むことだからじゃない?

779 :login:Penguin:03/11/15 00:00 ID:76EFSzGK
>>778
おオ、確かに。で、編集して保存できました。

でも、なんで utf-8 なのよ・・。



780 :login:Penguin:03/11/15 04:36 ID:CTNkCy5h
>>779 なんで utf-8
時代の流れ?
gedit もデフォは、utf-8 だよん

781 :login:Penguin:03/11/15 19:11 ID:Uga741kN
X立ち上げると Not loading .note.GNU-stack ってコンソールに出るのが気持悪いな。
BTSにもあったけど。実害は今の所ない。

782 :login:Penguin:03/11/15 19:54 ID:yzRv109+
>>777
警告はerrorじゃなくてwarningだろ。

783 :login:Penguin:03/11/15 20:14 ID:k98Pg5vj
>>781
4.2.1野郎ハッケソ!

つか4.3.0を出さないのは嫌がらせに思えてきたのは漏れだけか?(w
マジでsargeは4.2.1になりそうな悪寒。

784 :login:Penguin:03/11/15 22:22 ID:SLgswOuO
>>783
きっとメンテナが交代になると予言してみる
次のメンテナは日本人だよ


785 :login:Penguin:03/11/15 22:23 ID:TUKF+waR
unstableに4.3.0が下りてくるよりも先にupstreamで4.4.0が出る予感

786 :login:Penguin:03/11/15 22:30 ID:SLgswOuO
debianのリリース時期からのタイミングが悪いのと
動きが鈍いことが少々まずい

4.4.0が入ることはありえない
あんすていぶる過ぎて(ry

787 :login:Penguin:03/11/15 23:47 ID:t+n8moe0
sidでEclipseが動かない・・・


788 :login:Penguin:03/11/16 00:30 ID:Vayrlul0
Woodyで2.6.0-test9いれたらコンソールで|が入らなくなった・・・。
カーネル関係あるのか?

789 :login:Penguin:03/11/16 00:41 ID:5mcmBKX8
>788
ttp://pc.2ch.net/test/read.cgi/linux/1042017230/
ひんと
console-tools

790 :login:Penguin:03/11/16 01:07 ID:iP8ufFDY
>>788
>>554

791 :login:Penguin:03/11/16 03:12 ID:AKo9TtPC
>>783
普通のsidつかいはexperimental入れて(ああ矛盾してる)
XFree86 4.3.0にするのが普通なんですか?

792 :login:Penguin:03/11/16 08:22 ID:aN8fUKhl
>>787
動いてるよ

793 :login:Penguin:03/11/16 10:01 ID:8gmLK9Vl
>>784
Brandenと喧嘩して勝てる奴が日本人の中に、いや世界中見渡してもいるのか?

794 :login:Penguin:03/11/16 10:05 ID:8gmLK9Vl
>>778-779
gftpもGTK2アプリだからな。

795 :login:Penguin:03/11/16 17:46 ID:wx25/dIu
ググっても、過去ログ調べてもわからなかったんで、聞いてみます。
modprobe: Can't locate module char-major-10-135
というのが、起動時、daemon.log上に出ます。

調べるに、カーネル再構築のときに、Enhaced Real Time Clock Supportを
組み込むようにすれば解決できるというのが大方の意見のようですが、
私のところでは、RTCを組み込むようにしてもこのエラーが出ます。
起動時の画面には出ないようですが、daemon.log上には出ています。
kern.logには出なくなったのですが、daemon.log上には出っぱなし。

だれか知ってる人いますか。
kernelは2.4.22をkernel.orgからダウンロードしてコンパイルしています。
debianのパッケージは、testingには2.4.22のバイナリありましたが、
ソースはがなかったもので。

796 :795:03/11/16 17:49 ID:wx25/dIu
あ、testingに2.4.22のソースありました。失礼しました。こっちも試してみます。

797 :login:Penguin:03/11/16 18:35 ID:3pc3TZM5
>>795
うちでは xconfig では config ファイルに
CONFIG_RTC=y
って書き込んでくれなかったから手で書いてから build した。

あと、RTC使わないなら
/etc/modutils/arch/hoge の
alias char-major-10-135 rtc

alias char-major-10-135 off
に書き換えるという手もある。


798 :795:03/11/16 19:44 ID:wx25/dIu
>>797
リプライどうもです。

testingのkernel-source-2.4.22 2.4.22-3を使って、
カーネルのパッケージ作ってインストールしたら、
「modprobe: Can't locate module char-major-10-135」
のメッセージはdaemon.log上に出なくなりました。

ちなみに、私は、make menuconfigで設定しましたが、
.configには「CONFIG_RTC=y」は書かれていました。

debianのパッチの中でなにかしているのかしらん。

799 :login:Penguin:03/11/16 22:28 ID:pMWbtOU/
こんばんは。knoppixから書き込みさせていただきます。

たった今、debian sidをインストールしたところですが、
x-window-systemをインストールした後の設定をしようと
xf86cfgを実行すると、command not found となって
しまいます。xf86cfgって使わなくなってしまったんでしょうか?
ちなみにxfree86は4.3.0です。

知ってる方いましたら、教えて下さい。お願いします。

800 :login:Penguin:03/11/16 22:29 ID:rEMWU24N
洩れの場合は、gftp の設定をエディタで編集しても上書きされて
戻ってしまう。

いくら gtk2 でも外部に置くファイルまで utf-8 ってのは統一感なさすぎ。
納得できんのは俺だけ?

801 :login:Penguin:03/11/16 23:28 ID:+MA05N9E
だけだと思う


802 :login:Penguin:03/11/16 23:46 ID:1AtWQlpO
sources.listにはごちゃごちゃ書いてますが、
deb http://security.debian.org/ stable/updates main contrib non-free
にある奴だけupgradeするにはどうしたらいいんでしょう?

803 :login:Penguin:03/11/16 23:55 ID:3pc3TZM5
>>802
proposed-update を apt-line に入れないで
pin を stable にすればだいたいそんな感じになると思う。
あとは>>1のテンプレサイト参照。

804 :login:Penguin:03/11/17 14:32 ID:O/5s9qLE
>>799
xbase-clientsは入れた?
これに入ってるって、Descriptionに書いてあるよ。

805 :804:03/11/17 14:33 ID:O/5s9qLE
使うなとも書いてあるけど。

806 :login:Penguin:03/11/17 23:08 ID:MAC9cdMq
英語版のTgifを使っているからだと思いますが、
メニューから日本語のフォントが選べません。
(5つしか表示されていません。)
メニューが日本語のTgifはどこからダウンできますか?

807 :login:Penguin:03/11/18 00:24 ID:4EHvvs5C
>>806
少しはググった?
ttp://www.google.co.jp/search?q=tgif+debian+%E6%97%A5%E6%9C%AC%E8%AA%9E&ie=UTF-8&oe=UTF-8&hl=ja&btnG=Google+%E6%A4%9C%E7%B4%A2&lr=

808 :login:Penguin:03/11/18 00:45 ID:JUZkggLM
>>806
ググってはみましたが。
rpmパッケージのは無さそうですね。
自力でインスコするしかないのか。

809 :login:Penguin:03/11/18 00:48 ID:y+teHwsJ
> rpmパッケージのは無さそうですね。
????????????????????????????????????????????????????????????????

ここってdebianスレじゃなかったっけ?


810 :login:Penguin:03/11/18 00:53 ID:sSAJMxQN
799です。またもknoppixから書き込みしてます。
>>804
xbase-clientsは入ってます。というか、
apt-get install x-window-systemで芋づる式にインストールされました。
でも、相変わらずxf86cfgは使えませんでした。。。

811 :login:Penguin:03/11/18 00:58 ID:y+teHwsJ
>>810
なんでxf86cfgにこだわるん?

debian的には↓でいいんじゃないの?
# /usr/sbin/dpkg-reconfigure xserver-xfree86


812 :login:Penguin:03/11/18 01:02 ID:ElpM3zk7
>>810
/usr/X11R6/bin/にパス通ってるよね。あと
# dpkg-reconfigure xserver-xfree86
でいけなかったけ?

813 :812:03/11/18 01:03 ID:ElpM3zk7
ケコーンしてくれますか(w


814 :login:Penguin:03/11/18 01:04 ID:ksXoWxEc
>>811
おれは、dpkg-reconfigure xserver-xfree86
これちっともいいとおもったことないよ。
全然xf86cfg -textmodeのほうがいいと思う。これだと他のディストロでも通用するしね。


815 :login:Penguin:03/11/18 01:13 ID:y+teHwsJ
>>812
一応断っておきまつ(w

>>814
汎用性を言うのならxf86cfgじゃなくて
# XFree86 -configure じゃないの?


816 :login:Penguin:03/11/18 01:31 ID:7cJ1dGwR
>>815
汎用性ならXF86Config[-4]を直接編集でしょ

817 :812:03/11/18 01:42 ID:ElpM3zk7
>>815
(;゚Д゚)ガーン


818 :logon:Penguin:03/11/18 01:46 ID:S48guG+r
799です。皆さんアドバイスありがとうございます。
自分の場合、いつもはxf86cfg -textmodeで雛型作ってから修正して
XF86Config-4を作っていたので、dpkg-reconfigure xserver-xfree86
は何処に何を入力していいかよくわかりませんでした。
元々、woodyを入れる予定だったんですが、武藤さんのxf86-4.2.1が
亡くなっていたので、それなら4.3の方が、、、それならsidにした方が、、、
と欲張っていったのがいけなかったっぽいです。おとなしくwoodyにしときます。

819 :login:Penguin:03/11/18 01:54 ID:y+teHwsJ
>>816
# XFree86 -configure で雛型を作ってという意味だったんだけど
言葉足らずはいかんなぁと反省。

>>817
そんなにショックを受けないでw

>>818
>は何処に何を入力していいかよくわかりませんでした。
実行してしまえばダイアログに答えるだけだから
だまされたと思ってやってみ。

xf86cfgができるならわからないってことはないかと思われ

820 :login:Penguin:03/11/18 02:36 ID:ksXoWxEc
xf86cfgが入ってないなんて、パッケージャに(#゚Д゚)ゴルァ!!だな。


821 :login:Penguin:03/11/18 03:41 ID:EtWKRGsm
今日のどはまり(testing編)
もしかして同じように困ってる人がいるかもしれないメモ。

libc6をバージョンアップしてみる(2.3.2.ds1-10)

chechpasswordがエラーはいてとまる。

ld.so: Incorrectly built binary which accesses errno or h_errno directly.
ld.so: See /usr/share/doc/libc6/FAQ.gz.

ぐぐるとredhatでも同じような問題があるようだ。
しかたないので、testingのqmail-srcを展開してENTERで待ってるとこで、
checkpasswordのerror.hの
extern int errno;

#include <errno.h>
に修正してENTERでパッケージ作成、インストールしてなんとか動いた。


822 :login:Penguin:03/11/18 05:53 ID:kEwuNgqp
>>821
checkpw_1.00-2
をつかえば良いかも。

823 :login:Penguin:03/11/18 13:38 ID:p1iHpY7g
sidには,samba-jaがありますが,sargeには,なかなかおりてきませんね。

なんでだろう。


824 :login:Penguin:03/11/18 14:23 ID:ksXoWxEc

(´-`).。oO(sargeは変態バージョンだろう)


825 :login:Penguin:03/11/18 18:56 ID:rt1YpqAG
woodyからsargeに揚げたらsambaが変でつ
奥のディレクトリ内には書き込みできないしファイル置けるところでも
指定した所有者にならない
smb.conf書き換えないとダメなのでつか?

826 :login:Penguin:03/11/18 19:31 ID:OHDvF4IE
www.debian.org 見れん

827 :login:Penguin:03/11/18 20:30 ID:SK9vuUUU
> 元々、woodyを入れる予定だったんですが、武藤さんのxf86-4.2.1が
> 亡くなっていたので、それなら4.3の方が、、、それならsidにした方が、、、
> と欲張っていったのがいけなかったっぽいです。おとなしくwoodyにしときます。

 折角だからbackports使ったら?
 http://backports.azumanga-daioh.org/debian/dists/stable/xfree86/binary-i386/

828 :login:Penguin:03/11/18 21:42 ID:ciPJvfA2
>>827
でぶ厨らしいドメイン名だな。恥ずかしい。
かわいそうだからwhoisなんかするんじゃねえぞ。

829 :login:Penguin:03/11/18 22:10 ID:rt1YpqAG
できたし

830 :login:Penguin:03/11/19 03:34 ID:lV5+G+kn
testingのlibc6が上がって
qmail-pop3dが
ld.so: Incorrectly built binary which accesses errno or h_errno directly.
ld.so: See /usr/share/doc/libc6/FAQ.gz.
なんてpop3クライアントに返しちゃうようになったんで、
unstableからqmail-src 1.03-29を持ってきたんだけど
build-qmailの途中で
dpkg-deb: building package `qmail' in `../qmail_1.03-29_i386.deb'.
/usr/bin/build-qmail: line 158: [: qmail_1.03-28_i386.deb: binary operator expected

Some error happened, stopping here.
で止まっちゃう。
unstableの人はbuild-qmail出来てる?

qmail-pop3dなんて使ってる人いなさそうだな…。


831 :login:Penguin:03/11/19 03:35 ID:vbmT70+h
LD_ASSUME_KERNEL=2.4.1 しないと wine がsegfaultするようになった。
使えるからいいけど。


832 :830:03/11/19 03:39 ID:lV5+G+kn
ちなみにWindowsのBecky!だと、このレスポンスを無視してくれるけど、
Mew(cvs head)だと刺さる。
/usr/bin/build-qmailに手を入れるworkaroundでも良いので
回避策があったら教えてください。
# qmail-pop3dを捨てるっていうのはナシで

833 :login:Penguin:03/11/19 03:41 ID:7Y/z4xi7
>>830

>>821見れ

834 :830:03/11/19 03:52 ID:lV5+G+kn
>>833
うわ ごめん。チェックしたはずだったのに、なにやってんだ俺…。
で、こっちは、qmail-src 1.03-29を入れちゃったんで
build-qmailが失敗した後に
cp /tmp/qmail/qmail-1.03/contrib/checkpassword-0.90/checkpassword /usr/bin/
として とりあえず回避しますた。

835 :login:Penguin:03/11/19 15:21 ID:PQ8rk3Ck
sidのgnome-terminalの窓が異様に重く感じるのは気のせい?
他の窓はすいすい動くし、nautilusなんかも普通です。
ちなみに同じマシンのfedora上では、gnome-terminalの窓も普通にうごく。


836 :830:03/11/20 07:00 ID:Jqh/uduH
bash, gcc-3.3, debhelperが上がってどれの影響かは分からなないけど
qmail-src 1.03-29でbuild-qmail成功するようになりますた。


837 :login:Penguin:03/11/20 08:59 ID:Wj9rbxBL
やっぱdebianからfedoraに戻ってしまった。皆さん、申し訳ない。

838 :login:Penguin:03/11/20 10:46 ID:GDqK6ozG
daemontools,qmailを入れようと思ってるのですが、
packageを使うかどうか迷ってます。

officialなインストーラーだと、

$ ls -l /service
/service -> /var/lib/svscan/

となるということで合ってますか?

839 :login:Penguin:03/11/20 14:04 ID:+yEzwRfw
.ram な映像を見たいのですが RealOne Player なるものが Windows の標準になってるようで。
今 linux 向けの tar はどこで手に入れるのでしょうか?
Sid

840 :login:Penguin:03/11/20 15:26 ID:DOEUPilW
apt-get install realplayer


841 :login:Penguin:03/11/20 15:51 ID:+yEzwRfw
どもです

apt line に
deb http://marillat.free.fr/ unstable main を追記して
apt-get update, apt-get install realplayer
---
This is the Real Player installer package, it does not actually contain
Real Player. You will need to go download Real Player by hand. Once you
have downloaded it you can proceed and tell the installer which
directory you put it in.
Would you like to run the Real Player installer now?
<Yes> <No>
---
Please visit http://forms.real.com/real/player/unix/unix.html. Select
'Linux 2.x (libc6 i386) RPM'. Download it, and ensure permissions are
appropriate. It should be called rp8_linux20_libc6_i386_cs2_rpm. When
prompted, enter the directory you downloaded it to (defaults to /root).
Real Player has been downloaded to where?
/root___________________________________________________________________
<Ok>
--
とありましたので http://forms.real.com/real/player/unix/unix.html を訪ねて
RealPlayer for Linux/Alpha (Debian) のページで
rp7_linux_alpha_debianslink_cs2.bin をダウンロードしました

842 :login:Penguin:03/11/20 16:06 ID:DOEUPilW
あ、ごめん。
mplayer用にhttp://marillat.free.fr/入れてたからrealplayerも出てきてたのか。


843 :login:Penguin:03/11/20 16:38 ID:+yEzwRfw
>あ、ごめん。
いえいえ、とんでもありません

$ chmod 700 rp7_linux_alpha_debianslink_cs2.bin
$ ./rp7_linux_alpha_debianslink_cs2.bin

bash: ./rp7_linux_alpha_debianslink_cs2.bin: cannot execute binary file
と言われてしまいました
$ file rp7_linux_alpha_debianslink_cs2.bin
rp7_linux_alpha_debianslink_cs2.bin: ELF 64-bit LSB executable,
Alpha (unofficial), version 1 (SYSV), dynamically linked (uses shared libs), stripped
それで
rp8_linux20_libc6_i386_cs2.bin
をダウンロードしました

今度は良さそうです

844 :login:Penguin:03/11/20 17:32 ID:+yEzwRfw
>>839,840,841,843
./rp8_linux20_libc6_i386_cs2.bin
でインストールできましたが
apt-get install realplayer
でインストールするには
rp8_linux20_libc6_i386_cs2_rpm
をダウンロードする必要があるようです

ありがとうございました

845 :login:Penguin:03/11/21 02:41 ID:SAYnMaO6
すいません。

debian3.0_r1のインストールを
ttp://www.idg.co.jp/lw/install/030821_2/index.html
を筆頭に参考にしながらやってみたのですが
taskselを入力して
X window systemをインストールしたいのですが
なぜか、一覧にありません。
これは普通なのでしょうか?

なので乏しい知識を使って
apt-get install x-window-system
として、Xをインストールしてみたつもりなのですが
startxとしてもエラーとなってしまいます。

ここまでの状態でどなたか知恵の拝借をお願い致します。

846 :login:Penguin:03/11/21 03:08 ID:0LG9v9XP
XF86Configがない。
# dpkg-reconfigure xserver-xfree86 か、
# xf86cfg -textmode
でつくる。

847 :login:Penguin:03/11/21 03:35 ID:SAYnMaO6
>>846
早速の返信ありがとうございます。
一応dpkg-reconfigure xserver-xfree86
はやってみておいたのですが
一応再度設定の方やってみました。

startxをするとやはり同じエラーがでます。

Fatal server error:
No screens found

XIO: Fatal IO error 104 (Connection reset by peer) on X server ":0.0"
After 0 requests (0 known processed)with 0 events remaining.

といった感じです。。。


848 :847:03/11/21 03:38 ID:SAYnMaO6
調べてみたところ、フレームバッファを
YesにしていたのをNoと変更したら
きちんとKDEが起動しました(汗)
お騒がせいたしました。


849 :login:Penguin:03/11/21 11:31 ID:icj/1+ve
>>848
>調べてみたところ、フレームバッファを
>YesにしていたのをNoと変更したら
コンソールでfb使ってても何の問題もないぞ。
jfbtermから起動してたのか?わけわからん。


850 :login:Penguin:03/11/21 11:43 ID:Q1x4DDfl
>>849
まじれす?

851 :login:Penguin:03/11/21 14:43 ID:m+31t3S8
debian.orgで何が起きてるんですか?

852 :login:Penguin:03/11/21 14:44 ID:lak0Uuvh
canna を upgrade するたびに /hosts.canna が書き変わるのはどうにかならんものかねぇ。
localhost で egg-canna を使いはじめた時はよく悩んだものだ。
もう慣れたからどうでもいいことだけど…。

853 :login:Penguin:03/11/21 14:51 ID:lak0Uuvh
>>852
間違えた。
× /hosts.canna → ○ /etc/hosts.canna

854 :login:Penguin:03/11/21 15:59 ID:N6po1X8l
>>851
www.debian.orgは繋がらないけど、cgi.debian.orgは生きてるみたいね。
…ってtracepathで見たら全然違う場所っぽいな…
ネットワーク障害かなあ

855 :login:Penguin:03/11/21 16:09 ID:Q/dA3tvk
>>851 >>854
なんのこっちゃわからんが
ttp://www.topstudio.co.jp/~kmuto/d/?date=20031121#p04

856 :login:Penguin:03/11/21 16:12 ID:0LG9v9XP
>>852
一般的な設定として、debconf をcriticalにしてみる。
canna以外のパッケージでも(たとえばxseverとか)重要な変更時以外は質問してこなくなるし、設定ファイルも元のまま。


857 :login:Penguin:03/11/21 16:24 ID:/pRJFlgv
>>855
UkaiDiaryにも書いてあるぞ。

858 :login:Penguin:03/11/21 16:34 ID:Fu9K1v/b
clackされてtroyan仕込まれてるのが発覚->マズー->とりあえずサービス
停止しておくか、だったりしてなw

gnuのftpの件もあるから、あながち冗談にもならないかも_| ̄|○
gluckってTop level mirrorも兼ねてるのか...


859 :login:Penguin:03/11/21 20:05 ID:Hd4Uj2jI
日本人の開発者どもは申し合わせて同じ事しか書いてないな
使えなすぎ、あんなのだったら何も書かない方がまし

860 :login:Penguin:03/11/21 20:08 ID:tsdB5blx
まったくだ、誰かリークしる。

861 :login:Penguin:03/11/21 20:08 ID:cMSw7mhK
3.0r2出たの?

862 :login:Penguin:03/11/21 20:12 ID:MbTh7ryV
>>860
テロ組織と癒着していたのがばれてCIAにマシンを押収されたらしいぞ


863 :login:Penguin:03/11/21 20:13 ID:Fu9K1v/b
orgの方でも箝口令がしかれているようだな


864 :login:Penguin:03/11/21 20:14 ID:m+31t3S8
なんかclosedな感じですね、、、。

865 :login:Penguin:03/11/21 20:27 ID:MbTh7ryV
ttp://www.mhatta.org/diary/?date=20031121#p01


866 :852:03/11/21 20:28 ID:lak0Uuvh
>>856
debconfのレベルで変えられるのか。→すぐやってみた。→いつの間にか日本語化
されていて、"critical"が日本語でなんだったかわからず、迷ってしまった (藁

>>862
non-us.debian.org もか?

867 :login:Penguin:03/11/21 20:29 ID:Fu9K1v/b
やっぱcrackだったのかよ_| ̄|○


868 :login:Penguin:03/11/21 20:53 ID:YRcgcYPt
手口が気になるね。
また内部犯かなあ……

869 :login:Penguin:03/11/21 20:53 ID:tsdB5blx
既知の穴なのか未知の穴なのか興味のあるところだが、
継続してサービスしているマシンはなかなかリブート
できないもんね。debian.orgは登りがいのある山だし。


870 :login:Penguin:03/11/21 20:54 ID:m+31t3S8
packageは大丈夫なの?
もしかして今検証中?

871 :login:Penguin:03/11/21 20:59 ID:m+31t3S8
http://lists.debian.or.jp/debian-users/200311/msg00227.html

872 :login:Penguin:03/11/21 21:01 ID:Fu9K1v/b
アナウンスの翻訳流れたね。何故か日本語訳には含まれてないけど
debian-announce@orgに流れた方だと
The archive is not affected by this compromise!
とうことらしい。


873 :sage:03/11/21 21:02 ID:cG2qCg14
chkrootkit で LKM trojan を検知して、upgrade したパッケージを downgrade
したら出なくなった人がいるらしいけど、sid のchkrootkit は LKM trojan を
誤検知するらしいのであまり信用できない。

874 :login:Penguin:03/11/21 21:02 ID:I3MGMJ6z
どうでもいいのですが、今本屋で売っている Unix User 1月号(だったかな?)で
下記のサイトを見つけました。

http://packages.qa.debian.org/

・パッケージ名を入力すると、パッケージに関する情報をいろいろまとめてひとつのページにしてくれます。

わりと便利だしおもしろいので、テンプレスレのリンク集に足してみてはどうでしょう?

875 :login:Penguin:03/11/21 21:05 ID:cMSw7mhK
3.0r2にageちゃった……_| ̄|○
鬱駄死脳

876 :login:Penguin:03/11/21 21:11 ID:I3MGMJ6z
連続カキコすみません。
woody を使っています。apt で PostgreSQL をインストールしました。
# apt-get install postgresql

すると、7.2.1-2woody4 というバージョンのパッケージがインストールされます。
しかし postgresql.org ではご存知の通り、7.3 とか 7.4 がリリースされています。

woodyで、パッケージで 7.3 ベースの PostgreSQL を使うには、
テンプレサイトにある、「sarge や sid のパッケージを借りるには」
の方法で、sid とか sarge とかから借りてくれば(?) いいのですか?


877 :login:Penguin:03/11/21 21:18 ID:QXOjpMn0
>>876
>>1 読む

7.3 や 7.4 でないと問題があるかも、要再考。

878 :login:Penguin:03/11/21 21:37 ID:jX5awApe
>>877 何の回答にもなってない気が・・・。

879 :login:Penguin:03/11/21 22:13 ID:Fu9K1v/b
>>876 とりあえずpinでsargeのを試してみて(sidはlibc6回りを上げないとほぼ無理)、
libc6とか上げなくて済みそうならpinで、他のパッケージも大量に上げないといけない
ようなら、www.backports.orgを試してみるのはどうだろうか

もしくはsid/sargeのdeb-srcをapt-lineに加えて、apt-get source->debuildで自分で
backportするのも良いかもしれない。運が良ければそれほど難しくはない。


880 :login:Penguin:03/11/21 22:14 ID:fSQZdcPv
debian、犯られたのか……

881 :879:03/11/21 22:16 ID:Fu9K1v/b
>>876 あと877も言っているけど、7.3/7.4じゃないと使いたい機能が使えない、等で
なければ、現状維持の方が後々なにかと楽かもしれない(securityとかsargeが出たときの
dist-upgradeとか)


882 :login:Penguin:03/11/21 22:41 ID:brIHadIR
/.にも出たな。
Debian Project Servers Compromised http://slashdot.org/articles/03/11/21/1314238.shtml


883 :login:Penguin:03/11/21 22:44 ID:Fu9K1v/b
>>875 3.0r2問題無いらしいね。とりあえずおめ。

JP的には東風問題も先送りということで、怪我の功名ということなのかな。


884 :login:Penguin:03/11/21 22:52 ID:So6rgJ0C
NOCが燃えたりと、不幸が多いな。

885 :login:Penguin:03/11/21 23:20 ID:B3DFiJW3
sarge kernel-2.4.22でDVDみれてますか?
mountもできないでつ

886 :login:Penguin:03/11/22 00:09 ID:TrDwJcY9
箝口令とかだされて、クローズドなとこみせつけられると
The archive is not affected by this compromise!
とかいわれても信頼できないよ、ままん

887 :login:Penguin:03/11/22 00:12 ID:WTdnv35h
>>885
http://pc.2ch.net/test/read.cgi/linux/994595280/

888 :login:Penguin:03/11/22 00:15 ID:r4vwKsin
なんでもかんでもオープンなのも信用できないよな。
cvs いじくり放題とか。

889 :login:Penguin:03/11/22 00:57 ID:m6F+Igrz
Debian 社会契約 http://www.debian.org/social_contract
3. 私たちは問題を隠しません (We Won't Hide Problems.)

890 :login:Penguin:03/11/22 01:39 ID:JFSmHV2W
今朝騒ぎになって夕方には公式声明出したんだから、まぁ迅速ではないのかな


891 :login:Penguin:03/11/22 01:41 ID:QhNtt4Jg
>>889
隠していません。ただ、公表を遅らせただけです。

地球に衝突する小惑星を発見したアマチュア天文家が、
政府関係者に強制されることだな。> 「隠せと言っている
わけじゃない。発表をちょっと遅らせてほしいとお願いし
てるんだ」

892 :login:Penguin:03/11/22 02:02 ID:WTdnv35h
>>891
意図的に遅らせたとでも言いた気だな(w

893 :login:Penguin:03/11/22 06:35 ID:HLz8VfKO
それよりもあちこちの日記で申し合わせたように
思わせぶりに「Debianの転機。鬱。」とか書いてるのがイタい。
そういうことしてるからclosedに見えるのでは。

元ネタは↓らしいが。
http://www.namazu.org/~satoru/pub/handout/shibuyapm4/0006.png

894 :login:Penguin:03/11/22 07:39 ID:M5M7tWg6
隠したとか遅らせたとか言ってるけど、
単に公式なアナウンス文として発表するために
推敲してただけだと思うんだけど。。。


895 :login:Penguin:03/11/22 07:53 ID:5Yhu+j4I
てゆーか日記にまで目くじら立ててんじゃねーよ、おまいら。


896 :login:Penguin:03/11/22 07:55 ID:TbJZ4FrQ
debianユーザーだけど今回の対応にはがっかり。
強引に内部的な犯行としたいみたいだし。


897 :login:Penguin:03/11/22 10:08 ID:xbG96mYw
>>887
# mount -t udf /dev/dvd /cdrom
とやってもマウントできないから再生以前の問題なんですよ
woody kernel-2.4.18環境だとできるのでカーネルの違いかとおもた

898 :login:Penguin:03/11/22 10:39 ID:+FahFVxW
>>896
>debianユーザーだけど今回の対応にはがっかり。
> 強引に内部的な犯行としたいみたいだし。

 強引に、ってどこらへんで?
 remote exploitable だと確かに大変だけど、local の可能性が高いって
 だけの話でしょ?

 で、localだとしたら「信頼」の元でdeveloperたちが集まっていたのに、
 それを悪用されてるんだから「鬱」なんではないかね

 #まぁ、信用してようがしてまいが今度はSELinuxでも入れてやって欲しいですが。



899 :login:Penguin:03/11/22 11:18 ID:IstqdMug
箝口令ひかれてたなら
変なにおわせ方しないで
きっちり黙ってればいいのに。

900 :login:Penguin:03/11/22 11:30 ID:ZVRlXcbx
>>899
はげどう。

901 :login:Penguin:03/11/22 11:52 ID:cYQXvW4c
具体的な原因の特定と詳細な経緯の解明にはもう少し時間が必要だと思うが、
ルータの故障とか何とか適当にでっちあげた理由でごまかさずに、
今、我々がこの状況を知っているという事実自体が、
オープンソースの一役を担う重要なディストリビューションの組織として、
十分に評価していいんじゃないかなぁ。

もしlocal exploitだとしても、営利企業がやってる他のディストリビューションの
ように、閉鎖された中の数十人だけで作ってるわけじゃないから、
DebianがDebianであるからこその問題点として、今後はその改善に
力を注ぐ必要があるだろうな。

しかし逆説的ではあるが、漏れ的にはむしろ信頼感が高まった気がする。


902 :login:Penguin:03/11/22 11:54 ID:MgRQWknq
公表を遅らせた理由が判然としないので、部外者には「遅らせた」のか「隠そうとして失敗したから公表した」のかは分からん。
(まあ、被害状況の調査に時間がかかったとか、そんな理由だと思うが)

"compromised" と言われても、何をされたのか不明だし、なぜ発見されたのかも不明。
(前者は調査中ということで今後のアナウンスを待つとしても、後者が公開されてない理由はワシには分からん)

あと、過敏に反応したり変な匂わせ方をすると、何か後ろ暗いことがあるのでは、と勘繰られますよ。>関係者

903 :login:Penguin:03/11/22 11:59 ID:u/HJ05sa
高まんねーYO!

904 :login:Penguin:03/11/22 12:33 ID:dRx+oiTk
woodyをkernel2.6にしたいのですが、
apt-get でできるの?

905 :login:Penguin:03/11/22 12:50 ID:IstqdMug
>>904
ここでできるかも。
http://backports.azumanga-daioh.org/debian/dists/woody/kernel-image-2.6.0-test7-i386/binary-i386/

マトモに動くかは知らん。

906 :login:Penguin:03/11/22 12:53 ID:IstqdMug
つーか、自力で入れ替えられないやつが
2.6 なんて使うべきではない。

907 :login:Penguin:03/11/22 12:55 ID:+FahFVxW
>>899
>箝口令ひかれてたなら
> 変なにおわせ方しないで
> きっちり黙ってればいいのに。

 ということですな。全くだ。
 遊んで良いときと悪いときがあるっつーの。

 遊んだ奴らのせいで他の人まで色眼鏡で見られるのはたまらん。


908 :login:Penguin:03/11/22 13:38 ID:M5M7tWg6
>>902
そもそも「公表を遅らせた」ってのは何をもってそう判断したんだ?
「遅らせた」事実など無いと思うのだが


909 :login:Penguin:03/11/22 14:45 ID:ZBnAuYUL
そういう事にしたいんだろ。

910 :login:Penguin:03/11/22 15:02 ID:SUnADorl
>>908
「まじか。Debianの転機。鬱。という気分。
ということで、いろいろDebian.orgのサービスが止まってます。」
なんて情報だけで「公表」っていえる?

「オープンだ」というなら、
「Debianのサーバのいくつかがcrackされた模様。内部犯行の可能性あり。欝。
被害範囲などは現在調査中。
ということで、いろいろDebian.orgのサービスが止まってますが、
冷静な対応よろしく。」
みたいな情報が事前にながれることを期待したいよ。
# もし、公表で被害が拡大する可能性あるなら、そもそも
# 日記に「欝」とか書くなと。

911 :login:Penguin:03/11/22 15:04 ID:4F9lcwxs
>>910
>>895

912 :login:Penguin:03/11/22 15:16 ID:gfEzmGts
Debian JPの連中がクローズドだなんて今に始まった話じゃねぇだろ。
所詮は老害ディストリ。俺はGentooに移行するぜ。じゃあな。


913 :login:Penguin:03/11/22 15:17 ID:4F9lcwxs
FUD小僧降臨

914 :login:Penguin:03/11/22 15:23 ID:HLz8VfKO
>>911
ごちゃごちゃ言われたくなければ公開の場で日記書かなきゃいいのに。

915 :login:Penguin:03/11/22 15:24 ID:5Yhu+j4I
筆者はごちゃごちゃ言ってないじゃん

916 :login:Penguin:03/11/22 15:24 ID:5Yhu+j4I
違う。ごちゃごちゃ言うなって言ってないじゃん、だ。

917 :login:Penguin:03/11/22 15:26 ID:4F9lcwxs
本人はどうだか知らんが、スレの住人にとってはウザいの。
分かるかな。

918 :login:Penguin:03/11/22 15:30 ID:HxfPlVx6
そうそう、日記にうだうだ言いたいんだったら直接文句つけろっての

919 :login:Penguin:03/11/22 15:33 ID:JFSmHV2W
とりあえず
* 管理チームの中の人->乙鰈。そしてもっとガンガレ。超ガンガレ
* jpの中の人->遊びすぎイク(・A・)ナイ!反省しる!

というところか?アーカイブの調査が終わった段階じゃなくてサービス
止めた段階で公表すべきだったかどうかは漏れには分からんけど、そう
思うならdebian-devel@orgでtbmに直接降れば議論に乗ってくれると思われ。


920 :login:Penguin:03/11/22 15:36 ID:tonvzhX7
>>910
IDがSUN

921 :login:Penguin:03/11/22 15:38 ID:E6Gkvfhy
>>919
IDがJFS

922 :login:Penguin:03/11/22 16:06 ID:MCfyXzmm
>>891
IDがみかか

923 :login:Penguin:03/11/22 16:36 ID:M5M7tWg6
>>910
あぁ、そう言う事か。
要するに一部のアホが変な事書いたから
「公表を遅らせてる」「隠蔽してる」と勘違いしたって事か。
というかね、あのアホ達にはDebianにあった事を公式に
アナウンスする権限は何も持ってないわけ。
つまりあなたは便所の落書きに対して文句を言ってるの。



924 :login:Penguin:03/11/22 16:48 ID:jDnukttq
まぬけなpassword使ってたdeveloperがいたのかな?

925 :login:Penguin:03/11/22 17:01 ID:MCfyXzmm
>>923
要するに>>910は単なる馬鹿という事でよろしいか。

926 :login:Penguin:03/11/22 17:06 ID:4F9lcwxs
そっとしておいてやるのが優しさってもんだ。

927 :login:Penguin:03/11/22 17:12 ID:72EzG1ID
woodyを東芝 Dynabook SS4000にCDからインストールするのだけれど
インストール画面が小さくなってパーティション作成時の下部コマンド
が見えなくて困っているんだけど解決法ってある?

FAQは一応見た。video vc等も試したがだめ。

教えてクンで悪いが教えてください。

928 :login:Penguin:03/11/22 17:22 ID:+FahFVxW
>>927
>woodyを東芝 Dynabook SS4000にCDからインストールするのだけれど
> インストール画面が小さくなってパーティション作成時の下部コマンド
> が見えなくて困っているんだけど解決法ってある?
>
> FAQは一応見た。video vc等も試したがだめ。

 BIOSで解像度をexpandする設定って無い?


 

929 :login:Penguin:03/11/22 17:22 ID:4F9lcwxs
インストール画面が小さくなる、ってのがよく分からんが。
boot: vga=0x305
なんて事か?

930 :login:Penguin:03/11/22 17:44 ID:72EzG1ID
>>928,929さん

どうもありがとう。boot: bf24 vga=0x305でOKですた。

感謝感謝!

931 :login:Penguin:03/11/22 18:17 ID:4OO3CGNi
>>923
非公式に発言できるのがオープンマインドって奴なんじゃないの?
生越が絡むとなんでも、「語彙」がオープンぽいだけで、行動は極めて
クローズだな。(w


932 :login:Penguin:03/11/22 18:38 ID:MCfyXzmm
>>931
単に口が軽いのはオープンリレーというべきだ。

933 :login:Penguin:03/11/22 20:10 ID:fwRt2RCM
>932 にざぶとん一枚

934 :login:Penguin:03/11/22 20:51 ID:UfcaewMG
>>873

参考までに.

20 日に upgrade していない sid のマシンで chkrootkit を走らせてみたら
4 つのプロセスが ps から隠されているよ,と言われた.chkrootkit -x の
ログを見ると,PID が 3, 4, 5, 6 のプロセスだ,と書いてある.

で,cat /proc/3/status をすると,"Name: ksoftirqd_CPU0" だった.
しかも,cat /proc/3/status の結果には,"Pid: 3" と出ている.

PID 4, 5, 6 についても Name は違えど結果は同じ.ちゃんと正しい PID
が /proc から得られている.

かといって,chkrootkit ps すると,not infected と出る.

これが「誤検出」??

935 :login:Penguin:03/11/22 20:55 ID:+FahFVxW
>>934
> これが「誤検出」??

 そう。kernelのバグだ、ってコメントがBTSでついてたはず。
 漏れも最初はびびった。

 kenrel threadをうまく取り扱えてない、という風な解説がついてた
 と思うんだけど、わかるヤシは突っ込んでくれると嬉しい。



936 :934:03/11/22 21:08 ID:UfcaewMG
>>935
> そう。kernelのバグだ、ってコメントがBTSでついてたはず。
> 漏れも最初はびびった。

なるほど.chkrootkit の結果を見て,かなり焦っていたのだが,
この件については安心した.レスサンクス.

ksoftirqd は,割り込み処理のいわゆる「ボトムハーフ」を扱うための
「タスクレット」というやつだったはず.

937 :login:Penguin:03/11/23 02:10 ID:nGiPYaM+
とはいえ、日記止められたりすると楽しみが減っちゃうので、
「お前ら、日記読み過ぎですよ」ということで。


938 :login:Penguin:03/11/23 07:18 ID:GxOh37rv
>>936

> ksoftirqd は,割り込み処理のいわゆる「ボトムハーフ」を扱うための
> 「タスクレット」というやつだったはず.

 へぇ。あとでぐぐってみよう。
 一応この件、参考になるBTSのURIを貼っとくよ。(まだ見れねーけど。後で確認してちょ)
 
 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=217525
 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=217278

939 :login:Penguin:03/11/23 07:39 ID:+cvvtMCN
security.debian.org 復活してるね。

940 :login:Penguin:03/11/23 07:55 ID:yGbVLGqK
>>939
non-us.debian.org も復活してるね。


今回の騒ぎで sarge のリリースが少しだけ遅れて、XFree 4.3.0 と kernel 2.6.x も
入る事になるのを願うのは罪だろうか。

941 :login:Penguin:03/11/23 11:12 ID:/y/8z4Ou
やっpり2.4.19に下げたらmountできたぜ
udf.oのせいか?

942 :login:Penguin:03/11/23 13:59 ID:dGiaE3EE


943 :login:Penguin:03/11/23 18:07 ID:wjjvLLiv
で、詳細情報っていつごろでそう?>セキュリティ侵害

944 :login:Penguin:03/11/23 18:54 ID:GxOh37rv
>>943
>で、詳細情報っていつごろでそう?>セキュリティ侵害

 まぁ、もちつけ。

 お前ら、これでも見ておいてください。
 http://www.wiggy.net/debian/

945 :login:Penguin:03/11/23 18:59 ID:+dIvVOUx
>>944
英語分からんのじゃぼけえ。訳してくれ。

要するに、デベロッパーを一新するって事か?

946 :login:Penguin:03/11/23 19:08 ID:cUmbd3wE
>>945
いろいろ作業してるので作業の終わる水曜まで待っててね、って感じ

あと、デベロパ自身でなくパスワードを一新

947 :login:Penguin:03/11/23 19:29 ID:I18Fy6ZV
MIAの整理をした方が良いんじゃないかのぅ


948 :944:03/11/23 19:38 ID:GxOh37rv
>>945
> 英語分からんのじゃぼけえ。訳してくれ。

 ここまでやってんだから、Webの翻訳サービスでも使ってくれよ…>945
 なんつーか情けないな_| ̄|○

 #といいつつおもろそうだから、もれの訳を載せるよ。
  時間かけてないから変かも知れんけど、まぁわからん英語よりマシだろ?
  これに不満だったら普段から和訳でもして英語わかるようになってくれ(わら

 
http://www.wiggy.net/debian/status/ だけど

After a two days we have a reasonable overview of what happened to
the various Debian servers and what we need to do to get everything up
and running again. This mail has an overview of the current status and
what will happen in the next few days.

 2日前にDebianのサーバに対しての(crackされたことの)概要をつかんだんだ、
 やらなきゃならんのは全てをもう一度動かすことだよ。このメールで現在の
 状況と今後数日の間に何するか、ってことを伝えるよ。



949 :944:03/11/23 19:39 ID:GxOh37rv
>>948
Let's start with the current status: four machines (gluck, klecker, master and murphy)
are known to be compromised. All services on those machines have been
shut down or moved to different machines so we can take the necessary time
to determine what happened and restore the machines.

 さぁ、現状から。4つのマシン (gluck, klecker, master and murphy) は知って
 のとおり犯られちゃった。こいつらのサービスはぜーんぶストップしてるか他
 にうつされたんで、ナニされたのか調べるのと再構築の時間が取れるように
 なった。


non-US, security.debian.org and the other websites running on klecker are
back online for FTP and HTTP access. Archive maintenance is still down
for now, so no new packages will be installed. The non-US and security archives
have been verified using logs and MD5 hashes from multiple different trusted mirrors.

 non-US、security.debian.orgとkleckerで動かしてたWebサイトはFTP/HTTP
 ともにアクセス可能。アーカイブは現在もダウンしてるんで新しいぱけじは
 入らないよ。non-USとsecurityアーカイブのぱけじは信頼できる複数のミラー
 から採ってきた過去のlogとMD5ハッシュ使って比較検証中。

 #複数ってところがミソかな。流石にあらゆる鯖crackして同様の改竄は
  手動でさくさく出来るもんじゃないしね。


master, murphy and gluck have been reinstalled. Currently data and
services are being restored on them.

 master、murphy、gluck は再インストール中。データとサービスを再構築してる。

950 :944:03/11/23 19:46 ID:GxOh37rv
>>949
All password used on quantz (ie all Alioth, arch and svn passwords) have been invalidated.
Please use the lost password system to get a new password. Since Alioth routes email for
Debian developers via the debian.org domain which is currently not yet functional
they can not do this at this moment. We expect debian.org email services to be restored this weekend though.
All ssh authorised keys have been removed as well.

 quantzで使ってたあらゆるパスワード(Alioth, arch, svn パスワード)は使えねー。
 lost password システム使って新しいパスワードゲッツしてね。
 今はAlioth が持ってたメールアドレスがdebian.org なDebianデベロッパはまだ鯖が
 動いてないからこれできないけど。俺ら的にはdebian.orgのメールサービスがこの
 週末に直ることきぼんぬ。sshの認証キーも削除したよ。


All accounts on other machines have been locked as a safety precaution.
If you have or had access to a Debian machine and were using the same password
on other machines you are strongly advised to change it as soon as possible.
When the cleanup is done all passwords will be invalidated and accounts unlocked
and people can request a new password through the email robot on db.debian.org .

 他のマシンのあらゆるアカウントは安全策をとって凍結してる。
 Debianの鯖にアクセスする/していた奴でおんなじパスワード使ってる
 っつー奴はすぐさま変更しる!大掃除が終わったら全部パスワード変更、アカウントは
 凍結解除されて、みんなdb.debian.org の mail bot 使って新しいパスワードもらえるよ。


We expect to need until Wednesday and ask for your patience until then.
Afterwards when we have all the facts we will explain what exactly happened
and how we hope to prevent this from happening again in the future.

 お前ら水曜日まで待ってください。そしたらナニがあったんかをキッチリと
 話せるし、今後二度と同様なことが出来ないようにできると思うからさ。

951 :944:03/11/23 20:14 ID:GxOh37rv
 連続カキコすまそ>all


>>948

 うひ、いきなり間違えた(わら

> After a two days we have a reasonable overview of what happened to
> the various Debian servers and what we need to do to get everything up
> and running again. This mail has an overview of the current status and
> what will happen in the next few days.
>

 2日経ってDebianのサーバに対しての(crackされたことの)概要をつかんだんだ、
 やらなきゃならんのは全てをもう一度動かすことだよ。このメールで現在の
 状況と今後数日の間に何するか、ってことを伝えるよ。

 なんでびふぉー・あふたー間違えるんだよ>漏れ


952 :login:Penguin:03/11/23 20:30 ID:SwpX3Opx
IRCの腐臭がしますね

953 :login:Penguin:03/11/23 21:07 ID:I18Fy6ZV
>>948-951 乙カレー


954 :login:Penguin:03/11/23 21:19 ID:0ArYoH1D
> デベロッパーを一新
ワロタ

955 :login:Penguin:03/11/23 21:48 ID:8yzyjcwM
>>954
ある意味、的を得てるので笑えない、、、。


956 :login:Penguin:03/11/23 22:08 ID:wjjvLLiv
さんきう>>944

>>955
>ある意味、的を得てるので笑えない、、、。
内部犯行ってのは確定なの?944の
http://www.wiggy.net/debian/status/みるかぎり、まだ調査中って
感じだけど...

957 :login:Penguin:03/11/23 22:29 ID:ez37y01S
>>956
だから水曜まで待て。

958 :login:Penguin:03/11/23 23:29 ID:xvt0tLO2
的コレクターの集うスレはここですか?

959 :944:03/11/23 23:30 ID:GxOh37rv
>>957
>>>956
> だから水曜まで待て。

 そうそう。
 でもだからって水曜になった途端にさわぐんじゃねーぞ(わら

960 :login:Penguin:03/11/24 00:10 ID:XdEOLSxa
>>944、乙。

ただ、>>949

> have been verified

って、「検証中」じゃなくて、
検証完了ってことじゃない?

> have been reinstalled

も、「インストール中」じゃなくて、
インストール完了ってことじゃ。



961 :login:Penguin:03/11/24 00:33 ID:nAvc6MfK
的は射るもの当は得るものって突っ込みはなしですか?そうですか・・・

962 :login:Penguin:03/11/24 01:38 ID:yFDOJxF5
>>961
うん。それを突っ込む方が頭悪い感じになってるからね。

まあ、それはそうと、ここ1,2年debianが廃れてきている兆候があるけど、
そろそろほんとやばそうだなー。隠し切れない加齢臭って感じ。


963 :login:Penguin:03/11/24 01:41 ID:2JbH6yEN
mcでファイル復活できねえ

964 :login:Penguin:03/11/24 02:40 ID:9Mtw1xdl
>>962
どのへんがやばそう?
漏れの中ではここ1-2年でかなり人気出てきてると感じていたけど。
人気投票でNo.1に選ばれたり、世界のLinuxウェブサーバで2番目に一般的と評価されたり。
D.H. Brown Associatesの評価もかなりアップしたし。

視点が違う?

965 :login:Penguin:03/11/24 03:32 ID:UYFOeK7x
一度 debian 使い始めたら、他に移る人はあんまりいない気がするな。
もし移るとしたら gentoo か BSD 系。
Redhat, Turbo, Vine は、むしろ向こうから来る方だと思う。

966 :login:Penguin:03/11/24 04:56 ID:FjcP3KX0
どっぷりと堕落してますw
仕事マシンは妥協してRedHat系を入れるけど、
自分専用機はDebianで決まり。

967 :login:Penguin:03/11/24 06:09 ID:H8M+PHYI
堕落するなら Debian かとおもってたんだけど
RedHat系のが楽?
そんなおれは職場も自宅も gentoo

968 :login:Penguin:03/11/24 07:17 ID:56UVw9R3
最近は configure 一発だからなぁ
そんなもん無くて world wide web などというものも無かったから
情報集めるのも一苦労。自分で試行錯誤しながら Makefile や source
書き換えて buildしていた時分は勉強になったけど,今は時間の無駄だと
思うようになってきた。
そんな暇あったら document 熟読するなり source 眺めてたほうがいい。
どうせ,critical な部分は patch あてて自分で repackage するし。

969 :login:Penguin:03/11/24 07:47 ID:mJjZPTsb
個人的には

X入れないでサーバonlyで使う -> Debian
手軽にデスクトップかつサーバとして使う -> RedHat
自分専用デスクトップ -> Debian

というように使い分けてるな。apt-getで大抵のライブラリの
最新版が手に入るんで、開発環境としても悪くないと思われ
(まだまだdeb化されてないやつも沢山あるけどな)


970 :login:Penguin:03/11/24 07:49 ID:snjCwSQg
>>967
インストールはRedHatの方が断然楽。
最初から入ってるドライバが多いからね。ハードウェアメーカのサポートも大抵はRedHat向け。
DebianだとRAIDドライバ入れるのにアンオフィシャルなドライバディスクイメージやらisoやら
ドライバやら探すはめになったりするし。
でも、インストールさえ終わっちゃえばDebianの方がずっと楽なんだよな。

とか言ってるおれはRedHatからの移行組。まだパッケージの命名規則で戸惑ったりしてるけど。
そうそう、RPMと比べてパッケージが作りやすいのもいいですな。サポートツールもいっぱい
あるし。もうspecファイル書く気しないw

971 :login:Penguin:03/11/24 07:59 ID:mJjZPTsb
specはspecで慣れると楽なんだろうね。1ファイルで完結する潔さもいい
ただdebian/rulesは所詮makefileとperlスクリプトだけど、specは中で
どう動いてるのか今一良くわからん。まぁ、所詮は慣れの問題か。


972 :login:Penguin:03/11/24 08:29 ID:eTdRuujo
>>964
若者が集っていたら、クラッキング騒ぎでもっと荒れてんじゃない、このスレ。
まあ、別にどうでもいいんだけどさぁ。

973 :login:Penguin:03/11/24 08:57 ID:FjcP3KX0
>>967
んにゃ、自分的にはDebianマンセーなんだけど、
仕事で使うとどうしても他の人でもメンテできる必要あるでしょ?
/etcの細かい構造とかネットワークの再設定とかもそうだし、
rpmは覚えてくれてもdebは駄目なんだよねえ。
aptが広まってきたのは嬉しい限りだけど…



974 :login:Penguin:03/11/24 09:03 ID:KTh/KfAx
次スレ

Debian GNU/Linux スレッド Ver. 20
http://pc.2ch.net/test/read.cgi/linux/1069631907/
 

975 :login:Penguin:03/11/24 10:19 ID:mJjZPTsb
Debian GNU/Linux 3.0 updated (r2)デタヨー


976 :login:Penguin:03/11/24 10:59 ID:KTh/KfAx
>>975
よりにもよってこの時期に出すとは、何と大胆な。

977 :login:Penguin:03/11/24 10:59 ID:7IkMAP3u
>>976
??

978 :login:Penguin:03/11/24 11:03 ID:KTh/KfAx
>>977
crackを受けたばかりで、調査中に、、、ということ。

979 :login:Penguin:03/11/24 11:04 ID:OvsDy9Ok
>>975
ってことは、アーカイブの完全性は確認された...ってことなの?


980 :login:Penguin:03/11/24 11:09 ID:mJjZPTsb
あれ、アナウンス出た時点で3.0r2は大丈夫って確認済みじゃなかったかしらん
今チェックしてるのはsecurityと侵入経路の特定だと思ってた


981 :login:Penguin:03/11/24 11:13 ID:mJjZPTsb
と思ったらムトゥ神のところにもサマリあった(^^;


982 :login:Penguin:03/11/24 15:22 ID:MS+7YcdZ
packages.debian.orgに繋がらないっ!(>_<)

983 :login:Penguin:03/11/24 15:30 ID:nCAMhJQd
>>972
スレ住人が荒らすのか?
フツー荒らしがくるのは他所からじゃないの?

984 :login:Penguin:03/11/24 16:02 ID:tDbgg+xj
最近は、tar玉拾ってきてもspecファイル付が多いからな。


985 :login:Penguin:03/11/24 16:37 ID:FjcP3KX0
それでrpm作ってからalienする漏れは変態ですか?

986 :login:Penguin:03/11/24 17:09 ID:aWLgJt/0
alien でしょう。

987 :login:Penguin:03/11/24 17:27 ID:3PX89A0B
新スレのシーズンですな。
990よろ

988 :987:03/11/24 17:30 ID:3PX89A0B
と思ったらもうあったのね。失礼。

989 :login:Penguin:03/11/24 17:39 ID:RL2TeI6j
>>985
1からrpmをつくるよりdebのがつくる方が遥かに簡単だと思うのだが。

990 :login:Penguin:03/11/24 18:16 ID:mJjZPTsb
>>989 upstreamのソースに既に存在するspecを使用するのではないかな。

貴重な人生をわざわざdebの再学習で消費する必要はないと思う。rpm
だろうがtgzだろうが使えたもん勝ちだと思うYo


991 :login:Penguin:03/11/24 18:21 ID:XQaFSBAf
次スレ

Debian GNU/Linux スレッド Ver. 20
http://pc.2ch.net/test/read.cgi/linux/1069631907/

992 :kNuto :03/11/24 18:56 ID:2ehGmiRk
>>990
debの再学習っていっても、スクリプトの復習と、
FHSの確認ぐらいじゃないの...

しょうもない事をここに書く方が人生の無駄。


993 :login:Penguin:03/11/24 19:07 ID:mJjZPTsb
む、そうか。正直スマンカッタ。まぁ漏れには
時間がかかったということで勘弁しておくれ


994 :login:Penguin:03/11/24 23:59 ID:i7dg/Qqo
ume


995 :login:Penguin:03/11/25 01:12 ID:V9K/mgVT
5

996 :login:Penguin:03/11/25 01:13 ID:V9K/mgVT
4

997 :login:Penguin:03/11/25 01:14 ID:V9K/mgVT
3

998 :login:Penguin:03/11/25 01:15 ID:V9K/mgVT
2

999 :login:Penguin:03/11/25 01:16 ID:V9K/mgVT
1

1000 :login:Penguin:03/11/25 01:17 ID:V9K/mgVT
次スレ

Debian GNU/Linux スレッド Ver. 20
http://pc.2ch.net/test/read.cgi/linux/1069631907/
 

1001 :1001:Over 1000 Thread
このスレッドは1000を超えました。
もう書けないので、新しいスレッドを立ててくださいです。。。

251 KB
★スマホ版★ 掲示板に戻る 全部 前100 次100 最新50

read.cgi ver 05.02.02 2014/06/23 Mango Mangüé ★
FOX ★ DSO(Dynamic Shared Object)